import { css as be, createStitches as pl, createTheme as gl } from "@stitches/core";
import { generateClassNames as Re, VIEWS as Y, template as hl, merge as er, en as yl } from "pasubot-auth-ui-shared";
import * as l from "react";
import s, { useState as R, useRef as El, useEffect as W, createContext as vl, useContext as wl } from "react";
import { appendErrors as bl, useForm as Ze, FormProvider as jn, Controller as xl, useFormContext as jo } from "react-hook-form";
import { z as N } from "zod";
import { validateFieldsNatively as Nl, toNestErrors as _l } from "@hookform/resolvers";
import "react-dom";
import * as Ma from "@radix-ui/react-checkbox";
import { Check as Bn, ChevronRight as Cl, Circle as Sl, X as Bo, Loader2 as Rl, ChevronDown as Uo, ChevronUp as Tl, Search as Pl } from "lucide-react";
import { clsx as Al } from "clsx";
import { twMerge as Il } from "tailwind-merge";
import { CircleIcon as Ie, ArrowDownIcon as Fe, ArrowUpIcon as Oe, CaretSortIcon as Un, DotsHorizontalIcon as Hn, DoubleArrowLeftIcon as $n, ChevronLeftIcon as Wn, ChevronRightIcon as Gn, DoubleArrowRightIcon as Yn, MixerHorizontalIcon as Kn, PlusCircledIcon as Jn, CheckIcon as Zn, Cross2Icon as Vn, PlusIcon as Xn } from "@radix-ui/react-icons";
import { Slot as Ho } from "@radix-ui/react-slot";
import { cva as bt } from "class-variance-authority";
import * as H from "@radix-ui/react-dropdown-menu";
import { DropdownMenuTrigger as Qn } from "@radix-ui/react-dropdown-menu";
import * as ie from "@radix-ui/react-dialog";
import * as $o from "@radix-ui/react-label";
import * as Ve from "@radix-ui/react-tooltip";
import Fl from "prop-types";
import { FontAwesomeIcon as ja } from "@fortawesome/react-fontawesome";
import { faEye as Ol, faEyeSlash as Dl } from "@fortawesome/free-solid-svg-icons";
import Wo from "react-select";
import { useReactTable as ea, getCoreRowModel as ta, getFilteredRowModel as ra, getPaginationRowModel as na, getSortedRowModel as aa, getFacetedRowModel as sa, getFacetedUniqueValues as oa, flexRender as De } from "@tanstack/react-table";
import * as U from "@radix-ui/react-select";
import { Command as X } from "cmdk";
import * as Ke from "@radix-ui/react-popover";
import * as Go from "@radix-ui/react-separator";
import * as Z from "@radix-ui/react-alert-dialog";
import * as ee from "@radix-ui/react-toast";
const Ll = be({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseBodySize",
  marginBottom: "$anchorBottomMargin",
  color: "$anchorTextColor",
  display: "block",
  textAlign: "center",
  textDecoration: "underline",
  "&:hover": {
    color: "$anchorTextHoverColor"
  }
}), xe = ({ children: e, appearance: t, ...r }) => {
  var n;
  const a = Re(
    "anchor",
    Ll(),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "a",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.anchor,
      className: a.join(" ")
    },
    e
  );
}, kl = be({
  fontFamily: "$buttonFontFamily",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  gap: "8px",
  borderRadius: "$borderRadiusButton",
  fontSize: "$baseButtonSize",
  padding: "$buttonPadding",
  cursor: "pointer",
  borderWidth: "$buttonBorderWidth",
  borderStyle: "solid",
  width: "100%",
  transitionProperty: "background-color",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  "&:disabled": {
    opacity: 0.7,
    cursor: "unset"
  },
  variants: {
    color: {
      default: {
        backgroundColor: "$defaultButtonBackground",
        color: "$defaultButtonText",
        borderColor: "$defaultButtonBorder",
        "&:hover:not(:disabled)": {
          backgroundColor: "$defaultButtonBackgroundHover"
        }
      },
      primary: {
        backgroundColor: "$brand",
        color: "$brandButtonText",
        borderColor: "$brandAccent",
        "&:hover:not(:disabled)": {
          backgroundColor: "$brandAccent"
        }
      }
    }
  }
}), qe = ({
  children: e,
  color: t = "default",
  appearance: r,
  icon: a,
  loading: n = !1,
  ...o
}) => {
  var c;
  const i = Re(
    "button",
    kl({ color: t }),
    r
  );
  return /* @__PURE__ */ s.createElement(
    "button",
    {
      ...o,
      style: (c = r == null ? void 0 : r.style) == null ? void 0 : c.button,
      className: i.join(" "),
      disabled: n
    },
    a,
    e
  );
}, ql = be({
  display: "flex",
  gap: "4px",
  variants: {
    direction: {
      horizontal: {
        display: "grid",
        gridTemplateColumns: "repeat(auto-fit, minmax(48px, 1fr))"
      },
      vertical: {
        flexDirection: "column",
        margin: "8px 0"
      }
    },
    gap: {
      small: {
        gap: "4px"
      },
      medium: {
        gap: "8px"
      },
      large: {
        gap: "16px"
      }
    }
  }
}), ce = ({
  children: e,
  appearance: t,
  ...r
}) => {
  var n;
  const a = Re(
    "container",
    ql({
      direction: r.direction,
      gap: r.gap
    }),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "div",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.container,
      className: a.join(" ")
    },
    e
  );
}, zl = be({
  background: "$dividerBackground",
  display: "block",
  margin: "16px 0",
  height: "1px",
  width: "100%"
}), Ml = ({
  children: e,
  appearance: t,
  ...r
}) => {
  var n;
  const a = Re(
    "divider",
    zl(),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "div",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.divider,
      className: a.join(" ")
    }
  );
}, jl = be({
  fontFamily: "$inputFontFamily",
  background: "$inputBackground",
  borderRadius: "$inputBorderRadius",
  padding: "$inputPadding",
  cursor: "text",
  borderWidth: "$inputBorderWidth",
  borderColor: "$inputBorder",
  borderStyle: "solid",
  fontSize: "$baseInputSize",
  width: "100%",
  color: "$inputText",
  boxSizing: "border-box",
  "&:hover": {
    borderColor: "$inputBorderHover",
    outline: "none"
  },
  "&:focus": {
    borderColor: "$inputBorderFocus",
    outline: "none"
  },
  "&::placeholder": {
    color: "$inputPlaceholder",
    letterSpacing: "initial"
  },
  transitionProperty: "background-color, border",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  variants: {
    type: {
      default: {
        letterSpacing: "0px"
      },
      password: {
        letterSpacing: "0px"
      }
    }
  }
}), Ee = ({ children: e, appearance: t, ...r }) => {
  var n;
  const a = Re(
    "input",
    jl({
      type: r.type === "password" ? "password" : "default"
    }),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "input",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.input,
      className: a.join(" ")
    },
    e
  );
}, Bl = be({
  fontFamily: "$labelFontFamily",
  fontSize: "$baseLabelSize",
  marginBottom: "$labelBottomMargin",
  color: "$inputLabelText",
  display: "block"
}), ve = ({ children: e, appearance: t, ...r }) => {
  var n;
  const a = Re(
    "label",
    Bl(),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "label",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.label,
      className: a.join(" ")
    },
    e
  );
}, Ul = be({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseInputSize",
  marginBottom: "$labelBottomMargin",
  display: "block",
  textAlign: "center",
  borderRadius: "0.375rem",
  padding: "1.5rem 1rem",
  lineHeight: "1rem",
  color: "$messageText",
  backgroundColor: "$messageBackground",
  border: "1px solid $messageBorder",
  variants: {
    color: {
      danger: {
        color: "$messageTextDanger",
        backgroundColor: "$messageBackgroundDanger",
        border: "1px solid $messageBorderDanger"
      }
    }
  }
}), de = ({
  children: e,
  appearance: t,
  ...r
}) => {
  var n;
  const a = Re(
    "message",
    Ul({ color: r.color }),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "span",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.message,
      className: a.join(" ")
    },
    e
  );
};
function Yo({
  setAuthView: e = () => {
  },
  supabaseClient: t,
  redirectTo: r,
  i18n: a,
  appearance: n,
  showLinks: o = !1
}) {
  var x;
  const [i, c] = R(""), [u, d] = R(""), [m, p] = R(""), [g, f] = R(!1), h = async (b) => {
    var y, v;
    if (b.preventDefault(), d(""), p(""), f(!0), i.length === 0) {
      d((y = a == null ? void 0 : a.magic_link) == null ? void 0 : y.empty_email_address), f(!1);
      return;
    }
    const { error: _ } = await t.auth.signInWithOtp({
      email: i,
      options: { emailRedirectTo: r }
    });
    _ ? d(_.message) : p((v = a == null ? void 0 : a.magic_link) == null ? void 0 : v.confirmation_text), f(!1);
  }, E = a == null ? void 0 : a.magic_link;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-magic-link", onSubmit: h }, /* @__PURE__ */ s.createElement(ce, { gap: "large", direction: "vertical", appearance: n }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "email", appearance: n }, E == null ? void 0 : E.email_input_label), /* @__PURE__ */ s.createElement(
    Ee,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: E == null ? void 0 : E.email_input_placeholder,
      onChange: (b) => {
        d && d(""), c(b.target.value);
      },
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement(
    qe,
    {
      color: "primary",
      type: "submit",
      loading: g,
      appearance: n
    },
    g ? E == null ? void 0 : E.loading_button_label : E == null ? void 0 : E.button_label
  ), o && /* @__PURE__ */ s.createElement(
    xe,
    {
      href: "#auth-sign-in",
      onClick: (b) => {
        b.preventDefault(), e(Y.SIGN_IN);
      },
      appearance: n
    },
    (x = a == null ? void 0 : a.sign_in) == null ? void 0 : x.link_text
  ), m && /* @__PURE__ */ s.createElement(de, { appearance: n }, m), u && /* @__PURE__ */ s.createElement(de, { color: "danger", appearance: n }, u)));
}
const G = be({
  width: "21px",
  height: "21px"
}), Hl = ({ provider: e }) => e == "google" ? $l() : e == "facebook" ? Wl() : e == "twitter" ? Gl() : e == "apple" ? Yl() : e == "github" ? Kl() : e == "gitlab" ? Jl() : e == "bitbucket" ? Zl() : e == "discord" ? Vl() : e == "azure" ? Xl() : e == "keycloak" ? Ql() : e == "linkedin" || e == "linkedin_oidc" ? Ba() : e == "notion" ? ec() : e == "slack" ? tc() : e == "spotify" ? rc() : e == "twitch" ? nc() : e == "workos" ? ac() : e == "kakao" ? sc() : null, $l = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFC107",
      d: "M43.611,20.083H42V20H24v8h11.303c-1.649,4.657-6.08,8-11.303,8c-6.627,0-12-5.373-12-12c0-6.627,5.373-12,12-12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C12.955,4,4,12.955,4,24c0,11.045,8.955,20,20,20c11.045,0,20-8.955,20-20C44,22.659,43.862,21.35,43.611,20.083z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FF3D00",
      d: "M6.306,14.691l6.571,4.819C14.655,15.108,18.961,12,24,12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C16.318,4,9.656,8.337,6.306,14.691z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#4CAF50",
      d: "M24,44c5.166,0,9.86-1.977,13.409-5.192l-6.19-5.238C29.211,35.091,26.715,36,24,36c-5.202,0-9.619-3.317-11.283-7.946l-6.522,5.025C9.505,39.556,16.227,44,24,44z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#1976D2",
      d: "M43.611,20.083H42V20H24v8h11.303c-0.792,2.237-2.231,4.166-4.087,5.571c0.001-0.001,0.002-0.001,0.003-0.002l6.19,5.238C36.971,39.205,44,34,44,24C44,22.659,43.862,21.35,43.611,20.083z"
    }
  )
), Wl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement("path", { fill: "#039be5", d: "M24 5A19 19 0 1 0 24 43A19 19 0 1 0 24 5Z" }),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#fff",
      d: "M26.572,29.036h4.917l0.772-4.995h-5.69v-2.73c0-2.075,0.678-3.915,2.619-3.915h3.119v-4.359c-0.548-0.074-1.707-0.236-3.897-0.236c-4.573,0-7.254,2.415-7.254,7.917v3.323h-4.701v4.995h4.701v13.729C22.089,42.905,23.032,43,24,43c0.875,0,1.729-0.08,2.572-0.194V29.036z"
    }
  )
), Gl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "black",
      d: "M28.4714 20.3247L45.9682 0H41.822L26.6295 17.6477L14.4953 0H0.5L18.8493 26.6864L0.5 48H4.64642L20.6901 29.3635L33.5047 48H47.5L28.4704 20.3247H28.4714ZM22.7923 26.9215L20.9331 24.2642L6.14043 3.11923H12.5091L24.447 20.1839L26.3061 22.8412L41.824 45.0226H35.4553L22.7923 26.9225V26.9215Z"
    }
  )
), Yl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ s.createElement("path", { d: "M 15.904297 1.078125 C 15.843359 1.06875 15.774219 1.0746094 15.699219 1.0996094 C 14.699219 1.2996094 13.600391 1.8996094 12.900391 2.5996094 C 12.300391 3.1996094 11.800781 4.1996094 11.800781 5.0996094 C 11.800781 5.2996094 11.999219 5.5 12.199219 5.5 C 13.299219 5.4 14.399609 4.7996094 15.099609 4.0996094 C 15.699609 3.2996094 16.199219 2.4 16.199219 1.5 C 16.199219 1.275 16.087109 1.10625 15.904297 1.078125 z M 16.199219 5.4003906 C 14.399219 5.4003906 13.600391 6.5 12.400391 6.5 C 11.100391 6.5 9.9003906 5.5 8.4003906 5.5 C 6.3003906 5.5 3.0996094 7.4996094 3.0996094 12.099609 C 2.9996094 16.299609 6.8 21 9 21 C 10.3 21 10.600391 20.199219 12.400391 20.199219 C 14.200391 20.199219 14.600391 21 15.900391 21 C 17.400391 21 18.500391 19.399609 19.400391 18.099609 C 19.800391 17.399609 20.100391 17.000391 20.400391 16.400391 C 20.600391 16.000391 20.4 15.600391 20 15.400391 C 17.4 14.100391 16.900781 9.9003906 19.800781 8.4003906 C 20.300781 8.1003906 20.4 7.4992188 20 7.1992188 C 18.9 6.1992187 17.299219 5.4003906 16.199219 5.4003906 z" })
), Kl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 30 30",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ s.createElement("path", { d: "M15,3C8.373,3,3,8.373,3,15c0,5.623,3.872,10.328,9.092,11.63C12.036,26.468,12,26.28,12,26.047v-2.051 c-0.487,0-1.303,0-1.508,0c-0.821,0-1.551-0.353-1.905-1.009c-0.393-0.729-0.461-1.844-1.435-2.526 c-0.289-0.227-0.069-0.486,0.264-0.451c0.615,0.174,1.125,0.596,1.605,1.222c0.478,0.627,0.703,0.769,1.596,0.769 c0.433,0,1.081-0.025,1.691-0.121c0.328-0.833,0.895-1.6,1.588-1.962c-3.996-0.411-5.903-2.399-5.903-5.098 c0-1.162,0.495-2.286,1.336-3.233C9.053,10.647,8.706,8.73,9.435,8c1.798,0,2.885,1.166,3.146,1.481C13.477,9.174,14.461,9,15.495,9 c1.036,0,2.024,0.174,2.922,0.483C18.675,9.17,19.763,8,21.565,8c0.732,0.731,0.381,2.656,0.102,3.594 c0.836,0.945,1.328,2.066,1.328,3.226c0,2.697-1.904,4.684-5.894,5.097C18.199,20.49,19,22.1,19,23.313v2.734 c0,0.104-0.023,0.179-0.035,0.268C23.641,24.676,27,20.236,27,15C27,8.373,21.627,3,15,3z" })
), Jl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement("path", { fill: "#e53935", d: "M24 43L16 20 32 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ff7043", d: "M24 43L42 20 32 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#e53935", d: "M37 5L42 20 32 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ffa726", d: "M24 43L42 20 45 28z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ff7043", d: "M24 43L6 20 16 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#e53935", d: "M11 5L6 20 16 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ffa726", d: "M24 43L6 20 3 28z" })
), Zl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "512",
    height: "512",
    viewBox: "0 0 62.42 62.42"
  },
  /* @__PURE__ */ s.createElement("defs", null, /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "New_Gradient_Swatch_1",
      x1: "64.01",
      y1: "30.27",
      x2: "32.99",
      y2: "54.48",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0.18", stopColor: "#0052cc" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopColor: "#2684ff" })
  )),
  /* @__PURE__ */ s.createElement("title", null, "Bitbucket-blue"),
  /* @__PURE__ */ s.createElement("g", { id: "Layer_2", "data-name": "Layer 2" }, /* @__PURE__ */ s.createElement("g", { id: "Blue", transform: "translate(0 -3.13)" }, /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M2,6.26A2,2,0,0,0,0,8.58L8.49,60.12a2.72,2.72,0,0,0,2.66,2.27H51.88a2,2,0,0,0,2-1.68L62.37,8.59a2,2,0,0,0-2-2.32ZM37.75,43.51h-13L21.23,25.12H40.9Z",
      fill: "#2684ff"
    }
  ), /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M59.67,25.12H40.9L37.75,43.51h-13L9.4,61.73a2.71,2.71,0,0,0,1.75.66H51.89a2,2,0,0,0,2-1.68Z",
      fill: "url(#New_Gradient_Swatch_1)"
    }
  )))
), Vl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#536dfe",
      d: "M39.248,10.177c-2.804-1.287-5.812-2.235-8.956-2.778c-0.057-0.01-0.114,0.016-0.144,0.068	c-0.387,0.688-0.815,1.585-1.115,2.291c-3.382-0.506-6.747-0.506-10.059,0c-0.3-0.721-0.744-1.603-1.133-2.291	c-0.03-0.051-0.087-0.077-0.144-0.068c-3.143,0.541-6.15,1.489-8.956,2.778c-0.024,0.01-0.045,0.028-0.059,0.051	c-5.704,8.522-7.267,16.835-6.5,25.044c0.003,0.04,0.026,0.079,0.057,0.103c3.763,2.764,7.409,4.442,10.987,5.554	c0.057,0.017,0.118-0.003,0.154-0.051c0.846-1.156,1.601-2.374,2.248-3.656c0.038-0.075,0.002-0.164-0.076-0.194	c-1.197-0.454-2.336-1.007-3.432-1.636c-0.087-0.051-0.094-0.175-0.014-0.234c0.231-0.173,0.461-0.353,0.682-0.534	c0.04-0.033,0.095-0.04,0.142-0.019c7.201,3.288,14.997,3.288,22.113,0c0.047-0.023,0.102-0.016,0.144,0.017	c0.22,0.182,0.451,0.363,0.683,0.536c0.08,0.059,0.075,0.183-0.012,0.234c-1.096,0.641-2.236,1.182-3.434,1.634	c-0.078,0.03-0.113,0.12-0.075,0.196c0.661,1.28,1.415,2.498,2.246,3.654c0.035,0.049,0.097,0.07,0.154,0.052	c3.595-1.112,7.241-2.79,11.004-5.554c0.033-0.024,0.054-0.061,0.057-0.101c0.917-9.491-1.537-17.735-6.505-25.044	C39.293,10.205,39.272,10.187,39.248,10.177z M16.703,30.273c-2.168,0-3.954-1.99-3.954-4.435s1.752-4.435,3.954-4.435	c2.22,0,3.989,2.008,3.954,4.435C20.658,28.282,18.906,30.273,16.703,30.273z M31.324,30.273c-2.168,0-3.954-1.99-3.954-4.435	s1.752-4.435,3.954-4.435c2.22,0,3.989,2.008,3.954,4.435C35.278,28.282,33.544,30.273,31.324,30.273z"
    }
  )
), Xl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6a",
      x1: "-1254.397",
      x2: "-1261.911",
      y1: "877.268",
      y2: "899.466",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0", stopColor: "#114a8b" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopColor: "#0669bc" })
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6a)",
      d: "M17.634,6h11.305L17.203,40.773c-0.247,0.733-0.934,1.226-1.708,1.226H6.697 c-0.994,0-1.8-0.806-1.8-1.8c0-0.196,0.032-0.39,0.094-0.576L15.926,7.227C16.173,6.494,16.86,6,17.634,6L17.634,6z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#0078d4",
      d: "M34.062,29.324H16.135c-0.458-0.001-0.83,0.371-0.831,0.829c0,0.231,0.095,0.451,0.264,0.608 l11.52,10.752C27.423,41.826,27.865,42,28.324,42h10.151L34.062,29.324z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6b",
      x1: "-1252.05",
      x2: "-1253.788",
      y1: "887.612",
      y2: "888.2",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0", stopOpacity: ".3" }),
    /* @__PURE__ */ s.createElement("stop", { offset: ".071", stopOpacity: ".2" }),
    /* @__PURE__ */ s.createElement("stop", { offset: ".321", stopOpacity: ".1" }),
    /* @__PURE__ */ s.createElement("stop", { offset: ".623", stopOpacity: ".05" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopOpacity: "0" })
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6b)",
      d: "M17.634,6c-0.783-0.003-1.476,0.504-1.712,1.25L5.005,39.595 c-0.335,0.934,0.151,1.964,1.085,2.299C6.286,41.964,6.493,42,6.702,42h9.026c0.684-0.122,1.25-0.603,1.481-1.259l2.177-6.416 l7.776,7.253c0.326,0.27,0.735,0.419,1.158,0.422h10.114l-4.436-12.676l-12.931,0.003L28.98,6H17.634z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6c",
      x1: "-1252.952",
      x2: "-1244.704",
      y1: "876.6",
      y2: "898.575",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0", stopColor: "#3ccbf4" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopColor: "#2892df" })
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6c)",
      d: "M32.074,7.225C31.827,6.493,31.141,6,30.368,6h-12.6c0.772,0,1.459,0.493,1.705,1.224 l10.935,32.399c0.318,0.942-0.188,1.963-1.13,2.281C29.093,41.968,28.899,42,28.703,42h12.6c0.994,0,1.8-0.806,1.8-1.801 c0-0.196-0.032-0.39-0.095-0.575L32.074,7.225z"
    }
  )
), Ql = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M472.136 163.959H408.584C407.401 163.959 406.218 163.327 405.666 162.3L354.651 73.6591C354.02 72.632 352.916 72 351.654 72H143.492C142.309 72 141.126 72.632 140.574 73.6591L87.5084 165.618L36.414 254.259C35.862 255.286 35.862 256.55 36.414 257.656L87.5084 346.297L140.495 438.335C141.047 439.362 142.23 440.073 143.413 439.994H351.654C352.837 439.994 354.02 439.362 354.651 438.335L405.745 349.694C406.297 348.667 407.48 347.956 408.663 348.035H472.215C474.344 348.035 476 346.297 476 344.243V167.83C475.921 165.697 474.186 163.959 472.136 163.959ZM228.728 349.694L212.721 377.345C212.485 377.74 212.091 378.135 211.696 378.372C211.223 378.609 210.75 378.767 210.198 378.767H178.422C177.318 378.767 176.293 378.214 175.82 377.187L128.431 294.787L123.779 286.65L106.748 257.498C106.511 257.103 106.353 256.629 106.432 256.076C106.432 255.602 106.59 255.049 106.827 254.654L123.937 224.949L175.899 134.886C176.451 133.938 177.476 133.306 178.501 133.306H210.198C210.75 133.306 211.302 133.464 211.854 133.701C212.248 133.938 212.643 134.254 212.879 134.728L228.886 162.537C229.359 163.485 229.28 164.67 228.728 165.539L177.397 254.654C177.16 255.049 177.081 255.523 177.081 255.918C177.081 256.392 177.239 256.787 177.397 257.182L228.728 346.218C229.438 347.403 229.359 348.667 228.728 349.694V349.694ZM388.083 257.498L371.051 286.65L366.399 294.787L319.011 377.187C318.459 378.135 317.512 378.767 316.409 378.767H284.632C284.08 378.767 283.607 378.609 283.134 378.372C282.74 378.135 282.346 377.819 282.109 377.345L266.103 349.694C265.393 348.667 265.393 347.403 266.024 346.376L317.355 257.34C317.591 256.945 317.67 256.471 317.67 256.076C317.67 255.602 317.513 255.207 317.355 254.812L266.024 165.697C265.472 164.749 265.393 163.643 265.866 162.695L281.873 134.886C282.109 134.491 282.503 134.096 282.898 133.859C283.371 133.543 283.923 133.464 284.553 133.464H316.409C317.512 133.464 318.538 134.017 319.011 135.044L370.972 225.107L388.083 254.812C388.319 255.286 388.477 255.76 388.477 256.234C388.477 256.55 388.319 257.024 388.083 257.498V257.498Z",
      fill: "#008AAA"
    }
  )
), Ba = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#0288D1",
      d: "M42,37c0,2.762-2.238,5-5,5H11c-2.761,0-5-2.238-5-5V11c0-2.762,2.239-5,5-5h26c2.762,0,5,2.238,5,5V37z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFF",
      d: "M12 19H17V36H12zM14.485 17h-.028C12.965 17 12 15.888 12 14.499 12 13.08 12.995 12 14.514 12c1.521 0 2.458 1.08 2.486 2.499C17 15.887 16.035 17 14.485 17zM36 36h-5v-9.099c0-2.198-1.225-3.698-3.192-3.698-1.501 0-2.313 1.012-2.707 1.99C24.957 25.543 25 26.511 25 27v9h-5V19h5v2.616C25.721 20.5 26.85 19 29.738 19c3.578 0 6.261 2.25 6.261 7.274L36 36 36 36z"
    }
  )
), ec = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px",
    fillRule: "evenodd",
    clipRule: "evenodd"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619 l23.971-1.387c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463 C13.171,14.718,12.862,15.181,12.862,16.182L12.862,16.182z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#424242",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619l23.971-1.387 c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463C13.171,14.718,12.862,15.181,12.862,16.182 L12.862,16.182z M36.526,17.413c0.154,0.694,0,1.387-0.695,1.465l-1.155,0.23v16.943c-1.003,0.539-1.928,0.847-2.698,0.847 c-1.234,0-1.543-0.385-2.467-1.54l-7.555-11.86v11.475l2.391,0.539c0,0,0,1.386-1.929,1.386l-5.317,0.308 c-0.154-0.308,0-1.078,0.539-1.232l1.388-0.385V20.418l-1.927-0.154c-0.155-0.694,0.23-1.694,1.31-1.772l5.704-0.385l7.862,12.015 V19.493l-2.005-0.23c-0.154-0.848,0.462-1.464,1.233-1.54L36.526,17.413z M7.389,5.862l21.968-1.618 c2.698-0.231,3.392-0.076,5.087,1.155l7.013,4.929C42.614,11.176,43,11.407,43,12.33v27.032c0,1.694-0.617,2.696-2.775,2.849 l-25.512,1.541c-1.62,0.077-2.391-0.154-3.239-1.232l-5.164-6.7C5.385,34.587,5,33.664,5,32.585V8.556 C5,7.171,5.617,6.015,7.389,5.862z",
      clipRule: "evenodd"
    }
  )
), tc = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M33,8c0-2.209-1.791-4-4-4s-4,1.791-4,4c0,1.254,0,9.741,0,11c0,2.209,1.791,4,4,4s4-1.791,4-4	C33,17.741,33,9.254,33,8z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M43,19c0,2.209-1.791,4-4,4c-1.195,0-4,0-4,0s0-2.986,0-4c0-2.209,1.791-4,4-4S43,16.791,43,19z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M8,14c-2.209,0-4,1.791-4,4s1.791,4,4,4c1.254,0,9.741,0,11,0c2.209,0,4-1.791,4-4s-1.791-4-4-4	C17.741,14,9.254,14,8,14z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M19,4c2.209,0,4,1.791,4,4c0,1.195,0,4,0,4s-2.986,0-4,0c-2.209,0-4-1.791-4-4S16.791,4,19,4z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M14,39.006C14,41.212,15.791,43,18,43s4-1.788,4-3.994c0-1.252,0-9.727,0-10.984	c0-2.206-1.791-3.994-4-3.994s-4,1.788-4,3.994C14,29.279,14,37.754,14,39.006z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M4,28.022c0-2.206,1.791-3.994,4-3.994c1.195,0,4,0,4,0s0,2.981,0,3.994c0,2.206-1.791,3.994-4,3.994	S4,30.228,4,28.022z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M39,33c2.209,0,4-1.791,4-4s-1.791-4-4-4c-1.254,0-9.741,0-11,0c-2.209,0-4,1.791-4,4s1.791,4,4,4	C29.258,33,37.746,33,39,33z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M28,43c-2.209,0-4-1.791-4-4c0-1.195,0-4,0-4s2.986,0,4,0c2.209,0,4,1.791,4,4S30.209,43,28,43z"
    }
  )
), rc = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M255.498 31.0034C131.513 31.0034 31 131.515 31 255.502C31 379.492 131.513 480 255.498 480C379.497 480 480 379.495 480 255.502C480 131.522 379.497 31.0135 255.495 31.0135L255.498 31V31.0034ZM358.453 354.798C354.432 361.391 345.801 363.486 339.204 359.435C286.496 327.237 220.139 319.947 141.993 337.801C134.463 339.516 126.957 334.798 125.24 327.264C123.516 319.731 128.217 312.225 135.767 310.511C221.284 290.972 294.639 299.384 353.816 335.549C360.413 339.596 362.504 348.2 358.453 354.798ZM385.932 293.67C380.864 301.903 370.088 304.503 361.858 299.438C301.512 262.345 209.528 251.602 138.151 273.272C128.893 276.067 119.118 270.851 116.309 261.61C113.521 252.353 118.74 242.597 127.981 239.782C209.512 215.044 310.87 227.026 380.17 269.612C388.4 274.68 391 285.456 385.935 293.676V293.673L385.932 293.67ZM388.293 230.016C315.935 187.039 196.56 183.089 127.479 204.055C116.387 207.42 104.654 201.159 101.293 190.063C97.9326 178.964 104.189 167.241 115.289 163.87C194.59 139.796 326.418 144.446 409.723 193.902C419.722 199.826 422.995 212.71 417.068 222.675C411.168 232.653 398.247 235.943 388.303 230.016H388.293V230.016Z",
      fill: "#1ED760"
    }
  )
), nc = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement("path", { d: "M416 240L352 304H288L232 360V304H160V64H416V240Z", fill: "white" }),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M144 32L64 112V400H160V480L240 400H304L448 256V32H144ZM416 240L352 304H288L232 360V304H160V64H416V240Z",
      fill: "#9146FF"
    }
  ),
  /* @__PURE__ */ s.createElement("path", { d: "M368 120H336V216H368V120Z", fill: "#9146FF" }),
  /* @__PURE__ */ s.createElement("path", { d: "M280 120H248V216H280V120Z", fill: "#9146FF" })
), ac = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M33 256.043C33 264.556 35.3159 273.069 39.4845 280.202L117.993 415.493C126.098 429.298 138.373 440.572 153.657 445.634C183.764 455.528 214.797 442.873 229.618 417.333L248.609 384.661L173.806 256.043L252.777 119.831L271.768 87.1591C277.557 77.2654 284.968 69.4424 294 63H285.894H172.185C150.878 63 131.193 74.2742 120.54 92.6812L39.7161 231.884C35.3159 239.016 33 247.53 33 256.043Z",
      fill: "#6363F1"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M480 256.058C480 247.539 477.684 239.021 473.516 231.883L393.849 94.6596C379.028 69.3331 347.995 56.4396 317.888 66.34C302.603 71.4053 290.329 82.6871 282.224 96.5015L264.391 127.354L339.194 256.058L260.223 392.131L241.232 424.825C235.443 434.495 228.032 442.553 219 449H227.106H340.815C362.122 449 381.807 437.718 392.46 419.299L473.284 280.003C477.684 272.866 480 264.577 480 256.058Z",
      fill: "#6363F1"
    }
  )
), sc = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: G(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "2500",
    height: "2500",
    viewBox: "0 0 256 256"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M256 236c0 11.046-8.954 20-20 20H20c-11.046 0-20-8.954-20-20V20C0 8.954 8.954 0 20 0h216c11.046 0 20 8.954 20 20v216z"
    }
  ),
  /* @__PURE__ */ s.createElement("path", { d: "M128 36C70.562 36 24 72.713 24 118c0 29.279 19.466 54.97 48.748 69.477-1.593 5.494-10.237 35.344-10.581 37.689 0 0-.207 1.762.934 2.434s2.483.15 2.483.15c3.272-.457 37.943-24.811 43.944-29.04 5.995.849 12.168 1.29 18.472 1.29 57.438 0 104-36.712 104-82 0-45.287-46.562-82-104-82z" }),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M70.5 146.625c-3.309 0-6-2.57-6-5.73V105.25h-9.362c-3.247 0-5.888-2.636-5.888-5.875s2.642-5.875 5.888-5.875h30.724c3.247 0 5.888 2.636 5.888 5.875s-2.642 5.875-5.888 5.875H76.5v35.645c0 3.16-2.691 5.73-6 5.73zM123.112 146.547c-2.502 0-4.416-1.016-4.993-2.65l-2.971-7.778-18.296-.001-2.973 7.783c-.575 1.631-2.488 2.646-4.99 2.646a9.155 9.155 0 0 1-3.814-.828c-1.654-.763-3.244-2.861-1.422-8.52l14.352-37.776c1.011-2.873 4.082-5.833 7.99-5.922 3.919.088 6.99 3.049 8.003 5.928l14.346 37.759c1.826 5.672.236 7.771-1.418 8.532a9.176 9.176 0 0 1-3.814.827c-.001 0 0 0 0 0zm-11.119-21.056L106 108.466l-5.993 17.025h11.986zM138 145.75c-3.171 0-5.75-2.468-5.75-5.5V99.5c0-3.309 2.748-6 6.125-6s6.125 2.691 6.125 6v35.25h12.75c3.171 0 5.75 2.468 5.75 5.5s-2.579 5.5-5.75 5.5H138zM171.334 146.547c-3.309 0-6-2.691-6-6V99.5c0-3.309 2.691-6 6-6s6 2.691 6 6v12.896l16.74-16.74c.861-.861 2.044-1.335 3.328-1.335 1.498 0 3.002.646 4.129 1.772 1.051 1.05 1.678 2.401 1.764 3.804.087 1.415-.384 2.712-1.324 3.653l-13.673 13.671 14.769 19.566a5.951 5.951 0 0 1 1.152 4.445 5.956 5.956 0 0 1-2.328 3.957 5.94 5.94 0 0 1-3.609 1.211 5.953 5.953 0 0 1-4.793-2.385l-14.071-18.644-2.082 2.082v13.091a6.01 6.01 0 0 1-6.002 6.003z"
    }
  )
);
function oc({
  supabaseClient: e,
  socialLayout: t = "vertical",
  providers: r = ["github", "google", "azure"],
  providerScopes: a,
  queryParams: n,
  redirectTo: o,
  onlyThirdPartyProviders: i = !0,
  view: c = "sign_in",
  i18n: u,
  appearance: d
}) {
  const [m, p] = R(!1), [g, f] = R(""), h = t === "vertical", E = c === "magic_link" ? "sign_in" : c, x = async (y) => {
    p(!0);
    const { error: v } = await e.auth.signInWithOAuth({
      provider: y,
      options: {
        redirectTo: o,
        scopes: a == null ? void 0 : a[y],
        queryParams: n
      }
    });
    v && f(v.message), p(!1);
  };
  function b(y) {
    return y === "linkedin_oidc" ? "LinkedIn" : y;
  }
  function _(y) {
    const v = y.toLowerCase();
    return y.charAt(0).toUpperCase() + v.slice(1);
  }
  return /* @__PURE__ */ s.createElement(s.Fragment, null, r && r.length > 0 && /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(ce, { gap: "large", direction: "vertical", appearance: d }, /* @__PURE__ */ s.createElement(
    ce,
    {
      direction: h ? "vertical" : "horizontal",
      gap: h ? "small" : "medium",
      appearance: d
    },
    r.map((y) => {
      var v;
      return /* @__PURE__ */ s.createElement(
        qe,
        {
          key: y,
          color: "default",
          loading: m,
          onClick: () => x(y),
          appearance: d
        },
        /* @__PURE__ */ s.createElement(Hl, { provider: y }),
        h && hl(
          (v = u == null ? void 0 : u[E]) == null ? void 0 : v.social_provider_text,
          {
            provider: _(
              b(y)
            )
          }
        )
      );
    })
  )), !i && /* @__PURE__ */ s.createElement(Ml, { appearance: d })));
}
function Ua({
  authView: e = "sign_in",
  defaultEmail: t = "",
  defaultPassword: r = "",
  setAuthView: a = () => {
  },
  setDefaultEmail: n = (E) => {
  },
  setDefaultPassword: o = (E) => {
  },
  supabaseClient: i,
  showLinks: c = !1,
  redirectTo: u,
  additionalData: d,
  magicLink: m,
  i18n: p,
  appearance: g,
  passwordLimit: f = !1,
  children: h
}) {
  var j, te, V, M;
  const E = El(!0), [x, b] = R(t), [_, y] = R(r), [v, C] = R(""), [S, P] = R(!1), [O, I] = R("");
  W(() => (E.current = !0, b(t), y(r), () => {
    E.current = !1;
  }), [e]);
  const A = async (k) => {
    var B;
    switch (k.preventDefault(), C(""), P(!0), e) {
      case "sign_in":
        const { error: Pe } = await i.auth.signInWithPassword({
          email: x,
          password: _
        });
        Pe && C(Pe.message);
        break;
      case "sign_up":
        if (f && _.length > 72) {
          C("Password exceeds maxmium length of 72 characters");
          return;
        }
        let Ue = {
          emailRedirectTo: u
        };
        d && (Ue.data = d);
        const {
          data: { user: Vt, session: Xt },
          error: He
        } = await i.auth.signUp({
          email: x,
          password: _,
          options: Ue
        });
        He ? C(He.message) : Vt && !Xt && I((B = p == null ? void 0 : p.sign_up) == null ? void 0 : B.confirmation_text);
        break;
    }
    E.current && P(!1);
  }, L = (k) => {
    n(x), o(_), a(k);
  }, F = p == null ? void 0 : p[e];
  return /* @__PURE__ */ s.createElement(
    "form",
    {
      id: e === "sign_in" ? "auth-sign-in" : "auth-sign-up",
      onSubmit: A,
      autoComplete: "on",
      style: { width: "100%" }
    },
    /* @__PURE__ */ s.createElement(ce, { direction: "vertical", gap: "large", appearance: g }, /* @__PURE__ */ s.createElement(ce, { direction: "vertical", gap: "large", appearance: g }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "email", appearance: g }, F == null ? void 0 : F.email_label), /* @__PURE__ */ s.createElement(
      Ee,
      {
        id: "email",
        type: "email",
        name: "email",
        placeholder: F == null ? void 0 : F.email_input_placeholder,
        defaultValue: x,
        onChange: (k) => b(k.target.value),
        autoComplete: "email",
        appearance: g
      }
    )), /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "password", appearance: g }, F == null ? void 0 : F.password_label), /* @__PURE__ */ s.createElement(
      Ee,
      {
        id: "password",
        type: "password",
        name: "password",
        placeholder: F == null ? void 0 : F.password_input_placeholder,
        defaultValue: _,
        onChange: (k) => y(k.target.value),
        autoComplete: e === "sign_in" ? "current-password" : "new-password",
        appearance: g
      }
    )), h), /* @__PURE__ */ s.createElement(
      qe,
      {
        type: "submit",
        color: "primary",
        loading: S,
        appearance: g
      },
      S ? F == null ? void 0 : F.loading_button_label : F == null ? void 0 : F.button_label
    ), c && /* @__PURE__ */ s.createElement(ce, { direction: "vertical", gap: "small", appearance: g }, e === Y.SIGN_IN && m && /* @__PURE__ */ s.createElement(
      xe,
      {
        href: "#auth-magic-link",
        onClick: (k) => {
          k.preventDefault(), a(Y.MAGIC_LINK);
        },
        appearance: g
      },
      (j = p == null ? void 0 : p.magic_link) == null ? void 0 : j.link_text
    ), e === Y.SIGN_IN && /* @__PURE__ */ s.createElement(
      xe,
      {
        href: "#auth-forgot-password",
        onClick: (k) => {
          k.preventDefault(), a(Y.FORGOTTEN_PASSWORD);
        },
        appearance: g
      },
      (te = p == null ? void 0 : p.forgotten_password) == null ? void 0 : te.link_text
    ), e === Y.SIGN_IN ? /* @__PURE__ */ s.createElement(
      xe,
      {
        href: "#auth-sign-up",
        onClick: (k) => {
          k.preventDefault(), L(Y.SIGN_UP);
        },
        appearance: g
      },
      (V = p == null ? void 0 : p.sign_up) == null ? void 0 : V.link_text
    ) : /* @__PURE__ */ s.createElement(
      xe,
      {
        href: "#auth-sign-in",
        onClick: (k) => {
          k.preventDefault(), L(Y.SIGN_IN);
        },
        appearance: g
      },
      (M = p == null ? void 0 : p.sign_in) == null ? void 0 : M.link_text
    ))),
    O && /* @__PURE__ */ s.createElement(de, { appearance: g }, O),
    v && /* @__PURE__ */ s.createElement(de, { color: "danger", appearance: g }, v)
  );
}
function Ko({
  setAuthView: e = () => {
  },
  supabaseClient: t,
  redirectTo: r,
  i18n: a,
  appearance: n,
  showLinks: o = !1
}) {
  var x;
  const [i, c] = R(""), [u, d] = R(""), [m, p] = R(""), [g, f] = R(!1), h = async (b) => {
    var y;
    b.preventDefault(), d(""), p(""), f(!0);
    const { error: _ } = await t.auth.resetPasswordForEmail(i, {
      redirectTo: r
    });
    _ ? d(_.message) : p((y = a == null ? void 0 : a.forgotten_password) == null ? void 0 : y.confirmation_text), f(!1);
  }, E = a == null ? void 0 : a.forgotten_password;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-forgot-password", onSubmit: h }, /* @__PURE__ */ s.createElement(ce, { direction: "vertical", gap: "large", appearance: n }, /* @__PURE__ */ s.createElement(ce, { gap: "large", direction: "vertical", appearance: n }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "email", appearance: n }, E == null ? void 0 : E.email_label), /* @__PURE__ */ s.createElement(
    Ee,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: E == null ? void 0 : E.email_input_placeholder,
      onChange: (b) => c(b.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement(
    qe,
    {
      type: "submit",
      color: "primary",
      loading: g,
      appearance: n
    },
    g ? E == null ? void 0 : E.loading_button_label : E == null ? void 0 : E.button_label
  ), o && /* @__PURE__ */ s.createElement(
    xe,
    {
      href: "#auth-sign-in",
      onClick: (b) => {
        b.preventDefault(), e(Y.SIGN_IN);
      },
      appearance: n
    },
    (x = a == null ? void 0 : a.sign_in) == null ? void 0 : x.link_text
  ), m && /* @__PURE__ */ s.createElement(de, { appearance: n }, m), u && /* @__PURE__ */ s.createElement(de, { color: "danger", appearance: n }, u))));
}
function Jo({
  supabaseClient: e,
  i18n: t,
  appearance: r,
  passwordLimit: a = !1
}) {
  const [n, o] = R(""), [i, c] = R(""), [u, d] = R(""), [m, p] = R(!1), g = async (h) => {
    var x;
    if (h.preventDefault(), c(""), d(""), p(!0), a && n.length > 72) {
      c("Password exceeds maxmium length of 72 characters"), p(!1);
      return;
    }
    const { error: E } = await e.auth.updateUser({ password: n });
    E ? c(E.message) : d((x = t == null ? void 0 : t.update_password) == null ? void 0 : x.confirmation_text), p(!1);
  }, f = t == null ? void 0 : t.update_password;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-update-password", onSubmit: g }, /* @__PURE__ */ s.createElement(ce, { gap: "large", direction: "vertical", appearance: r }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "password", appearance: r }, f == null ? void 0 : f.password_label), /* @__PURE__ */ s.createElement(
    Ee,
    {
      id: "password",
      name: "password",
      placeholder: f == null ? void 0 : f.password_input_placeholder,
      type: "password",
      autoFocus: !0,
      onChange: (h) => o(h.target.value),
      appearance: r
    }
  )), /* @__PURE__ */ s.createElement(
    qe,
    {
      type: "submit",
      color: "primary",
      loading: m,
      appearance: r
    },
    m ? f == null ? void 0 : f.loading_button_label : f == null ? void 0 : f.button_label
  ), u && /* @__PURE__ */ s.createElement(de, { appearance: r }, u), i && /* @__PURE__ */ s.createElement(de, { color: "danger", appearance: r }, i)));
}
function ic({
  setAuthView: e = () => {
  },
  supabaseClient: t,
  otpType: r = "email",
  i18n: a,
  appearance: n,
  showLinks: o = !1
}) {
  var v;
  const [i, c] = R(""), [u, d] = R(""), [m, p] = R(""), [g, f] = R(""), [h, E] = R(""), [x, b] = R(!1), _ = async (C) => {
    C.preventDefault(), f(""), E(""), b(!0);
    let S = {
      email: i,
      token: m,
      type: r
    };
    ["sms", "phone_change"].includes(r) && (S = {
      phone: u,
      token: m,
      type: r
    });
    const { error: P } = await t.auth.verifyOtp(S);
    P && f(P.message), b(!1);
  }, y = a == null ? void 0 : a.verify_otp;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-magic-link", onSubmit: _ }, /* @__PURE__ */ s.createElement(ce, { gap: "large", direction: "vertical", appearance: n }, ["sms", "phone_change"].includes(r) ? /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "phone", appearance: n }, y == null ? void 0 : y.phone_input_label), /* @__PURE__ */ s.createElement(
    Ee,
    {
      id: "phone",
      name: "phone",
      type: "text",
      autoFocus: !0,
      placeholder: y == null ? void 0 : y.phone_input_placeholder,
      onChange: (C) => d(C.target.value),
      appearance: n
    }
  )) : /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "email", appearance: n }, y == null ? void 0 : y.email_input_label), /* @__PURE__ */ s.createElement(
    Ee,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: y == null ? void 0 : y.email_input_placeholder,
      onChange: (C) => c(C.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(ve, { htmlFor: "token", appearance: n }, y == null ? void 0 : y.token_input_label), /* @__PURE__ */ s.createElement(
    Ee,
    {
      id: "token",
      name: "token",
      type: "text",
      placeholder: y == null ? void 0 : y.token_input_placeholder,
      onChange: (C) => p(C.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement(
    qe,
    {
      color: "primary",
      type: "submit",
      loading: x,
      appearance: n
    },
    x ? y == null ? void 0 : y.loading_button_label : y == null ? void 0 : y.button_label
  ), o && /* @__PURE__ */ s.createElement(
    xe,
    {
      href: "#auth-sign-in",
      onClick: (C) => {
        C.preventDefault(), e(Y.SIGN_IN);
      },
      appearance: n
    },
    (v = a == null ? void 0 : a.sign_in) == null ? void 0 : v.link_text
  ), h && /* @__PURE__ */ s.createElement(de, { appearance: n }, h), g && /* @__PURE__ */ s.createElement(de, { color: "danger", appearance: n }, g)));
}
const Zo = vl({ user: null, session: null }), lc = (e) => {
  const { supabaseClient: t } = e, [r, a] = R(null), [n, o] = R((r == null ? void 0 : r.user) ?? null);
  W(() => {
    (async () => {
      var d;
      const { data: u } = await t.auth.getSession();
      a(u.session), o(((d = u.session) == null ? void 0 : d.user) ?? null);
    })();
    const { data: c } = t.auth.onAuthStateChange(
      async (u, d) => {
        a(d), o((d == null ? void 0 : d.user) ?? null);
      }
    );
    return () => {
      c == null || c.subscription.unsubscribe();
    };
  }, []);
  const i = {
    session: r,
    user: n
  };
  return /* @__PURE__ */ s.createElement(Zo.Provider, { value: i, ...e });
}, cc = () => {
  const e = wl(Zo);
  if (e === void 0)
    throw new Error("useUser must be used within a UserContextProvider.");
  return e;
};
function Xe({
  supabaseClient: e,
  socialLayout: t = "vertical",
  providers: r,
  providerScopes: a,
  queryParams: n,
  view: o = "sign_in",
  redirectTo: i,
  onlyThirdPartyProviders: c = !1,
  magicLink: u = !1,
  showLinks: d = !0,
  appearance: m,
  theme: p = "default",
  localization: g = { variables: {} },
  otpType: f = "email",
  additionalData: h,
  passwordLimit: E,
  children: x
}) {
  const b = er(yl, g.variables ?? {}), [_, y] = R(o), [v, C] = R(""), [S, P] = R(""), O = _ === "sign_in" || _ === "sign_up" || _ === "magic_link";
  W(() => {
    var L, F;
    pl({
      theme: er(
        ((L = m == null ? void 0 : m.theme) == null ? void 0 : L.default) ?? {},
        ((F = m == null ? void 0 : m.variables) == null ? void 0 : F.default) ?? {}
      )
    });
  }, [m]);
  const I = ({ children: L }) => {
    var F;
    return (
      // @ts-ignore
      /* @__PURE__ */ s.createElement(
        "div",
        {
          className: p !== "default" ? gl(
            er(
              // @ts-ignore
              m == null ? void 0 : m.theme[p],
              ((F = m == null ? void 0 : m.variables) == null ? void 0 : F[p]) ?? {}
            )
          ) : ""
        },
        O && /* @__PURE__ */ s.createElement(
          oc,
          {
            appearance: m,
            supabaseClient: e,
            providers: r,
            providerScopes: a,
            queryParams: n,
            socialLayout: t,
            redirectTo: i,
            onlyThirdPartyProviders: c,
            i18n: b,
            view: _
          }
        ),
        !c && L
      )
    );
  };
  W(() => {
    const { data: L } = e.auth.onAuthStateChange(
      (F) => {
        F === "PASSWORD_RECOVERY" ? y("update_password") : F === "USER_UPDATED" && y("sign_in");
      }
    );
    return y(o), () => L.subscription.unsubscribe();
  }, [o]);
  const A = {
    supabaseClient: e,
    setAuthView: y,
    defaultEmail: v,
    defaultPassword: S,
    setDefaultEmail: C,
    setDefaultPassword: P,
    redirectTo: i,
    magicLink: u,
    showLinks: d,
    i18n: b,
    appearance: m,
    passwordLimit: E
  };
  switch (_) {
    case Y.SIGN_IN:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(Ua, { ...A, authView: "sign_in" }));
    case Y.SIGN_UP:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(
        Ua,
        {
          appearance: m,
          supabaseClient: e,
          authView: "sign_up",
          setAuthView: y,
          defaultEmail: v,
          defaultPassword: S,
          setDefaultEmail: C,
          setDefaultPassword: P,
          redirectTo: i,
          magicLink: u,
          showLinks: d,
          i18n: b,
          additionalData: h,
          passwordLimit: E,
          children: x
        }
      ));
    case Y.FORGOTTEN_PASSWORD:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(
        Ko,
        {
          appearance: m,
          supabaseClient: e,
          setAuthView: y,
          redirectTo: i,
          showLinks: d,
          i18n: b
        }
      ));
    case Y.MAGIC_LINK:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(
        Yo,
        {
          appearance: m,
          supabaseClient: e,
          setAuthView: y,
          redirectTo: i,
          showLinks: d,
          i18n: b
        }
      ));
    case Y.UPDATE_PASSWORD:
      return /* @__PURE__ */ s.createElement(
        Jo,
        {
          appearance: m,
          supabaseClient: e,
          i18n: b,
          passwordLimit: E
        }
      );
    case Y.VERIFY_OTP:
      return /* @__PURE__ */ s.createElement(
        ic,
        {
          appearance: m,
          supabaseClient: e,
          otpType: f,
          i18n: b
        }
      );
    default:
      return null;
  }
}
Xe.ForgottenPassword = Ko;
Xe.UpdatePassword = Jo;
Xe.MagicLink = Yo;
Xe.UserContextProvider = lc;
Xe.useUser = cc;
var dc = function(e, t) {
  for (var r = {}; e.length; ) {
    var a = e[0], n = a.code, o = a.message, i = a.path.join(".");
    if (!r[i])
      if ("unionErrors" in a) {
        var c = a.unionErrors[0].errors[0];
        r[i] = { message: c.message, type: c.code };
      } else
        r[i] = { message: o, type: n };
    if ("unionErrors" in a && a.unionErrors.forEach(function(m) {
      return m.errors.forEach(function(p) {
        return e.push(p);
      });
    }), t) {
      var u = r[i].types, d = u && u[a.code];
      r[i] = bl(i, t, r, n, d ? [].concat(d, a.message) : a.message);
    }
    e.shift();
  }
  return r;
}, Le = function(e, t, r) {
  return r === void 0 && (r = {}), function(a, n, o) {
    try {
      return Promise.resolve(function(i, c) {
        try {
          var u = Promise.resolve(e[r.mode === "sync" ? "parse" : "parseAsync"](a, t)).then(function(d) {
            return o.shouldUseNativeValidation && Nl({}, o), { errors: {}, values: r.raw ? a : d };
          });
        } catch (d) {
          return c(d);
        }
        return u && u.then ? u.then(void 0, c) : u;
      }(0, function(i) {
        if (function(c) {
          return c.errors != null;
        }(i))
          return { values: {}, errors: _l(dc(i.errors, !o.shouldUseNativeValidation && o.criteriaMode === "all"), o) };
        throw i;
      }));
    } catch (i) {
      return Promise.reject(i);
    }
  };
};
const mc = ({
  title: e,
  isLoading: t = !1,
  disabled: r = !1,
  type: a = "filled",
  bgColour: n = "bg-green-500",
  icon: o,
  onClick: i,
  width: c
}) => /* @__PURE__ */ s.createElement(
  "button",
  {
    type: "submit",
    className: `${c ? `w-[${c}px]` : "w-full"} py-2 px-4 rounded flex justify-center items-center ${a === "filled" ? n : "border border-gray-400"} ${a === "filled" ? " text-white" : " text-black"} ${r || t ? "cursor-not-allowed opacity-50" : ""}`,
    disabled: r || t,
    onClick: i
  },
  /* @__PURE__ */ s.createElement(s.Fragment, null, t && /* @__PURE__ */ s.createElement("svg", { className: "animate-spin h-5 w-5 mr-3", viewBox: "0 0 24 24" }, /* @__PURE__ */ s.createElement(
    "circle",
    {
      className: "opacity-25",
      cx: "12",
      cy: "12",
      r: "10",
      stroke: "currentColor",
      strokeWidth: "4"
    }
  ), /* @__PURE__ */ s.createElement(
    "path",
    {
      className: "opacity-75",
      fill: "currentColor",
      d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
    }
  )), o && /* @__PURE__ */ s.createElement("img", { src: o, alt: "icon", className: "h-5 w-5 mr-3" }), e)
), Ge = mc;
Array(12).fill(0);
s.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20", fill: "currentColor", height: "20", width: "20" }, s.createElement("path", { fillRule: "evenodd", d: "M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z", clipRule: "evenodd" }));
s.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24", fill: "currentColor", height: "20", width: "20" }, s.createElement("path", { fillRule: "evenodd", d: "M9.401 3.003c1.155-2 4.043-2 5.197 0l7.355 12.748c1.154 2-.29 4.5-2.599 4.5H4.645c-2.309 0-3.752-2.5-2.598-4.5L9.4 3.003zM12 8.25a.75.75 0 01.75.75v3.75a.75.75 0 01-1.5 0V9a.75.75 0 01.75-.75zm0 8.25a.75.75 0 100-1.5.75.75 0 000 1.5z", clipRule: "evenodd" }));
s.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20", fill: "currentColor", height: "20", width: "20" }, s.createElement("path", { fillRule: "evenodd", d: "M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7-4a1 1 0 11-2 0 1 1 0 012 0zM9 9a.75.75 0 000 1.5h.253a.25.25 0 01.244.304l-.459 2.066A1.75 1.75 0 0010.747 15H11a.75.75 0 000-1.5h-.253a.25.25 0 01-.244-.304l.459-2.066A1.75 1.75 0 009.253 9H9z", clipRule: "evenodd" }));
s.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20", fill: "currentColor", height: "20", width: "20" }, s.createElement("path", { fillRule: "evenodd", d: "M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-8-5a.75.75 0 01.75.75v4.5a.75.75 0 01-1.5 0v-4.5A.75.75 0 0110 5zm0 10a1 1 0 100-2 1 1 0 000 2z", clipRule: "evenodd" }));
var In = 1, uc = class {
  constructor() {
    this.subscribe = (e) => (this.subscribers.push(e), () => {
      let t = this.subscribers.indexOf(e);
      this.subscribers.splice(t, 1);
    }), this.publish = (e) => {
      this.subscribers.forEach((t) => t(e));
    }, this.addToast = (e) => {
      this.publish(e), this.toasts = [...this.toasts, e];
    }, this.create = (e) => {
      var t;
      let { message: r, ...a } = e, n = typeof (e == null ? void 0 : e.id) == "number" || ((t = e.id) == null ? void 0 : t.length) > 0 ? e.id : In++, o = this.toasts.find((c) => c.id === n), i = e.dismissible === void 0 ? !0 : e.dismissible;
      return o ? this.toasts = this.toasts.map((c) => c.id === n ? (this.publish({ ...c, ...e, id: n, title: r }), { ...c, ...e, id: n, dismissible: i, title: r }) : c) : this.addToast({ title: r, ...a, dismissible: i, id: n }), n;
    }, this.dismiss = (e) => (e || this.toasts.forEach((t) => {
      this.subscribers.forEach((r) => r({ id: t.id, dismiss: !0 }));
    }), this.subscribers.forEach((t) => t({ id: e, dismiss: !0 })), e), this.message = (e, t) => this.create({ ...t, message: e }), this.error = (e, t) => this.create({ ...t, message: e, type: "error" }), this.success = (e, t) => this.create({ ...t, type: "success", message: e }), this.info = (e, t) => this.create({ ...t, type: "info", message: e }), this.warning = (e, t) => this.create({ ...t, type: "warning", message: e }), this.loading = (e, t) => this.create({ ...t, type: "loading", message: e }), this.promise = (e, t) => {
      if (!t)
        return;
      let r;
      t.loading !== void 0 && (r = this.create({ ...t, promise: e, type: "loading", message: t.loading, description: typeof t.description != "function" ? t.description : void 0 }));
      let a = e instanceof Promise ? e : e(), n = r !== void 0;
      return a.then(async (o) => {
        if (pc(o) && !o.ok) {
          n = !1;
          let i = typeof t.error == "function" ? await t.error(`HTTP error! status: ${o.status}`) : t.error, c = typeof t.description == "function" ? await t.description(`HTTP error! status: ${o.status}`) : t.description;
          this.create({ id: r, type: "error", message: i, description: c });
        } else if (t.success !== void 0) {
          n = !1;
          let i = typeof t.success == "function" ? await t.success(o) : t.success, c = typeof t.description == "function" ? await t.description(o) : t.description;
          this.create({ id: r, type: "success", message: i, description: c });
        }
      }).catch(async (o) => {
        if (t.error !== void 0) {
          n = !1;
          let i = typeof t.error == "function" ? await t.error(o) : t.error, c = typeof t.description == "function" ? await t.description(o) : t.description;
          this.create({ id: r, type: "error", message: i, description: c });
        }
      }).finally(() => {
        var o;
        n && (this.dismiss(r), r = void 0), (o = t.finally) == null || o.call(t);
      }), r;
    }, this.custom = (e, t) => {
      let r = (t == null ? void 0 : t.id) || In++;
      return this.create({ jsx: e(r), id: r, ...t }), r;
    }, this.subscribers = [], this.toasts = [];
  }
}, ae = new uc(), fc = (e, t) => {
  let r = (t == null ? void 0 : t.id) || In++;
  return ae.addToast({ title: e, ...t, id: r }), r;
}, pc = (e) => e && typeof e == "object" && "ok" in e && typeof e.ok == "boolean" && "status" in e && typeof e.status == "number", gc = fc, hc = () => ae.toasts, Ae = Object.assign(gc, { success: ae.success, info: ae.info, warning: ae.warning, error: ae.error, custom: ae.custom, message: ae.message, promise: ae.promise, dismiss: ae.dismiss, loading: ae.loading }, { getHistory: hc });
function yc(e, { insertAt: t } = {}) {
  if (!e || typeof document > "u")
    return;
  let r = document.head || document.getElementsByTagName("head")[0], a = document.createElement("style");
  a.type = "text/css", t === "top" && r.firstChild ? r.insertBefore(a, r.firstChild) : r.appendChild(a), a.styleSheet ? a.styleSheet.cssText = e : a.appendChild(document.createTextNode(e));
}
yc(`:where(html[dir="ltr"]),:where([data-sonner-toaster][dir="ltr"]){--toast-icon-margin-start: -3px;--toast-icon-margin-end: 4px;--toast-svg-margin-start: -1px;--toast-svg-margin-end: 0px;--toast-button-margin-start: auto;--toast-button-margin-end: 0;--toast-close-button-start: 0;--toast-close-button-end: unset;--toast-close-button-transform: translate(-35%, -35%)}:where(html[dir="rtl"]),:where([data-sonner-toaster][dir="rtl"]){--toast-icon-margin-start: 4px;--toast-icon-margin-end: -3px;--toast-svg-margin-start: 0px;--toast-svg-margin-end: -1px;--toast-button-margin-start: 0;--toast-button-margin-end: auto;--toast-close-button-start: unset;--toast-close-button-end: 0;--toast-close-button-transform: translate(35%, -35%)}:where([data-sonner-toaster]){position:fixed;width:var(--width);font-family:ui-sans-serif,system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;--gray1: hsl(0, 0%, 99%);--gray2: hsl(0, 0%, 97.3%);--gray3: hsl(0, 0%, 95.1%);--gray4: hsl(0, 0%, 93%);--gray5: hsl(0, 0%, 90.9%);--gray6: hsl(0, 0%, 88.7%);--gray7: hsl(0, 0%, 85.8%);--gray8: hsl(0, 0%, 78%);--gray9: hsl(0, 0%, 56.1%);--gray10: hsl(0, 0%, 52.3%);--gray11: hsl(0, 0%, 43.5%);--gray12: hsl(0, 0%, 9%);--border-radius: 8px;box-sizing:border-box;padding:0;margin:0;list-style:none;outline:none;z-index:999999999}:where([data-sonner-toaster][data-x-position="right"]){right:max(var(--offset),env(safe-area-inset-right))}:where([data-sonner-toaster][data-x-position="left"]){left:max(var(--offset),env(safe-area-inset-left))}:where([data-sonner-toaster][data-x-position="center"]){left:50%;transform:translate(-50%)}:where([data-sonner-toaster][data-y-position="top"]){top:max(var(--offset),env(safe-area-inset-top))}:where([data-sonner-toaster][data-y-position="bottom"]){bottom:max(var(--offset),env(safe-area-inset-bottom))}:where([data-sonner-toast]){--y: translateY(100%);--lift-amount: calc(var(--lift) * var(--gap));z-index:var(--z-index);position:absolute;opacity:0;transform:var(--y);filter:blur(0);touch-action:none;transition:transform .4s,opacity .4s,height .4s,box-shadow .2s;box-sizing:border-box;outline:none;overflow-wrap:anywhere}:where([data-sonner-toast][data-styled="true"]){padding:16px;background:var(--normal-bg);border:1px solid var(--normal-border);color:var(--normal-text);border-radius:var(--border-radius);box-shadow:0 4px 12px #0000001a;width:var(--width);font-size:13px;display:flex;align-items:center;gap:6px}:where([data-sonner-toast]:focus-visible){box-shadow:0 4px 12px #0000001a,0 0 0 2px #0003}:where([data-sonner-toast][data-y-position="top"]){top:0;--y: translateY(-100%);--lift: 1;--lift-amount: calc(1 * var(--gap))}:where([data-sonner-toast][data-y-position="bottom"]){bottom:0;--y: translateY(100%);--lift: -1;--lift-amount: calc(var(--lift) * var(--gap))}:where([data-sonner-toast]) :where([data-description]){font-weight:400;line-height:1.4;color:inherit}:where([data-sonner-toast]) :where([data-title]){font-weight:500;line-height:1.5;color:inherit}:where([data-sonner-toast]) :where([data-icon]){display:flex;height:16px;width:16px;position:relative;justify-content:flex-start;align-items:center;flex-shrink:0;margin-left:var(--toast-icon-margin-start);margin-right:var(--toast-icon-margin-end)}:where([data-sonner-toast][data-promise="true"]) :where([data-icon])>svg{opacity:0;transform:scale(.8);transform-origin:center;animation:sonner-fade-in .3s ease forwards}:where([data-sonner-toast]) :where([data-icon])>*{flex-shrink:0}:where([data-sonner-toast]) :where([data-icon]) svg{margin-left:var(--toast-svg-margin-start);margin-right:var(--toast-svg-margin-end)}:where([data-sonner-toast]) :where([data-content]){display:flex;flex-direction:column;gap:2px}[data-sonner-toast][data-styled=true] [data-button]{border-radius:4px;padding-left:8px;padding-right:8px;height:24px;font-size:12px;color:var(--normal-bg);background:var(--normal-text);margin-left:var(--toast-button-margin-start);margin-right:var(--toast-button-margin-end);border:none;cursor:pointer;outline:none;display:flex;align-items:center;flex-shrink:0;transition:opacity .4s,box-shadow .2s}:where([data-sonner-toast]) :where([data-button]):focus-visible{box-shadow:0 0 0 2px #0006}:where([data-sonner-toast]) :where([data-button]):first-of-type{margin-left:var(--toast-button-margin-start);margin-right:var(--toast-button-margin-end)}:where([data-sonner-toast]) :where([data-cancel]){color:var(--normal-text);background:rgba(0,0,0,.08)}:where([data-sonner-toast][data-theme="dark"]) :where([data-cancel]){background:rgba(255,255,255,.3)}:where([data-sonner-toast]) :where([data-close-button]){position:absolute;left:var(--toast-close-button-start);right:var(--toast-close-button-end);top:0;height:20px;width:20px;display:flex;justify-content:center;align-items:center;padding:0;background:var(--gray1);color:var(--gray12);border:1px solid var(--gray4);transform:var(--toast-close-button-transform);border-radius:50%;cursor:pointer;z-index:1;transition:opacity .1s,background .2s,border-color .2s}:where([data-sonner-toast]) :where([data-close-button]):focus-visible{box-shadow:0 4px 12px #0000001a,0 0 0 2px #0003}:where([data-sonner-toast]) :where([data-disabled="true"]){cursor:not-allowed}:where([data-sonner-toast]):hover :where([data-close-button]):hover{background:var(--gray2);border-color:var(--gray5)}:where([data-sonner-toast][data-swiping="true"]):before{content:"";position:absolute;left:0;right:0;height:100%;z-index:-1}:where([data-sonner-toast][data-y-position="top"][data-swiping="true"]):before{bottom:50%;transform:scaleY(3) translateY(50%)}:where([data-sonner-toast][data-y-position="bottom"][data-swiping="true"]):before{top:50%;transform:scaleY(3) translateY(-50%)}:where([data-sonner-toast][data-swiping="false"][data-removed="true"]):before{content:"";position:absolute;inset:0;transform:scaleY(2)}:where([data-sonner-toast]):after{content:"";position:absolute;left:0;height:calc(var(--gap) + 1px);bottom:100%;width:100%}:where([data-sonner-toast][data-mounted="true"]){--y: translateY(0);opacity:1}:where([data-sonner-toast][data-expanded="false"][data-front="false"]){--scale: var(--toasts-before) * .05 + 1;--y: translateY(calc(var(--lift-amount) * var(--toasts-before))) scale(calc(-1 * var(--scale)));height:var(--front-toast-height)}:where([data-sonner-toast])>*{transition:opacity .4s}:where([data-sonner-toast][data-expanded="false"][data-front="false"][data-styled="true"])>*{opacity:0}:where([data-sonner-toast][data-visible="false"]){opacity:0;pointer-events:none}:where([data-sonner-toast][data-mounted="true"][data-expanded="true"]){--y: translateY(calc(var(--lift) * var(--offset)));height:var(--initial-height)}:where([data-sonner-toast][data-removed="true"][data-front="true"][data-swipe-out="false"]){--y: translateY(calc(var(--lift) * -100%));opacity:0}:where([data-sonner-toast][data-removed="true"][data-front="false"][data-swipe-out="false"][data-expanded="true"]){--y: translateY(calc(var(--lift) * var(--offset) + var(--lift) * -100%));opacity:0}:where([data-sonner-toast][data-removed="true"][data-front="false"][data-swipe-out="false"][data-expanded="false"]){--y: translateY(40%);opacity:0;transition:transform .5s,opacity .2s}:where([data-sonner-toast][data-removed="true"][data-front="false"]):before{height:calc(var(--initial-height) + 20%)}[data-sonner-toast][data-swiping=true]{transform:var(--y) translateY(var(--swipe-amount, 0px));transition:none}[data-sonner-toast][data-swipe-out=true][data-y-position=bottom],[data-sonner-toast][data-swipe-out=true][data-y-position=top]{animation:swipe-out .2s ease-out forwards}@keyframes swipe-out{0%{transform:translateY(calc(var(--lift) * var(--offset) + var(--swipe-amount)));opacity:1}to{transform:translateY(calc(var(--lift) * var(--offset) + var(--swipe-amount) + var(--lift) * -100%));opacity:0}}@media (max-width: 600px){[data-sonner-toaster]{position:fixed;--mobile-offset: 16px;right:var(--mobile-offset);left:var(--mobile-offset);width:100%}[data-sonner-toaster] [data-sonner-toast]{left:0;right:0;width:calc(100% - var(--mobile-offset) * 2)}[data-sonner-toaster][data-x-position=left]{left:var(--mobile-offset)}[data-sonner-toaster][data-y-position=bottom]{bottom:20px}[data-sonner-toaster][data-y-position=top]{top:20px}[data-sonner-toaster][data-x-position=center]{left:var(--mobile-offset);right:var(--mobile-offset);transform:none}}[data-sonner-toaster][data-theme=light]{--normal-bg: #fff;--normal-border: var(--gray4);--normal-text: var(--gray12);--success-bg: hsl(143, 85%, 96%);--success-border: hsl(145, 92%, 91%);--success-text: hsl(140, 100%, 27%);--info-bg: hsl(208, 100%, 97%);--info-border: hsl(221, 91%, 91%);--info-text: hsl(210, 92%, 45%);--warning-bg: hsl(49, 100%, 97%);--warning-border: hsl(49, 91%, 91%);--warning-text: hsl(31, 92%, 45%);--error-bg: hsl(359, 100%, 97%);--error-border: hsl(359, 100%, 94%);--error-text: hsl(360, 100%, 45%)}[data-sonner-toaster][data-theme=light] [data-sonner-toast][data-invert=true]{--normal-bg: #000;--normal-border: hsl(0, 0%, 20%);--normal-text: var(--gray1)}[data-sonner-toaster][data-theme=dark] [data-sonner-toast][data-invert=true]{--normal-bg: #fff;--normal-border: var(--gray3);--normal-text: var(--gray12)}[data-sonner-toaster][data-theme=dark]{--normal-bg: #000;--normal-border: hsl(0, 0%, 20%);--normal-text: var(--gray1);--success-bg: hsl(150, 100%, 6%);--success-border: hsl(147, 100%, 12%);--success-text: hsl(150, 86%, 65%);--info-bg: hsl(215, 100%, 6%);--info-border: hsl(223, 100%, 12%);--info-text: hsl(216, 87%, 65%);--warning-bg: hsl(64, 100%, 6%);--warning-border: hsl(60, 100%, 12%);--warning-text: hsl(46, 87%, 65%);--error-bg: hsl(358, 76%, 10%);--error-border: hsl(357, 89%, 16%);--error-text: hsl(358, 100%, 81%)}[data-rich-colors=true][data-sonner-toast][data-type=success],[data-rich-colors=true][data-sonner-toast][data-type=success] [data-close-button]{background:var(--success-bg);border-color:var(--success-border);color:var(--success-text)}[data-rich-colors=true][data-sonner-toast][data-type=info],[data-rich-colors=true][data-sonner-toast][data-type=info] [data-close-button]{background:var(--info-bg);border-color:var(--info-border);color:var(--info-text)}[data-rich-colors=true][data-sonner-toast][data-type=warning],[data-rich-colors=true][data-sonner-toast][data-type=warning] [data-close-button]{background:var(--warning-bg);border-color:var(--warning-border);color:var(--warning-text)}[data-rich-colors=true][data-sonner-toast][data-type=error],[data-rich-colors=true][data-sonner-toast][data-type=error] [data-close-button]{background:var(--error-bg);border-color:var(--error-border);color:var(--error-text)}.sonner-loading-wrapper{--size: 16px;height:var(--size);width:var(--size);position:absolute;inset:0;z-index:10}.sonner-loading-wrapper[data-visible=false]{transform-origin:center;animation:sonner-fade-out .2s ease forwards}.sonner-spinner{position:relative;top:50%;left:50%;height:var(--size);width:var(--size)}.sonner-loading-bar{animation:sonner-spin 1.2s linear infinite;background:var(--gray11);border-radius:6px;height:8%;left:-10%;position:absolute;top:-3.9%;width:24%}.sonner-loading-bar:nth-child(1){animation-delay:-1.2s;transform:rotate(.0001deg) translate(146%)}.sonner-loading-bar:nth-child(2){animation-delay:-1.1s;transform:rotate(30deg) translate(146%)}.sonner-loading-bar:nth-child(3){animation-delay:-1s;transform:rotate(60deg) translate(146%)}.sonner-loading-bar:nth-child(4){animation-delay:-.9s;transform:rotate(90deg) translate(146%)}.sonner-loading-bar:nth-child(5){animation-delay:-.8s;transform:rotate(120deg) translate(146%)}.sonner-loading-bar:nth-child(6){animation-delay:-.7s;transform:rotate(150deg) translate(146%)}.sonner-loading-bar:nth-child(7){animation-delay:-.6s;transform:rotate(180deg) translate(146%)}.sonner-loading-bar:nth-child(8){animation-delay:-.5s;transform:rotate(210deg) translate(146%)}.sonner-loading-bar:nth-child(9){animation-delay:-.4s;transform:rotate(240deg) translate(146%)}.sonner-loading-bar:nth-child(10){animation-delay:-.3s;transform:rotate(270deg) translate(146%)}.sonner-loading-bar:nth-child(11){animation-delay:-.2s;transform:rotate(300deg) translate(146%)}.sonner-loading-bar:nth-child(12){animation-delay:-.1s;transform:rotate(330deg) translate(146%)}@keyframes sonner-fade-in{0%{opacity:0;transform:scale(.8)}to{opacity:1;transform:scale(1)}}@keyframes sonner-fade-out{0%{opacity:1;transform:scale(1)}to{opacity:0;transform:scale(.8)}}@keyframes sonner-spin{0%{opacity:1}to{opacity:.15}}@media (prefers-reduced-motion){[data-sonner-toast],[data-sonner-toast]>*,.sonner-loading-bar{transition:none!important;animation:none!important}}.sonner-loader{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);transform-origin:center;transition:opacity .2s,transform .2s}.sonner-loader[data-visible=false]{opacity:0;transform:scale(.8) translate(-50%,-50%)}
`);
function Vo(e, t) {
  return function() {
    return e.apply(t, arguments);
  };
}
const { toString: Ec } = Object.prototype, { getPrototypeOf: ia } = Object, xt = ((e) => (t) => {
  const r = Ec.call(t);
  return e[r] || (e[r] = r.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), le = (e) => (e = e.toLowerCase(), (t) => xt(t) === e), Nt = (e) => (t) => typeof t === e, { isArray: ze } = Array, Je = Nt("undefined");
function vc(e) {
  return e !== null && !Je(e) && e.constructor !== null && !Je(e.constructor) && re(e.constructor.isBuffer) && e.constructor.isBuffer(e);
}
const Xo = le("ArrayBuffer");
function wc(e) {
  let t;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? t = ArrayBuffer.isView(e) : t = e && e.buffer && Xo(e.buffer), t;
}
const bc = Nt("string"), re = Nt("function"), Qo = Nt("number"), _t = (e) => e !== null && typeof e == "object", xc = (e) => e === !0 || e === !1, dt = (e) => {
  if (xt(e) !== "object")
    return !1;
  const t = ia(e);
  return (t === null || t === Object.prototype || Object.getPrototypeOf(t) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}, Nc = le("Date"), _c = le("File"), Cc = le("Blob"), Sc = le("FileList"), Rc = (e) => _t(e) && re(e.pipe), Tc = (e) => {
  let t;
  return e && (typeof FormData == "function" && e instanceof FormData || re(e.append) && ((t = xt(e)) === "formdata" || // detect form-data instance
  t === "object" && re(e.toString) && e.toString() === "[object FormData]"));
}, Pc = le("URLSearchParams"), [Ac, Ic, Fc, Oc] = ["ReadableStream", "Request", "Response", "Headers"].map(le), Dc = (e) => e.trim ? e.trim() : e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function Qe(e, t, { allOwnKeys: r = !1 } = {}) {
  if (e === null || typeof e > "u")
    return;
  let a, n;
  if (typeof e != "object" && (e = [e]), ze(e))
    for (a = 0, n = e.length; a < n; a++)
      t.call(null, e[a], a, e);
  else {
    const o = r ? Object.getOwnPropertyNames(e) : Object.keys(e), i = o.length;
    let c;
    for (a = 0; a < i; a++)
      c = o[a], t.call(null, e[c], c, e);
  }
}
function ei(e, t) {
  t = t.toLowerCase();
  const r = Object.keys(e);
  let a = r.length, n;
  for (; a-- > 0; )
    if (n = r[a], t === n.toLowerCase())
      return n;
  return null;
}
const ti = (() => typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global)(), ri = (e) => !Je(e) && e !== ti;
function Fn() {
  const { caseless: e } = ri(this) && this || {}, t = {}, r = (a, n) => {
    const o = e && ei(t, n) || n;
    dt(t[o]) && dt(a) ? t[o] = Fn(t[o], a) : dt(a) ? t[o] = Fn({}, a) : ze(a) ? t[o] = a.slice() : t[o] = a;
  };
  for (let a = 0, n = arguments.length; a < n; a++)
    arguments[a] && Qe(arguments[a], r);
  return t;
}
const Lc = (e, t, r, { allOwnKeys: a } = {}) => (Qe(t, (n, o) => {
  r && re(n) ? e[o] = Vo(n, r) : e[o] = n;
}, { allOwnKeys: a }), e), kc = (e) => (e.charCodeAt(0) === 65279 && (e = e.slice(1)), e), qc = (e, t, r, a) => {
  e.prototype = Object.create(t.prototype, a), e.prototype.constructor = e, Object.defineProperty(e, "super", {
    value: t.prototype
  }), r && Object.assign(e.prototype, r);
}, zc = (e, t, r, a) => {
  let n, o, i;
  const c = {};
  if (t = t || {}, e == null)
    return t;
  do {
    for (n = Object.getOwnPropertyNames(e), o = n.length; o-- > 0; )
      i = n[o], (!a || a(i, e, t)) && !c[i] && (t[i] = e[i], c[i] = !0);
    e = r !== !1 && ia(e);
  } while (e && (!r || r(e, t)) && e !== Object.prototype);
  return t;
}, Mc = (e, t, r) => {
  e = String(e), (r === void 0 || r > e.length) && (r = e.length), r -= t.length;
  const a = e.indexOf(t, r);
  return a !== -1 && a === r;
}, jc = (e) => {
  if (!e)
    return null;
  if (ze(e))
    return e;
  let t = e.length;
  if (!Qo(t))
    return null;
  const r = new Array(t);
  for (; t-- > 0; )
    r[t] = e[t];
  return r;
}, Bc = ((e) => (t) => e && t instanceof e)(typeof Uint8Array < "u" && ia(Uint8Array)), Uc = (e, t) => {
  const a = (e && e[Symbol.iterator]).call(e);
  let n;
  for (; (n = a.next()) && !n.done; ) {
    const o = n.value;
    t.call(e, o[0], o[1]);
  }
}, Hc = (e, t) => {
  let r;
  const a = [];
  for (; (r = e.exec(t)) !== null; )
    a.push(r);
  return a;
}, $c = le("HTMLFormElement"), Wc = (e) => e.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(r, a, n) {
    return a.toUpperCase() + n;
  }
), Ha = (({ hasOwnProperty: e }) => (t, r) => e.call(t, r))(Object.prototype), Gc = le("RegExp"), ni = (e, t) => {
  const r = Object.getOwnPropertyDescriptors(e), a = {};
  Qe(r, (n, o) => {
    let i;
    (i = t(n, o, e)) !== !1 && (a[o] = i || n);
  }), Object.defineProperties(e, a);
}, Yc = (e) => {
  ni(e, (t, r) => {
    if (re(e) && ["arguments", "caller", "callee"].indexOf(r) !== -1)
      return !1;
    const a = e[r];
    if (re(a)) {
      if (t.enumerable = !1, "writable" in t) {
        t.writable = !1;
        return;
      }
      t.set || (t.set = () => {
        throw Error("Can not rewrite read-only method '" + r + "'");
      });
    }
  });
}, Kc = (e, t) => {
  const r = {}, a = (n) => {
    n.forEach((o) => {
      r[o] = !0;
    });
  };
  return ze(e) ? a(e) : a(String(e).split(t)), r;
}, Jc = () => {
}, Zc = (e, t) => e != null && Number.isFinite(e = +e) ? e : t, tr = "abcdefghijklmnopqrstuvwxyz", $a = "0123456789", ai = {
  DIGIT: $a,
  ALPHA: tr,
  ALPHA_DIGIT: tr + tr.toUpperCase() + $a
}, Vc = (e = 16, t = ai.ALPHA_DIGIT) => {
  let r = "";
  const { length: a } = t;
  for (; e--; )
    r += t[Math.random() * a | 0];
  return r;
};
function Xc(e) {
  return !!(e && re(e.append) && e[Symbol.toStringTag] === "FormData" && e[Symbol.iterator]);
}
const Qc = (e) => {
  const t = new Array(10), r = (a, n) => {
    if (_t(a)) {
      if (t.indexOf(a) >= 0)
        return;
      if (!("toJSON" in a)) {
        t[n] = a;
        const o = ze(a) ? [] : {};
        return Qe(a, (i, c) => {
          const u = r(i, n + 1);
          !Je(u) && (o[c] = u);
        }), t[n] = void 0, o;
      }
    }
    return a;
  };
  return r(e, 0);
}, ed = le("AsyncFunction"), td = (e) => e && (_t(e) || re(e)) && re(e.then) && re(e.catch), w = {
  isArray: ze,
  isArrayBuffer: Xo,
  isBuffer: vc,
  isFormData: Tc,
  isArrayBufferView: wc,
  isString: bc,
  isNumber: Qo,
  isBoolean: xc,
  isObject: _t,
  isPlainObject: dt,
  isReadableStream: Ac,
  isRequest: Ic,
  isResponse: Fc,
  isHeaders: Oc,
  isUndefined: Je,
  isDate: Nc,
  isFile: _c,
  isBlob: Cc,
  isRegExp: Gc,
  isFunction: re,
  isStream: Rc,
  isURLSearchParams: Pc,
  isTypedArray: Bc,
  isFileList: Sc,
  forEach: Qe,
  merge: Fn,
  extend: Lc,
  trim: Dc,
  stripBOM: kc,
  inherits: qc,
  toFlatObject: zc,
  kindOf: xt,
  kindOfTest: le,
  endsWith: Mc,
  toArray: jc,
  forEachEntry: Uc,
  matchAll: Hc,
  isHTMLForm: $c,
  hasOwnProperty: Ha,
  hasOwnProp: Ha,
  // an alias to avoid ESLint no-prototype-builtins detection
  reduceDescriptors: ni,
  freezeMethods: Yc,
  toObjectSet: Kc,
  toCamelCase: Wc,
  noop: Jc,
  toFiniteNumber: Zc,
  findKey: ei,
  global: ti,
  isContextDefined: ri,
  ALPHABET: ai,
  generateString: Vc,
  isSpecCompliantForm: Xc,
  toJSONObject: Qc,
  isAsyncFn: ed,
  isThenable: td
};
function D(e, t, r, a, n) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e, this.name = "AxiosError", t && (this.code = t), r && (this.config = r), a && (this.request = a), n && (this.response = n);
}
w.inherits(D, Error, {
  toJSON: function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: w.toJSONObject(this.config),
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }
});
const si = D.prototype, oi = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
  // eslint-disable-next-line func-names
].forEach((e) => {
  oi[e] = { value: e };
});
Object.defineProperties(D, oi);
Object.defineProperty(si, "isAxiosError", { value: !0 });
D.from = (e, t, r, a, n, o) => {
  const i = Object.create(si);
  return w.toFlatObject(e, i, function(u) {
    return u !== Error.prototype;
  }, (c) => c !== "isAxiosError"), D.call(i, e.message, t, r, a, n), i.cause = e, i.name = e.name, o && Object.assign(i, o), i;
};
const rd = null;
function On(e) {
  return w.isPlainObject(e) || w.isArray(e);
}
function ii(e) {
  return w.endsWith(e, "[]") ? e.slice(0, -2) : e;
}
function Wa(e, t, r) {
  return e ? e.concat(t).map(function(n, o) {
    return n = ii(n), !r && o ? "[" + n + "]" : n;
  }).join(r ? "." : "") : t;
}
function nd(e) {
  return w.isArray(e) && !e.some(On);
}
const ad = w.toFlatObject(w, {}, null, function(t) {
  return /^is[A-Z]/.test(t);
});
function Ct(e, t, r) {
  if (!w.isObject(e))
    throw new TypeError("target must be an object");
  t = t || new FormData(), r = w.toFlatObject(r, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(E, x) {
    return !w.isUndefined(x[E]);
  });
  const a = r.metaTokens, n = r.visitor || m, o = r.dots, i = r.indexes, u = (r.Blob || typeof Blob < "u" && Blob) && w.isSpecCompliantForm(t);
  if (!w.isFunction(n))
    throw new TypeError("visitor must be a function");
  function d(h) {
    if (h === null)
      return "";
    if (w.isDate(h))
      return h.toISOString();
    if (!u && w.isBlob(h))
      throw new D("Blob is not supported. Use a Buffer instead.");
    return w.isArrayBuffer(h) || w.isTypedArray(h) ? u && typeof Blob == "function" ? new Blob([h]) : Buffer.from(h) : h;
  }
  function m(h, E, x) {
    let b = h;
    if (h && !x && typeof h == "object") {
      if (w.endsWith(E, "{}"))
        E = a ? E : E.slice(0, -2), h = JSON.stringify(h);
      else if (w.isArray(h) && nd(h) || (w.isFileList(h) || w.endsWith(E, "[]")) && (b = w.toArray(h)))
        return E = ii(E), b.forEach(function(y, v) {
          !(w.isUndefined(y) || y === null) && t.append(
            // eslint-disable-next-line no-nested-ternary
            i === !0 ? Wa([E], v, o) : i === null ? E : E + "[]",
            d(y)
          );
        }), !1;
    }
    return On(h) ? !0 : (t.append(Wa(x, E, o), d(h)), !1);
  }
  const p = [], g = Object.assign(ad, {
    defaultVisitor: m,
    convertValue: d,
    isVisitable: On
  });
  function f(h, E) {
    if (!w.isUndefined(h)) {
      if (p.indexOf(h) !== -1)
        throw Error("Circular reference detected in " + E.join("."));
      p.push(h), w.forEach(h, function(b, _) {
        (!(w.isUndefined(b) || b === null) && n.call(
          t,
          b,
          w.isString(_) ? _.trim() : _,
          E,
          g
        )) === !0 && f(b, E ? E.concat(_) : [_]);
      }), p.pop();
    }
  }
  if (!w.isObject(e))
    throw new TypeError("data must be an object");
  return f(e), t;
}
function Ga(e) {
  const t = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g, function(a) {
    return t[a];
  });
}
function la(e, t) {
  this._pairs = [], e && Ct(e, this, t);
}
const li = la.prototype;
li.append = function(t, r) {
  this._pairs.push([t, r]);
};
li.toString = function(t) {
  const r = t ? function(a) {
    return t.call(this, a, Ga);
  } : Ga;
  return this._pairs.map(function(n) {
    return r(n[0]) + "=" + r(n[1]);
  }, "").join("&");
};
function sd(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function ci(e, t, r) {
  if (!t)
    return e;
  const a = r && r.encode || sd, n = r && r.serialize;
  let o;
  if (n ? o = n(t, r) : o = w.isURLSearchParams(t) ? t.toString() : new la(t, r).toString(a), o) {
    const i = e.indexOf("#");
    i !== -1 && (e = e.slice(0, i)), e += (e.indexOf("?") === -1 ? "?" : "&") + o;
  }
  return e;
}
class od {
  constructor() {
    this.handlers = [];
  }
  /**
   * Add a new interceptor to the stack
   *
   * @param {Function} fulfilled The function to handle `then` for a `Promise`
   * @param {Function} rejected The function to handle `reject` for a `Promise`
   *
   * @return {Number} An ID used to remove interceptor later
   */
  use(t, r, a) {
    return this.handlers.push({
      fulfilled: t,
      rejected: r,
      synchronous: a ? a.synchronous : !1,
      runWhen: a ? a.runWhen : null
    }), this.handlers.length - 1;
  }
  /**
   * Remove an interceptor from the stack
   *
   * @param {Number} id The ID that was returned by `use`
   *
   * @returns {Boolean} `true` if the interceptor was removed, `false` otherwise
   */
  eject(t) {
    this.handlers[t] && (this.handlers[t] = null);
  }
  /**
   * Clear all interceptors from the stack
   *
   * @returns {void}
   */
  clear() {
    this.handlers && (this.handlers = []);
  }
  /**
   * Iterate over all the registered interceptors
   *
   * This method is particularly useful for skipping over any
   * interceptors that may have become `null` calling `eject`.
   *
   * @param {Function} fn The function to call for each interceptor
   *
   * @returns {void}
   */
  forEach(t) {
    w.forEach(this.handlers, function(a) {
      a !== null && t(a);
    });
  }
}
const Ya = od, di = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, id = typeof URLSearchParams < "u" ? URLSearchParams : la, ld = typeof FormData < "u" ? FormData : null, cd = typeof Blob < "u" ? Blob : null, dd = {
  isBrowser: !0,
  classes: {
    URLSearchParams: id,
    FormData: ld,
    Blob: cd
  },
  protocols: ["http", "https", "file", "blob", "url", "data"]
}, ca = typeof window < "u" && typeof document < "u", md = ((e) => ca && ["ReactNative", "NativeScript", "NS"].indexOf(e) < 0)(typeof navigator < "u" && navigator.product), ud = (() => typeof WorkerGlobalScope < "u" && // eslint-disable-next-line no-undef
self instanceof WorkerGlobalScope && typeof self.importScripts == "function")(), fd = ca && window.location.href || "http://localhost", pd = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  hasBrowserEnv: ca,
  hasStandardBrowserEnv: md,
  hasStandardBrowserWebWorkerEnv: ud,
  origin: fd
}, Symbol.toStringTag, { value: "Module" })), se = {
  ...pd,
  ...dd
};
function gd(e, t) {
  return Ct(e, new se.classes.URLSearchParams(), Object.assign({
    visitor: function(r, a, n, o) {
      return se.isNode && w.isBuffer(r) ? (this.append(a, r.toString("base64")), !1) : o.defaultVisitor.apply(this, arguments);
    }
  }, t));
}
function hd(e) {
  return w.matchAll(/\w+|\[(\w*)]/g, e).map((t) => t[0] === "[]" ? "" : t[1] || t[0]);
}
function yd(e) {
  const t = {}, r = Object.keys(e);
  let a;
  const n = r.length;
  let o;
  for (a = 0; a < n; a++)
    o = r[a], t[o] = e[o];
  return t;
}
function mi(e) {
  function t(r, a, n, o) {
    let i = r[o++];
    if (i === "__proto__")
      return !0;
    const c = Number.isFinite(+i), u = o >= r.length;
    return i = !i && w.isArray(n) ? n.length : i, u ? (w.hasOwnProp(n, i) ? n[i] = [n[i], a] : n[i] = a, !c) : ((!n[i] || !w.isObject(n[i])) && (n[i] = []), t(r, a, n[i], o) && w.isArray(n[i]) && (n[i] = yd(n[i])), !c);
  }
  if (w.isFormData(e) && w.isFunction(e.entries)) {
    const r = {};
    return w.forEachEntry(e, (a, n) => {
      t(hd(a), n, r, 0);
    }), r;
  }
  return null;
}
function Ed(e, t, r) {
  if (w.isString(e))
    try {
      return (t || JSON.parse)(e), w.trim(e);
    } catch (a) {
      if (a.name !== "SyntaxError")
        throw a;
    }
  return (r || JSON.stringify)(e);
}
const da = {
  transitional: di,
  adapter: ["xhr", "http", "fetch"],
  transformRequest: [function(t, r) {
    const a = r.getContentType() || "", n = a.indexOf("application/json") > -1, o = w.isObject(t);
    if (o && w.isHTMLForm(t) && (t = new FormData(t)), w.isFormData(t))
      return n ? JSON.stringify(mi(t)) : t;
    if (w.isArrayBuffer(t) || w.isBuffer(t) || w.isStream(t) || w.isFile(t) || w.isBlob(t) || w.isReadableStream(t))
      return t;
    if (w.isArrayBufferView(t))
      return t.buffer;
    if (w.isURLSearchParams(t))
      return r.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), t.toString();
    let c;
    if (o) {
      if (a.indexOf("application/x-www-form-urlencoded") > -1)
        return gd(t, this.formSerializer).toString();
      if ((c = w.isFileList(t)) || a.indexOf("multipart/form-data") > -1) {
        const u = this.env && this.env.FormData;
        return Ct(
          c ? { "files[]": t } : t,
          u && new u(),
          this.formSerializer
        );
      }
    }
    return o || n ? (r.setContentType("application/json", !1), Ed(t)) : t;
  }],
  transformResponse: [function(t) {
    const r = this.transitional || da.transitional, a = r && r.forcedJSONParsing, n = this.responseType === "json";
    if (w.isResponse(t) || w.isReadableStream(t))
      return t;
    if (t && w.isString(t) && (a && !this.responseType || n)) {
      const i = !(r && r.silentJSONParsing) && n;
      try {
        return JSON.parse(t);
      } catch (c) {
        if (i)
          throw c.name === "SyntaxError" ? D.from(c, D.ERR_BAD_RESPONSE, this, null, this.response) : c;
      }
    }
    return t;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: se.classes.FormData,
    Blob: se.classes.Blob
  },
  validateStatus: function(t) {
    return t >= 200 && t < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
w.forEach(["delete", "get", "head", "post", "put", "patch"], (e) => {
  da.headers[e] = {};
});
const ma = da, vd = w.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), wd = (e) => {
  const t = {};
  let r, a, n;
  return e && e.split(`
`).forEach(function(i) {
    n = i.indexOf(":"), r = i.substring(0, n).trim().toLowerCase(), a = i.substring(n + 1).trim(), !(!r || t[r] && vd[r]) && (r === "set-cookie" ? t[r] ? t[r].push(a) : t[r] = [a] : t[r] = t[r] ? t[r] + ", " + a : a);
  }), t;
}, Ka = Symbol("internals");
function $e(e) {
  return e && String(e).trim().toLowerCase();
}
function mt(e) {
  return e === !1 || e == null ? e : w.isArray(e) ? e.map(mt) : String(e);
}
function bd(e) {
  const t = /* @__PURE__ */ Object.create(null), r = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let a;
  for (; a = r.exec(e); )
    t[a[1]] = a[2];
  return t;
}
const xd = (e) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e.trim());
function rr(e, t, r, a, n) {
  if (w.isFunction(a))
    return a.call(this, t, r);
  if (n && (t = r), !!w.isString(t)) {
    if (w.isString(a))
      return t.indexOf(a) !== -1;
    if (w.isRegExp(a))
      return a.test(t);
  }
}
function Nd(e) {
  return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (t, r, a) => r.toUpperCase() + a);
}
function _d(e, t) {
  const r = w.toCamelCase(" " + t);
  ["get", "set", "has"].forEach((a) => {
    Object.defineProperty(e, a + r, {
      value: function(n, o, i) {
        return this[a].call(this, t, n, o, i);
      },
      configurable: !0
    });
  });
}
class St {
  constructor(t) {
    t && this.set(t);
  }
  set(t, r, a) {
    const n = this;
    function o(c, u, d) {
      const m = $e(u);
      if (!m)
        throw new Error("header name must be a non-empty string");
      const p = w.findKey(n, m);
      (!p || n[p] === void 0 || d === !0 || d === void 0 && n[p] !== !1) && (n[p || u] = mt(c));
    }
    const i = (c, u) => w.forEach(c, (d, m) => o(d, m, u));
    if (w.isPlainObject(t) || t instanceof this.constructor)
      i(t, r);
    else if (w.isString(t) && (t = t.trim()) && !xd(t))
      i(wd(t), r);
    else if (w.isHeaders(t))
      for (const [c, u] of t.entries())
        o(u, c, a);
    else
      t != null && o(r, t, a);
    return this;
  }
  get(t, r) {
    if (t = $e(t), t) {
      const a = w.findKey(this, t);
      if (a) {
        const n = this[a];
        if (!r)
          return n;
        if (r === !0)
          return bd(n);
        if (w.isFunction(r))
          return r.call(this, n, a);
        if (w.isRegExp(r))
          return r.exec(n);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(t, r) {
    if (t = $e(t), t) {
      const a = w.findKey(this, t);
      return !!(a && this[a] !== void 0 && (!r || rr(this, this[a], a, r)));
    }
    return !1;
  }
  delete(t, r) {
    const a = this;
    let n = !1;
    function o(i) {
      if (i = $e(i), i) {
        const c = w.findKey(a, i);
        c && (!r || rr(a, a[c], c, r)) && (delete a[c], n = !0);
      }
    }
    return w.isArray(t) ? t.forEach(o) : o(t), n;
  }
  clear(t) {
    const r = Object.keys(this);
    let a = r.length, n = !1;
    for (; a--; ) {
      const o = r[a];
      (!t || rr(this, this[o], o, t, !0)) && (delete this[o], n = !0);
    }
    return n;
  }
  normalize(t) {
    const r = this, a = {};
    return w.forEach(this, (n, o) => {
      const i = w.findKey(a, o);
      if (i) {
        r[i] = mt(n), delete r[o];
        return;
      }
      const c = t ? Nd(o) : String(o).trim();
      c !== o && delete r[o], r[c] = mt(n), a[c] = !0;
    }), this;
  }
  concat(...t) {
    return this.constructor.concat(this, ...t);
  }
  toJSON(t) {
    const r = /* @__PURE__ */ Object.create(null);
    return w.forEach(this, (a, n) => {
      a != null && a !== !1 && (r[n] = t && w.isArray(a) ? a.join(", ") : a);
    }), r;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([t, r]) => t + ": " + r).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(t) {
    return t instanceof this ? t : new this(t);
  }
  static concat(t, ...r) {
    const a = new this(t);
    return r.forEach((n) => a.set(n)), a;
  }
  static accessor(t) {
    const a = (this[Ka] = this[Ka] = {
      accessors: {}
    }).accessors, n = this.prototype;
    function o(i) {
      const c = $e(i);
      a[c] || (_d(n, i), a[c] = !0);
    }
    return w.isArray(t) ? t.forEach(o) : o(t), this;
  }
}
St.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
w.reduceDescriptors(St.prototype, ({ value: e }, t) => {
  let r = t[0].toUpperCase() + t.slice(1);
  return {
    get: () => e,
    set(a) {
      this[r] = a;
    }
  };
});
w.freezeMethods(St);
const oe = St;
function nr(e, t) {
  const r = this || ma, a = t || r, n = oe.from(a.headers);
  let o = a.data;
  return w.forEach(e, function(c) {
    o = c.call(r, o, n.normalize(), t ? t.status : void 0);
  }), n.normalize(), o;
}
function ui(e) {
  return !!(e && e.__CANCEL__);
}
function Me(e, t, r) {
  D.call(this, e ?? "canceled", D.ERR_CANCELED, t, r), this.name = "CanceledError";
}
w.inherits(Me, D, {
  __CANCEL__: !0
});
function fi(e, t, r) {
  const a = r.config.validateStatus;
  !r.status || !a || a(r.status) ? e(r) : t(new D(
    "Request failed with status code " + r.status,
    [D.ERR_BAD_REQUEST, D.ERR_BAD_RESPONSE][Math.floor(r.status / 100) - 4],
    r.config,
    r.request,
    r
  ));
}
function Cd(e) {
  const t = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e);
  return t && t[1] || "";
}
function Sd(e, t) {
  e = e || 10;
  const r = new Array(e), a = new Array(e);
  let n = 0, o = 0, i;
  return t = t !== void 0 ? t : 1e3, function(u) {
    const d = Date.now(), m = a[o];
    i || (i = d), r[n] = u, a[n] = d;
    let p = o, g = 0;
    for (; p !== n; )
      g += r[p++], p = p % e;
    if (n = (n + 1) % e, n === o && (o = (o + 1) % e), d - i < t)
      return;
    const f = m && d - m;
    return f ? Math.round(g * 1e3 / f) : void 0;
  };
}
function Rd(e, t) {
  let r = 0;
  const a = 1e3 / t;
  let n = null;
  return function() {
    const i = this === !0, c = Date.now();
    if (i || c - r > a)
      return n && (clearTimeout(n), n = null), r = c, e.apply(null, arguments);
    n || (n = setTimeout(() => (n = null, r = Date.now(), e.apply(null, arguments)), a - (c - r)));
  };
}
const gt = (e, t, r = 3) => {
  let a = 0;
  const n = Sd(50, 250);
  return Rd((o) => {
    const i = o.loaded, c = o.lengthComputable ? o.total : void 0, u = i - a, d = n(u), m = i <= c;
    a = i;
    const p = {
      loaded: i,
      total: c,
      progress: c ? i / c : void 0,
      bytes: u,
      rate: d || void 0,
      estimated: d && c && m ? (c - i) / d : void 0,
      event: o,
      lengthComputable: c != null
    };
    p[t ? "download" : "upload"] = !0, e(p);
  }, r);
}, Td = se.hasStandardBrowserEnv ? (
  // Standard browser envs have full support of the APIs needed to test
  // whether the request URL is of the same origin as current location.
  function() {
    const t = /(msie|trident)/i.test(navigator.userAgent), r = document.createElement("a");
    let a;
    function n(o) {
      let i = o;
      return t && (r.setAttribute("href", i), i = r.href), r.setAttribute("href", i), {
        href: r.href,
        protocol: r.protocol ? r.protocol.replace(/:$/, "") : "",
        host: r.host,
        search: r.search ? r.search.replace(/^\?/, "") : "",
        hash: r.hash ? r.hash.replace(/^#/, "") : "",
        hostname: r.hostname,
        port: r.port,
        pathname: r.pathname.charAt(0) === "/" ? r.pathname : "/" + r.pathname
      };
    }
    return a = n(window.location.href), function(i) {
      const c = w.isString(i) ? n(i) : i;
      return c.protocol === a.protocol && c.host === a.host;
    };
  }()
) : (
  // Non standard browser envs (web workers, react-native) lack needed support.
  function() {
    return function() {
      return !0;
    };
  }()
), Pd = se.hasStandardBrowserEnv ? (
  // Standard browser envs support document.cookie
  {
    write(e, t, r, a, n, o) {
      const i = [e + "=" + encodeURIComponent(t)];
      w.isNumber(r) && i.push("expires=" + new Date(r).toGMTString()), w.isString(a) && i.push("path=" + a), w.isString(n) && i.push("domain=" + n), o === !0 && i.push("secure"), document.cookie = i.join("; ");
    },
    read(e) {
      const t = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)"));
      return t ? decodeURIComponent(t[3]) : null;
    },
    remove(e) {
      this.write(e, "", Date.now() - 864e5);
    }
  }
) : (
  // Non-standard browser env (web workers, react-native) lack needed support.
  {
    write() {
    },
    read() {
      return null;
    },
    remove() {
    }
  }
);
function Ad(e) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(e);
}
function Id(e, t) {
  return t ? e.replace(/\/?\/$/, "") + "/" + t.replace(/^\/+/, "") : e;
}
function pi(e, t) {
  return e && !Ad(t) ? Id(e, t) : t;
}
const Ja = (e) => e instanceof oe ? { ...e } : e;
function Ne(e, t) {
  t = t || {};
  const r = {};
  function a(d, m, p) {
    return w.isPlainObject(d) && w.isPlainObject(m) ? w.merge.call({ caseless: p }, d, m) : w.isPlainObject(m) ? w.merge({}, m) : w.isArray(m) ? m.slice() : m;
  }
  function n(d, m, p) {
    if (w.isUndefined(m)) {
      if (!w.isUndefined(d))
        return a(void 0, d, p);
    } else
      return a(d, m, p);
  }
  function o(d, m) {
    if (!w.isUndefined(m))
      return a(void 0, m);
  }
  function i(d, m) {
    if (w.isUndefined(m)) {
      if (!w.isUndefined(d))
        return a(void 0, d);
    } else
      return a(void 0, m);
  }
  function c(d, m, p) {
    if (p in t)
      return a(d, m);
    if (p in e)
      return a(void 0, d);
  }
  const u = {
    url: o,
    method: o,
    data: o,
    baseURL: i,
    transformRequest: i,
    transformResponse: i,
    paramsSerializer: i,
    timeout: i,
    timeoutMessage: i,
    withCredentials: i,
    withXSRFToken: i,
    adapter: i,
    responseType: i,
    xsrfCookieName: i,
    xsrfHeaderName: i,
    onUploadProgress: i,
    onDownloadProgress: i,
    decompress: i,
    maxContentLength: i,
    maxBodyLength: i,
    beforeRedirect: i,
    transport: i,
    httpAgent: i,
    httpsAgent: i,
    cancelToken: i,
    socketPath: i,
    responseEncoding: i,
    validateStatus: c,
    headers: (d, m) => n(Ja(d), Ja(m), !0)
  };
  return w.forEach(Object.keys(Object.assign({}, e, t)), function(m) {
    const p = u[m] || n, g = p(e[m], t[m], m);
    w.isUndefined(g) && p !== c || (r[m] = g);
  }), r;
}
const gi = (e) => {
  const t = Ne({}, e);
  let { data: r, withXSRFToken: a, xsrfHeaderName: n, xsrfCookieName: o, headers: i, auth: c } = t;
  t.headers = i = oe.from(i), t.url = ci(pi(t.baseURL, t.url), e.params, e.paramsSerializer), c && i.set(
    "Authorization",
    "Basic " + btoa((c.username || "") + ":" + (c.password ? unescape(encodeURIComponent(c.password)) : ""))
  );
  let u;
  if (w.isFormData(r)) {
    if (se.hasStandardBrowserEnv || se.hasStandardBrowserWebWorkerEnv)
      i.setContentType(void 0);
    else if ((u = i.getContentType()) !== !1) {
      const [d, ...m] = u ? u.split(";").map((p) => p.trim()).filter(Boolean) : [];
      i.setContentType([d || "multipart/form-data", ...m].join("; "));
    }
  }
  if (se.hasStandardBrowserEnv && (a && w.isFunction(a) && (a = a(t)), a || a !== !1 && Td(t.url))) {
    const d = n && o && Pd.read(o);
    d && i.set(n, d);
  }
  return t;
}, Fd = typeof XMLHttpRequest < "u", Od = Fd && function(e) {
  return new Promise(function(r, a) {
    const n = gi(e);
    let o = n.data;
    const i = oe.from(n.headers).normalize();
    let { responseType: c } = n, u;
    function d() {
      n.cancelToken && n.cancelToken.unsubscribe(u), n.signal && n.signal.removeEventListener("abort", u);
    }
    let m = new XMLHttpRequest();
    m.open(n.method.toUpperCase(), n.url, !0), m.timeout = n.timeout;
    function p() {
      if (!m)
        return;
      const f = oe.from(
        "getAllResponseHeaders" in m && m.getAllResponseHeaders()
      ), E = {
        data: !c || c === "text" || c === "json" ? m.responseText : m.response,
        status: m.status,
        statusText: m.statusText,
        headers: f,
        config: e,
        request: m
      };
      fi(function(b) {
        r(b), d();
      }, function(b) {
        a(b), d();
      }, E), m = null;
    }
    "onloadend" in m ? m.onloadend = p : m.onreadystatechange = function() {
      !m || m.readyState !== 4 || m.status === 0 && !(m.responseURL && m.responseURL.indexOf("file:") === 0) || setTimeout(p);
    }, m.onabort = function() {
      m && (a(new D("Request aborted", D.ECONNABORTED, n, m)), m = null);
    }, m.onerror = function() {
      a(new D("Network Error", D.ERR_NETWORK, n, m)), m = null;
    }, m.ontimeout = function() {
      let h = n.timeout ? "timeout of " + n.timeout + "ms exceeded" : "timeout exceeded";
      const E = n.transitional || di;
      n.timeoutErrorMessage && (h = n.timeoutErrorMessage), a(new D(
        h,
        E.clarifyTimeoutError ? D.ETIMEDOUT : D.ECONNABORTED,
        n,
        m
      )), m = null;
    }, o === void 0 && i.setContentType(null), "setRequestHeader" in m && w.forEach(i.toJSON(), function(h, E) {
      m.setRequestHeader(E, h);
    }), w.isUndefined(n.withCredentials) || (m.withCredentials = !!n.withCredentials), c && c !== "json" && (m.responseType = n.responseType), typeof n.onDownloadProgress == "function" && m.addEventListener("progress", gt(n.onDownloadProgress, !0)), typeof n.onUploadProgress == "function" && m.upload && m.upload.addEventListener("progress", gt(n.onUploadProgress)), (n.cancelToken || n.signal) && (u = (f) => {
      m && (a(!f || f.type ? new Me(null, e, m) : f), m.abort(), m = null);
    }, n.cancelToken && n.cancelToken.subscribe(u), n.signal && (n.signal.aborted ? u() : n.signal.addEventListener("abort", u)));
    const g = Cd(n.url);
    if (g && se.protocols.indexOf(g) === -1) {
      a(new D("Unsupported protocol " + g + ":", D.ERR_BAD_REQUEST, e));
      return;
    }
    m.send(o || null);
  });
}, Dd = (e, t) => {
  let r = new AbortController(), a;
  const n = function(u) {
    if (!a) {
      a = !0, i();
      const d = u instanceof Error ? u : this.reason;
      r.abort(d instanceof D ? d : new Me(d instanceof Error ? d.message : d));
    }
  };
  let o = t && setTimeout(() => {
    n(new D(`timeout ${t} of ms exceeded`, D.ETIMEDOUT));
  }, t);
  const i = () => {
    e && (o && clearTimeout(o), o = null, e.forEach((u) => {
      u && (u.removeEventListener ? u.removeEventListener("abort", n) : u.unsubscribe(n));
    }), e = null);
  };
  e.forEach((u) => u && u.addEventListener && u.addEventListener("abort", n));
  const { signal: c } = r;
  return c.unsubscribe = i, [c, () => {
    o && clearTimeout(o), o = null;
  }];
}, Ld = Dd, kd = function* (e, t) {
  let r = e.byteLength;
  if (!t || r < t) {
    yield e;
    return;
  }
  let a = 0, n;
  for (; a < r; )
    n = a + t, yield e.slice(a, n), a = n;
}, qd = async function* (e, t, r) {
  for await (const a of e)
    yield* kd(ArrayBuffer.isView(a) ? a : await r(String(a)), t);
}, Za = (e, t, r, a, n) => {
  const o = qd(e, t, n);
  let i = 0;
  return new ReadableStream({
    type: "bytes",
    async pull(c) {
      const { done: u, value: d } = await o.next();
      if (u) {
        c.close(), a();
        return;
      }
      let m = d.byteLength;
      r && r(i += m), c.enqueue(new Uint8Array(d));
    },
    cancel(c) {
      return a(c), o.return();
    }
  }, {
    highWaterMark: 2
  });
}, Va = (e, t) => {
  const r = e != null;
  return (a) => setTimeout(() => t({
    lengthComputable: r,
    total: e,
    loaded: a
  }));
}, Rt = typeof fetch == "function" && typeof Request == "function" && typeof Response == "function", hi = Rt && typeof ReadableStream == "function", Dn = Rt && (typeof TextEncoder == "function" ? ((e) => (t) => e.encode(t))(new TextEncoder()) : async (e) => new Uint8Array(await new Response(e).arrayBuffer())), zd = hi && (() => {
  let e = !1;
  const t = new Request(se.origin, {
    body: new ReadableStream(),
    method: "POST",
    get duplex() {
      return e = !0, "half";
    }
  }).headers.has("Content-Type");
  return e && !t;
})(), Xa = 64 * 1024, Ln = hi && !!(() => {
  try {
    return w.isReadableStream(new Response("").body);
  } catch {
  }
})(), ht = {
  stream: Ln && ((e) => e.body)
};
Rt && ((e) => {
  ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((t) => {
    !ht[t] && (ht[t] = w.isFunction(e[t]) ? (r) => r[t]() : (r, a) => {
      throw new D(`Response type '${t}' is not supported`, D.ERR_NOT_SUPPORT, a);
    });
  });
})(new Response());
const Md = async (e) => {
  if (e == null)
    return 0;
  if (w.isBlob(e))
    return e.size;
  if (w.isSpecCompliantForm(e))
    return (await new Request(e).arrayBuffer()).byteLength;
  if (w.isArrayBufferView(e))
    return e.byteLength;
  if (w.isURLSearchParams(e) && (e = e + ""), w.isString(e))
    return (await Dn(e)).byteLength;
}, jd = async (e, t) => {
  const r = w.toFiniteNumber(e.getContentLength());
  return r ?? Md(t);
}, Bd = Rt && (async (e) => {
  let {
    url: t,
    method: r,
    data: a,
    signal: n,
    cancelToken: o,
    timeout: i,
    onDownloadProgress: c,
    onUploadProgress: u,
    responseType: d,
    headers: m,
    withCredentials: p = "same-origin",
    fetchOptions: g
  } = gi(e);
  d = d ? (d + "").toLowerCase() : "text";
  let [f, h] = n || o || i ? Ld([n, o], i) : [], E, x;
  const b = () => {
    !E && setTimeout(() => {
      f && f.unsubscribe();
    }), E = !0;
  };
  let _;
  try {
    if (u && zd && r !== "get" && r !== "head" && (_ = await jd(m, a)) !== 0) {
      let S = new Request(t, {
        method: "POST",
        body: a,
        duplex: "half"
      }), P;
      w.isFormData(a) && (P = S.headers.get("content-type")) && m.setContentType(P), S.body && (a = Za(S.body, Xa, Va(
        _,
        gt(u)
      ), null, Dn));
    }
    w.isString(p) || (p = p ? "cors" : "omit"), x = new Request(t, {
      ...g,
      signal: f,
      method: r.toUpperCase(),
      headers: m.normalize().toJSON(),
      body: a,
      duplex: "half",
      withCredentials: p
    });
    let y = await fetch(x);
    const v = Ln && (d === "stream" || d === "response");
    if (Ln && (c || v)) {
      const S = {};
      ["status", "statusText", "headers"].forEach((O) => {
        S[O] = y[O];
      });
      const P = w.toFiniteNumber(y.headers.get("content-length"));
      y = new Response(
        Za(y.body, Xa, c && Va(
          P,
          gt(c, !0)
        ), v && b, Dn),
        S
      );
    }
    d = d || "text";
    let C = await ht[w.findKey(ht, d) || "text"](y, e);
    return !v && b(), h && h(), await new Promise((S, P) => {
      fi(S, P, {
        data: C,
        headers: oe.from(y.headers),
        status: y.status,
        statusText: y.statusText,
        config: e,
        request: x
      });
    });
  } catch (y) {
    throw b(), y && y.name === "TypeError" && /fetch/i.test(y.message) ? Object.assign(
      new D("Network Error", D.ERR_NETWORK, e, x),
      {
        cause: y.cause || y
      }
    ) : D.from(y, y && y.code, e, x);
  }
}), kn = {
  http: rd,
  xhr: Od,
  fetch: Bd
};
w.forEach(kn, (e, t) => {
  if (e) {
    try {
      Object.defineProperty(e, "name", { value: t });
    } catch {
    }
    Object.defineProperty(e, "adapterName", { value: t });
  }
});
const Qa = (e) => `- ${e}`, Ud = (e) => w.isFunction(e) || e === null || e === !1, yi = {
  getAdapter: (e) => {
    e = w.isArray(e) ? e : [e];
    const { length: t } = e;
    let r, a;
    const n = {};
    for (let o = 0; o < t; o++) {
      r = e[o];
      let i;
      if (a = r, !Ud(r) && (a = kn[(i = String(r)).toLowerCase()], a === void 0))
        throw new D(`Unknown adapter '${i}'`);
      if (a)
        break;
      n[i || "#" + o] = a;
    }
    if (!a) {
      const o = Object.entries(n).map(
        ([c, u]) => `adapter ${c} ` + (u === !1 ? "is not supported by the environment" : "is not available in the build")
      );
      let i = t ? o.length > 1 ? `since :
` + o.map(Qa).join(`
`) : " " + Qa(o[0]) : "as no adapter specified";
      throw new D(
        "There is no suitable adapter to dispatch the request " + i,
        "ERR_NOT_SUPPORT"
      );
    }
    return a;
  },
  adapters: kn
};
function ar(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new Me(null, e);
}
function es(e) {
  return ar(e), e.headers = oe.from(e.headers), e.data = nr.call(
    e,
    e.transformRequest
  ), ["post", "put", "patch"].indexOf(e.method) !== -1 && e.headers.setContentType("application/x-www-form-urlencoded", !1), yi.getAdapter(e.adapter || ma.adapter)(e).then(function(a) {
    return ar(e), a.data = nr.call(
      e,
      e.transformResponse,
      a
    ), a.headers = oe.from(a.headers), a;
  }, function(a) {
    return ui(a) || (ar(e), a && a.response && (a.response.data = nr.call(
      e,
      e.transformResponse,
      a.response
    ), a.response.headers = oe.from(a.response.headers))), Promise.reject(a);
  });
}
const Ei = "1.7.2", ua = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e, t) => {
  ua[e] = function(a) {
    return typeof a === e || "a" + (t < 1 ? "n " : " ") + e;
  };
});
const ts = {};
ua.transitional = function(t, r, a) {
  function n(o, i) {
    return "[Axios v" + Ei + "] Transitional option '" + o + "'" + i + (a ? ". " + a : "");
  }
  return (o, i, c) => {
    if (t === !1)
      throw new D(
        n(i, " has been removed" + (r ? " in " + r : "")),
        D.ERR_DEPRECATED
      );
    return r && !ts[i] && (ts[i] = !0, console.warn(
      n(
        i,
        " has been deprecated since v" + r + " and will be removed in the near future"
      )
    )), t ? t(o, i, c) : !0;
  };
};
function Hd(e, t, r) {
  if (typeof e != "object")
    throw new D("options must be an object", D.ERR_BAD_OPTION_VALUE);
  const a = Object.keys(e);
  let n = a.length;
  for (; n-- > 0; ) {
    const o = a[n], i = t[o];
    if (i) {
      const c = e[o], u = c === void 0 || i(c, o, e);
      if (u !== !0)
        throw new D("option " + o + " must be " + u, D.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (r !== !0)
      throw new D("Unknown option " + o, D.ERR_BAD_OPTION);
  }
}
const qn = {
  assertOptions: Hd,
  validators: ua
}, ye = qn.validators;
class yt {
  constructor(t) {
    this.defaults = t, this.interceptors = {
      request: new Ya(),
      response: new Ya()
    };
  }
  /**
   * Dispatch a request
   *
   * @param {String|Object} configOrUrl The config specific for this request (merged with this.defaults)
   * @param {?Object} config
   *
   * @returns {Promise} The Promise to be fulfilled
   */
  async request(t, r) {
    try {
      return await this._request(t, r);
    } catch (a) {
      if (a instanceof Error) {
        let n;
        Error.captureStackTrace ? Error.captureStackTrace(n = {}) : n = new Error();
        const o = n.stack ? n.stack.replace(/^.+\n/, "") : "";
        try {
          a.stack ? o && !String(a.stack).endsWith(o.replace(/^.+\n.+\n/, "")) && (a.stack += `
` + o) : a.stack = o;
        } catch {
        }
      }
      throw a;
    }
  }
  _request(t, r) {
    typeof t == "string" ? (r = r || {}, r.url = t) : r = t || {}, r = Ne(this.defaults, r);
    const { transitional: a, paramsSerializer: n, headers: o } = r;
    a !== void 0 && qn.assertOptions(a, {
      silentJSONParsing: ye.transitional(ye.boolean),
      forcedJSONParsing: ye.transitional(ye.boolean),
      clarifyTimeoutError: ye.transitional(ye.boolean)
    }, !1), n != null && (w.isFunction(n) ? r.paramsSerializer = {
      serialize: n
    } : qn.assertOptions(n, {
      encode: ye.function,
      serialize: ye.function
    }, !0)), r.method = (r.method || this.defaults.method || "get").toLowerCase();
    let i = o && w.merge(
      o.common,
      o[r.method]
    );
    o && w.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (h) => {
        delete o[h];
      }
    ), r.headers = oe.concat(i, o);
    const c = [];
    let u = !0;
    this.interceptors.request.forEach(function(E) {
      typeof E.runWhen == "function" && E.runWhen(r) === !1 || (u = u && E.synchronous, c.unshift(E.fulfilled, E.rejected));
    });
    const d = [];
    this.interceptors.response.forEach(function(E) {
      d.push(E.fulfilled, E.rejected);
    });
    let m, p = 0, g;
    if (!u) {
      const h = [es.bind(this), void 0];
      for (h.unshift.apply(h, c), h.push.apply(h, d), g = h.length, m = Promise.resolve(r); p < g; )
        m = m.then(h[p++], h[p++]);
      return m;
    }
    g = c.length;
    let f = r;
    for (p = 0; p < g; ) {
      const h = c[p++], E = c[p++];
      try {
        f = h(f);
      } catch (x) {
        E.call(this, x);
        break;
      }
    }
    try {
      m = es.call(this, f);
    } catch (h) {
      return Promise.reject(h);
    }
    for (p = 0, g = d.length; p < g; )
      m = m.then(d[p++], d[p++]);
    return m;
  }
  getUri(t) {
    t = Ne(this.defaults, t);
    const r = pi(t.baseURL, t.url);
    return ci(r, t.params, t.paramsSerializer);
  }
}
w.forEach(["delete", "get", "head", "options"], function(t) {
  yt.prototype[t] = function(r, a) {
    return this.request(Ne(a || {}, {
      method: t,
      url: r,
      data: (a || {}).data
    }));
  };
});
w.forEach(["post", "put", "patch"], function(t) {
  function r(a) {
    return function(o, i, c) {
      return this.request(Ne(c || {}, {
        method: t,
        headers: a ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: o,
        data: i
      }));
    };
  }
  yt.prototype[t] = r(), yt.prototype[t + "Form"] = r(!0);
});
const ut = yt;
class fa {
  constructor(t) {
    if (typeof t != "function")
      throw new TypeError("executor must be a function.");
    let r;
    this.promise = new Promise(function(o) {
      r = o;
    });
    const a = this;
    this.promise.then((n) => {
      if (!a._listeners)
        return;
      let o = a._listeners.length;
      for (; o-- > 0; )
        a._listeners[o](n);
      a._listeners = null;
    }), this.promise.then = (n) => {
      let o;
      const i = new Promise((c) => {
        a.subscribe(c), o = c;
      }).then(n);
      return i.cancel = function() {
        a.unsubscribe(o);
      }, i;
    }, t(function(o, i, c) {
      a.reason || (a.reason = new Me(o, i, c), r(a.reason));
    });
  }
  /**
   * Throws a `CanceledError` if cancellation has been requested.
   */
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  /**
   * Subscribe to the cancel signal
   */
  subscribe(t) {
    if (this.reason) {
      t(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(t) : this._listeners = [t];
  }
  /**
   * Unsubscribe from the cancel signal
   */
  unsubscribe(t) {
    if (!this._listeners)
      return;
    const r = this._listeners.indexOf(t);
    r !== -1 && this._listeners.splice(r, 1);
  }
  /**
   * Returns an object that contains a new `CancelToken` and a function that, when called,
   * cancels the `CancelToken`.
   */
  static source() {
    let t;
    return {
      token: new fa(function(n) {
        t = n;
      }),
      cancel: t
    };
  }
}
const $d = fa;
function Wd(e) {
  return function(r) {
    return e.apply(null, r);
  };
}
function Gd(e) {
  return w.isObject(e) && e.isAxiosError === !0;
}
const zn = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(zn).forEach(([e, t]) => {
  zn[t] = e;
});
const Yd = zn;
function vi(e) {
  const t = new ut(e), r = Vo(ut.prototype.request, t);
  return w.extend(r, ut.prototype, t, { allOwnKeys: !0 }), w.extend(r, t, null, { allOwnKeys: !0 }), r.create = function(n) {
    return vi(Ne(e, n));
  }, r;
}
const $ = vi(ma);
$.Axios = ut;
$.CanceledError = Me;
$.CancelToken = $d;
$.isCancel = ui;
$.VERSION = Ei;
$.toFormData = Ct;
$.AxiosError = D;
$.Cancel = $.CanceledError;
$.all = function(t) {
  return Promise.all(t);
};
$.spread = Wd;
$.isAxiosError = Gd;
$.mergeConfig = Ne;
$.AxiosHeaders = oe;
$.formToJSON = (e) => mi(w.isHTMLForm(e) ? new FormData(e) : e);
$.getAdapter = yi.getAdapter;
$.HttpStatusCode = Yd;
$.default = $;
const pa = $, Kd = ({ moveToSignup: e, changeDirection: t }) => {
  const [r, a] = R(!1), n = {
    email: "",
    password: ""
  }, o = N.object({
    email: N.string().min(1, "Email is required").email("Invalid email address"),
    password: N.string().min(1, "Password is required")
  }), i = Ze({
    resolver: Le(o),
    defaultValues: n
  }), {
    handleSubmit: c,
    register: u,
    formState: { errors: d }
  } = i;
  async function m(p) {
    var h, E, x, b, _, y, v, C, S;
    const { email: g, password: f } = p;
    a(!0);
    try {
      const P = `${process.env.NEXT_PUBLIC_API_URL}/api/v1/user/login`, O = await pa.post(P, { email: g, password: f });
      ((h = O == null ? void 0 : O.data) == null ? void 0 : h.status) === 1 ? (Ae.success(((E = O == null ? void 0 : O.data) == null ? void 0 : E.message) || "Login successfull"), localStorage.setItem(
        "userDetails",
        JSON.stringify((b = (x = O == null ? void 0 : O.data) == null ? void 0 : x.responseData) == null ? void 0 : b.user)
      ), localStorage.setItem(
        "accessToken",
        JSON.stringify((y = (_ = O == null ? void 0 : O.data) == null ? void 0 : _.responseData) == null ? void 0 : y.accessToken)
      ), t()) : Ae.error(((v = O == null ? void 0 : O.data) == null ? void 0 : v.message) || "Something went wrong!");
    } catch (P) {
      console.error("Login error", P), Ae.error(((S = (C = P == null ? void 0 : P.response) == null ? void 0 : C.data) == null ? void 0 : S.message) || "Something went wrong!");
    } finally {
      a(!1);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-center min-h-screen bg-gray-100" }, /* @__PURE__ */ s.createElement("div", { className: "bg-white p-8 rounded shadow-md w-full max-w-md" }, /* @__PURE__ */ s.createElement("h2", { className: "text-2xl font-bold mb-2" }, "Welcome back"), /* @__PURE__ */ s.createElement("p", { className: "mb-6" }, "Sign in to your account"), /* @__PURE__ */ s.createElement(Ge, { title: "Continue with GitHub", type: "outline" }), /* @__PURE__ */ s.createElement("div", { className: "h-4" }), /* @__PURE__ */ s.createElement(Ge, { title: "Continue with SSO", type: "outline" }), /* @__PURE__ */ s.createElement("div", { className: "flex items-center my-4" }, /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" }), /* @__PURE__ */ s.createElement("span", { className: "mx-4" }, "or"), /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" })), /* @__PURE__ */ s.createElement(jn, { ...i }, /* @__PURE__ */ s.createElement("form", { onSubmit: c(m) }, /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Email ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "email",
      placeholder: "you@example.com",
      className: "w-full p-2 border border-gray-300 rounded",
      ...u("email")
    }
  ), d.email && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, d.email.message)), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("div", { className: "flex justify-between items-center mb-2" }, /* @__PURE__ */ s.createElement("label", { className: "block text-sm font-medium text-gray-700" }, "Password ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "a",
    {
      href: "/login/forgot-password",
      className: "text-sm text-gray-500"
    },
    "Forgot Password?"
  )), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "password",
      placeholder: "********",
      className: "w-full p-2 border border-gray-300 rounded",
      ...u("password")
    }
  ), d.password && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, d.password.message)), /* @__PURE__ */ s.createElement(
    Ge,
    {
      title: "Sign In",
      isLoading: !0,
      disabled: r,
      type: "filled",
      bgColour: "bg-green-500"
    }
  ))), /* @__PURE__ */ s.createElement("div", { className: "text-center mt-4" }, /* @__PURE__ */ s.createElement("span", { className: "mb-2 text-sm font-medium text-gray-700" }, "Don't have an account?", " "), /* @__PURE__ */ s.createElement(
    "span",
    {
      onClick: () => {
        console.log("signup button tapped"), e();
      },
      className: "text-sm text-gray-500 underline cursor-pointer"
    },
    "Sign Up Now"
  ))));
}, Jd = Kd;
var wi = {
  color: void 0,
  size: void 0,
  className: void 0,
  style: void 0,
  attr: void 0
}, rs = s.createContext && /* @__PURE__ */ s.createContext(wi), Zd = ["attr", "size", "title"];
function Vd(e, t) {
  if (e == null)
    return {};
  var r = Xd(e, t), a, n;
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    for (n = 0; n < o.length; n++)
      a = o[n], !(t.indexOf(a) >= 0) && Object.prototype.propertyIsEnumerable.call(e, a) && (r[a] = e[a]);
  }
  return r;
}
function Xd(e, t) {
  if (e == null)
    return {};
  var r = {}, a = Object.keys(e), n, o;
  for (o = 0; o < a.length; o++)
    n = a[o], !(t.indexOf(n) >= 0) && (r[n] = e[n]);
  return r;
}
function Et() {
  return Et = Object.assign ? Object.assign.bind() : function(e) {
    for (var t = 1; t < arguments.length; t++) {
      var r = arguments[t];
      for (var a in r)
        Object.prototype.hasOwnProperty.call(r, a) && (e[a] = r[a]);
    }
    return e;
  }, Et.apply(this, arguments);
}
function ns(e, t) {
  var r = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(e);
    t && (a = a.filter(function(n) {
      return Object.getOwnPropertyDescriptor(e, n).enumerable;
    })), r.push.apply(r, a);
  }
  return r;
}
function vt(e) {
  for (var t = 1; t < arguments.length; t++) {
    var r = arguments[t] != null ? arguments[t] : {};
    t % 2 ? ns(Object(r), !0).forEach(function(a) {
      Qd(e, a, r[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(r)) : ns(Object(r)).forEach(function(a) {
      Object.defineProperty(e, a, Object.getOwnPropertyDescriptor(r, a));
    });
  }
  return e;
}
function Qd(e, t, r) {
  return t = em(t), t in e ? Object.defineProperty(e, t, { value: r, enumerable: !0, configurable: !0, writable: !0 }) : e[t] = r, e;
}
function em(e) {
  var t = tm(e, "string");
  return typeof t == "symbol" ? t : String(t);
}
function tm(e, t) {
  if (typeof e != "object" || e === null)
    return e;
  var r = e[Symbol.toPrimitive];
  if (r !== void 0) {
    var a = r.call(e, t || "default");
    if (typeof a != "object")
      return a;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (t === "string" ? String : Number)(e);
}
function bi(e) {
  return e && e.map((t, r) => /* @__PURE__ */ s.createElement(t.tag, vt({
    key: r
  }, t.attr), bi(t.child)));
}
function xi(e) {
  return (t) => /* @__PURE__ */ s.createElement(rm, Et({
    attr: vt({}, e.attr)
  }, t), bi(e.child));
}
function rm(e) {
  var t = (r) => {
    var {
      attr: a,
      size: n,
      title: o
    } = e, i = Vd(e, Zd), c = n || r.size || "1em", u;
    return r.className && (u = r.className), e.className && (u = (u ? u + " " : "") + e.className), /* @__PURE__ */ s.createElement("svg", Et({
      stroke: "currentColor",
      fill: "currentColor",
      strokeWidth: "0"
    }, r.attr, a, i, {
      className: u,
      style: vt(vt({
        color: e.color || r.color
      }, r.style), e.style),
      height: c,
      width: c,
      xmlns: "http://www.w3.org/2000/svg"
    }), o && /* @__PURE__ */ s.createElement("title", null, o), e.children);
  };
  return rs !== void 0 ? /* @__PURE__ */ s.createElement(rs.Consumer, null, (r) => t(r)) : t(wi);
}
function as(e) {
  return xi({ tag: "svg", attr: { viewBox: "0 0 640 512" }, child: [{ tag: "path", attr: { d: "M320 400c-75.85 0-137.25-58.71-142.9-133.11L72.2 185.82c-13.79 17.3-26.48 35.59-36.72 55.59a32.35 32.35 0 0 0 0 29.19C89.71 376.41 197.07 448 320 448c26.91 0 52.87-4 77.89-10.46L346 397.39a144.13 144.13 0 0 1-26 2.61zm313.82 58.1l-110.55-85.44a331.25 331.25 0 0 0 81.25-102.07 32.35 32.35 0 0 0 0-29.19C550.29 135.59 442.93 64 320 64a308.15 308.15 0 0 0-147.32 37.7L45.46 3.37A16 16 0 0 0 23 6.18L3.37 31.45A16 16 0 0 0 6.18 53.9l588.36 454.73a16 16 0 0 0 22.46-2.81l19.64-25.27a16 16 0 0 0-2.82-22.45zm-183.72-142l-39.3-30.38A94.75 94.75 0 0 0 416 256a94.76 94.76 0 0 0-121.31-92.21A47.65 47.65 0 0 1 304 192a46.64 46.64 0 0 1-1.54 10l-73.61-56.89A142.31 142.31 0 0 1 320 112a143.92 143.92 0 0 1 144 144c0 21.63-5.29 41.79-13.9 60.11z" }, child: [] }] })(e);
}
function ss(e) {
  return xi({ tag: "svg", attr: { viewBox: "0 0 576 512" }, child: [{ tag: "path", attr: { d: "M572.52 241.4C518.29 135.59 410.93 64 288 64S57.68 135.64 3.48 241.41a32.35 32.35 0 0 0 0 29.19C57.71 376.41 165.07 448 288 448s230.32-71.64 284.52-177.41a32.35 32.35 0 0 0 0-29.19zM288 400a144 144 0 1 1 144-144 143.93 143.93 0 0 1-144 144zm0-240a95.31 95.31 0 0 0-25.31 3.79 47.85 47.85 0 0 1-66.9 66.9A95.78 95.78 0 1 0 288 160z" }, child: [] }] })(e);
}
const nm = ({ moveToLogin: e }) => {
  const [t, r] = R(!1), [a, n] = R(!1), [o, i] = R(!1), c = {
    firstName: "",
    lastName: "",
    email: "",
    password: "",
    confirmPassword: ""
  }, u = N.object({
    firstName: N.string().min(1, "First Name is required"),
    lastName: N.string().min(1, "Last Name is required"),
    email: N.string().min(1, "Email is required").email("Invalid email address"),
    password: N.string().min(8, "Password must be at least 8 characters").regex(/[A-Z]/, "Password must contain at least one uppercase letter").regex(/[a-z]/, "Password must contain at least one lowercase letter").regex(/[0-9]/, "Password must contain at least one number").regex(
      /[^a-zA-Z0-9]/,
      "Password must contain at least one special character"
    ),
    confirmPassword: N.string().min(8, "Confirm Password must be at least 8 characters").regex(
      /[A-Z]/,
      "Confirm Password must contain at least one uppercase letter"
    ).regex(
      /[a-z]/,
      "Confirm Password must contain at least one lowercase letter"
    ).regex(/[0-9]/, "Confirm Password must contain at least one number").regex(
      /[^a-zA-Z0-9]/,
      "Confirm Password must contain at least one special character"
    )
  }).refine((h) => h.password === h.confirmPassword, {
    message: "Passwords must match",
    path: ["confirmPassword"]
  }), d = Ze({
    resolver: Le(u),
    defaultValues: c
  }), {
    handleSubmit: m,
    register: p,
    formState: { errors: g }
  } = d;
  async function f(h) {
    var v, C, S, P, O;
    const { firstName: E, lastName: x, email: b, password: _, confirmPassword: y } = h;
    r(!0);
    try {
      const I = `${process.env.NEXT_PUBLIC_API_URL}/api/v1/user/signup`, A = await pa.post(I, {
        firstName: E,
        lastName: x,
        email: b,
        password: _,
        confirmPassword: y,
        role: "admin"
      });
      ((v = A == null ? void 0 : A.data) == null ? void 0 : v.status) === 1 ? (Ae.success(((C = A == null ? void 0 : A.data) == null ? void 0 : C.message) || "User created successfully!"), e(), d.reset(c)) : Ae.error(((S = A == null ? void 0 : A.data) == null ? void 0 : S.message) || "Something went wrong!");
    } catch (I) {
      console.error("Sign up error", I), Ae.error(((O = (P = I == null ? void 0 : I.response) == null ? void 0 : P.data) == null ? void 0 : O.message) || "Something went wrong...");
    } finally {
      r(!1);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-center min-h-screen bg-gray-100" }, /* @__PURE__ */ s.createElement("div", { className: "bg-white p-8 md:m-8  rounded shadow-md w-full max-w-md" }, /* @__PURE__ */ s.createElement("h2", { className: "text-2xl font-bold mb-2" }, "Get started"), /* @__PURE__ */ s.createElement("p", { className: "mb-6" }, "Create a new account"), /* @__PURE__ */ s.createElement(Ge, { title: "Continue with GitHub", type: "outline" }), /* @__PURE__ */ s.createElement("div", { className: "flex items-center my-4" }, /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" }), /* @__PURE__ */ s.createElement("span", { className: "mx-4" }, "or"), /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" })), /* @__PURE__ */ s.createElement(jn, { ...d }, /* @__PURE__ */ s.createElement("form", { onSubmit: m(f) }, /* @__PURE__ */ s.createElement("div", { className: "flex mb-4 space-x-4" }, /* @__PURE__ */ s.createElement("div", { className: "w-1/2" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "First Name ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "text",
      placeholder: "First Name",
      className: "w-full p-2 border border-gray-300 rounded",
      ...p("firstName")
    }
  ), g.firstName && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.firstName.message)), /* @__PURE__ */ s.createElement("div", { className: "w-1/2" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Last Name ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "text",
      placeholder: "Last Name",
      className: "w-full p-2 border border-gray-300 rounded",
      ...p("lastName")
    }
  ), g.lastName && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.lastName.message))), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Email ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "email",
      placeholder: "you@example.com",
      className: "w-full p-2 border border-gray-300 rounded",
      ...p("email")
    }
  ), g.email && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.email.message)), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Password ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement("div", { className: "relative" }, /* @__PURE__ */ s.createElement(
    "input",
    {
      type: a ? "text" : "password",
      placeholder: "Password",
      className: "w-full p-2 pr-10 border border-gray-300 rounded",
      ...p("password")
    }
  ), /* @__PURE__ */ s.createElement(
    "button",
    {
      type: "button",
      onClick: () => n(!a),
      className: "absolute right-2 top-1/2 transform -translate-y-1/2"
    },
    a ? /* @__PURE__ */ s.createElement(as, { className: "w-5 h-5" }) : /* @__PURE__ */ s.createElement(ss, { className: "w-5 h-5" })
  )), g.password && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.password.message)), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Confirm Password ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement("div", { className: "relative" }, /* @__PURE__ */ s.createElement(
    "input",
    {
      type: o ? "text" : "password",
      placeholder: "Confirm Password",
      className: "w-full p-2 pr-10 border border-gray-300 rounded",
      ...p("confirmPassword")
    }
  ), /* @__PURE__ */ s.createElement(
    "button",
    {
      type: "button",
      onClick: () => i(!o),
      className: "absolute right-2 top-1/2 transform -translate-y-1/2"
    },
    o ? /* @__PURE__ */ s.createElement(as, { className: "w-5 h-5" }) : /* @__PURE__ */ s.createElement(ss, { className: "w-5 h-5" })
  )), g.confirmPassword && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.confirmPassword.message)), /* @__PURE__ */ s.createElement(
    Ge,
    {
      title: "Sign Up",
      isLoading: t,
      disabled: t,
      type: "filled",
      bgColour: "bg-green-500"
    }
  ))), /* @__PURE__ */ s.createElement("div", { className: "text-center mt-4" }, /* @__PURE__ */ s.createElement("span", { className: "mb-2 text-sm font-medium text-gray-700" }, "Have an account?", " "), /* @__PURE__ */ s.createElement(
    "span",
    {
      onClick: e,
      className: "text-sm text-gray-500 underline cursor-pointer"
    },
    "Sign In Now"
  )), /* @__PURE__ */ s.createElement("p", { className: "text-center text-sm text-gray-500 mt-6" }, "By continuing, you agree to Supabase's", " ", /* @__PURE__ */ s.createElement("a", { href: "#", className: "underline" }, "Terms of Service"), " ", "and", " ", /* @__PURE__ */ s.createElement("a", { href: "#", className: "underline" }, "Privacy Policy"), ", and to receive periodic emails with updates.")));
}, am = nm;
function Ff({ changeDirection: e }) {
  const [t, r] = R("login");
  return localStorage.getItem("userDetails"), /* @__PURE__ */ s.createElement("div", { className: "p-20" }, t === "signup" ? /* @__PURE__ */ s.createElement(
    am,
    {
      moveToLogin: () => {
        console.log("Login button tapped"), r("login");
      }
    }
  ) : /* @__PURE__ */ s.createElement(
    Jd,
    {
      moveToSignup: () => {
        console.log("Signup button tapped"), r("signup");
      },
      changeDirection: e
    }
  ));
}
function T(...e) {
  return Il(Al(e));
}
const we = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Ma.Root,
  {
    ref: r,
    className: T(
      "peer h-4 w-4 shrink-0 rounded-sm border border-primary ring-offset-background focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 data-[state=checked]:bg-primary data-[state=checked]:text-primary-foreground",
      e
    ),
    ...t
  },
  /* @__PURE__ */ l.createElement(
    Ma.Indicator,
    {
      className: T("flex items-center justify-center text-current")
    },
    /* @__PURE__ */ l.createElement(Bn, { className: "h-4 w-4" })
  )
));
we.displayName = "Checkbox";
const sm = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ s.createElement(Ie, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ s.createElement(Ie, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
], ga = bt(
  "inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium ring-offset-background transition-colors focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        default: "bg-primary text-primary-foreground hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground hover:bg-destructive/90",
        outline: "border border-input bg-background hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-10 px-4 py-2",
        sm: "h-9 rounded-md px-3",
        lg: "h-11 rounded-md px-8",
        icon: "h-10 w-10"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
), q = l.forwardRef(
  ({ className: e, variant: t, size: r, asChild: a = !1, ...n }, o) => {
    const i = a ? Ho : "button";
    return /* @__PURE__ */ l.createElement(
      i,
      {
        className: T(ga({ variant: t, size: r }), e),
        ref: o,
        ...n
      }
    );
  }
);
q.displayName = "Button";
const he = H.Root, je = H.Trigger, om = l.forwardRef(({ className: e, inset: t, children: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  H.SubTrigger,
  {
    ref: n,
    className: T(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent data-[state=open]:bg-accent",
      t && "pl-8",
      e
    ),
    ...a
  },
  r,
  /* @__PURE__ */ l.createElement(Cl, { className: "ml-auto h-4 w-4" })
));
om.displayName = H.SubTrigger.displayName;
const im = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  H.SubContent,
  {
    ref: r,
    className: T(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...t
  }
));
im.displayName = H.SubContent.displayName;
const ue = l.forwardRef(({ className: e, sideOffset: t = 4, ...r }, a) => /* @__PURE__ */ l.createElement(H.Portal, null, /* @__PURE__ */ l.createElement(
  H.Content,
  {
    ref: a,
    sideOffset: t,
    className: T(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...r
  }
)));
ue.displayName = H.Content.displayName;
const J = l.forwardRef(({ className: e, inset: t, ...r }, a) => /* @__PURE__ */ l.createElement(
  H.Item,
  {
    ref: a,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      t && "pl-8",
      e
    ),
    ...r
  }
));
J.displayName = H.Item.displayName;
const Tt = l.forwardRef(({ className: e, children: t, checked: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  H.CheckboxItem,
  {
    ref: n,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    checked: r,
    ...a
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(H.ItemIndicator, null, /* @__PURE__ */ l.createElement(Bn, { className: "h-4 w-4" }))),
  t
));
Tt.displayName = H.CheckboxItem.displayName;
const lm = l.forwardRef(({ className: e, children: t, ...r }, a) => /* @__PURE__ */ l.createElement(
  H.RadioItem,
  {
    ref: a,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(H.ItemIndicator, null, /* @__PURE__ */ l.createElement(Sl, { className: "h-2 w-2 fill-current" }))),
  t
));
lm.displayName = H.RadioItem.displayName;
const Pt = l.forwardRef(({ className: e, inset: t, ...r }, a) => /* @__PURE__ */ l.createElement(
  H.Label,
  {
    ref: a,
    className: T(
      "px-2 py-1.5 text-sm font-semibold",
      t && "pl-8",
      e
    ),
    ...r
  }
));
Pt.displayName = H.Label.displayName;
const me = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  H.Separator,
  {
    ref: r,
    className: T("-mx-1 my-1 h-px bg-muted", e),
    ...t
  }
));
me.displayName = H.Separator.displayName;
function We({
  column: e,
  title: t,
  className: r
}) {
  return e.getCanSort() ? /* @__PURE__ */ s.createElement("div", { className: T("flex items-center space-x-2", r) }, /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(je, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ s.createElement("span", null, t),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ s.createElement(Fe, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ s.createElement(Oe, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ s.createElement(Un, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ue, { align: "start" }, /* @__PURE__ */ s.createElement(J, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ s.createElement(Oe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ s.createElement(J, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ s.createElement(Fe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ s.createElement("div", { className: T(r) }, t);
}
function cm({
  row: e,
  onEdit: t,
  onStatus: r
}) {
  return /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(je, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ s.createElement(Hn, { className: "h-4 w-4" }),
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ s.createElement(J, { onClick: () => t(e.original) }, "Edit"), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(J, { onClick: () => r(e.original) }, e.original.status === "Active" ? "Inactive" : "Active")));
}
const ha = ie.Root, dm = ie.Portal, Ni = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  ie.Overlay,
  {
    ref: r,
    className: T(
      "fixed inset-0 z-50 bg-white/80 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...t
  }
));
Ni.displayName = ie.Overlay.displayName;
const mm = {
  top: "inset-x-0 top-0 border-b data-[state=closed]:slide-out-to-top data-[state=open]:slide-in-from-top",
  bottom: "inset-x-0 bottom-0 border-t data-[state=closed]:slide-out-to-bottom data-[state=open]:slide-in-from-bottom",
  left: "inset-y-0 left-0 h-full w-3/4 border-r data-[state=closed]:slide-out-to-left data-[state=open]:slide-in-from-left sm:max-w-sm",
  right: "inset-y-0 right-0 h-full w-3/4 border-l data-[state=closed]:slide-out-to-right data-[state=open]:slide-in-from-right sm:max-w-sm"
}, At = l.forwardRef(({ side: e = "right", className: t, children: r, ...a }, n) => /* @__PURE__ */ l.createElement(dm, null, /* @__PURE__ */ l.createElement(Ni, null), /* @__PURE__ */ l.createElement(
  ie.Content,
  {
    ref: n,
    className: T(
      "fixed z-50 gap-4 bg-background p-6 shadow-lg transition ease-in-out data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:duration-300 data-[state=open]:duration-500",
      mm[e],
      t
    ),
    ...a
  },
  r,
  /* @__PURE__ */ l.createElement(ie.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-background transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-secondary" }, /* @__PURE__ */ l.createElement(Bo, { className: "h-4 w-4" }), /* @__PURE__ */ l.createElement("span", { className: "sr-only" }, "Close"))
)));
At.displayName = ie.Content.displayName;
const It = ({
  className: e,
  ...t
}) => /* @__PURE__ */ l.createElement("div", { className: T("flex flex-col space-y-2 text-center sm:text-left", e), ...t });
It.displayName = "SheetHeader";
const Ft = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(ie.Title, { ref: r, className: T("text-lg font-semibold text-foreground", e), ...t }));
Ft.displayName = ie.Title.displayName;
const Ot = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(ie.Description, { ref: r, className: T("text-sm text-muted-foreground", e), ...t }));
Ot.displayName = ie.Description.displayName;
const um = bt(
  "text-sm font-medium leading-none peer-disabled:cursor-not-allowed peer-disabled:opacity-70"
), _i = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  $o.Root,
  {
    ref: r,
    className: T(um(), e),
    ...t
  }
));
_i.displayName = $o.Root.displayName;
const fm = Ve.Provider, pm = Ve.Root, gm = Ve.Trigger, Ci = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Ve.Content,
  {
    ref: r,
    side: "bottom",
    className: T(
      "z-50 overflow-hidden rounded-md border bg-popover px-3 py-1.5 text-sm text-popover-foreground shadow-md animate-in fade-in-0 zoom-in-95 data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=closed]:zoom-out-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...t
  }
));
Ci.displayName = Ve.Content.displayName;
var rt = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function hm(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Si = {}, Mn = { exports: {} }, Ri = { exports: {} };
(function(e) {
  function t(r) {
    return r && r.__esModule ? r : {
      default: r
    };
  }
  e.exports = t, e.exports.__esModule = !0, e.exports.default = e.exports;
})(Ri);
var Be = Ri.exports, nt = { exports: {} }, sr = { exports: {} }, os;
function Ti() {
  return os || (os = 1, function(e) {
    function t() {
      return e.exports = t = Object.assign ? Object.assign.bind() : function(r) {
        for (var a = 1; a < arguments.length; a++) {
          var n = arguments[a];
          for (var o in n)
            Object.prototype.hasOwnProperty.call(n, o) && (r[o] = n[o]);
        }
        return r;
      }, e.exports.__esModule = !0, e.exports.default = e.exports, t.apply(this, arguments);
    }
    e.exports = t, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(sr)), sr.exports;
}
var at = { exports: {} }, or = { exports: {} }, is;
function ym() {
  return is || (is = 1, function(e) {
    function t(r, a) {
      if (r == null)
        return {};
      var n = {};
      for (var o in r)
        if (Object.prototype.hasOwnProperty.call(r, o)) {
          if (a.indexOf(o) >= 0)
            continue;
          n[o] = r[o];
        }
      return n;
    }
    e.exports = t, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(or)), or.exports;
}
var ir = { exports: {} };
/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
var ls;
function ya() {
  return ls || (ls = 1, function(e) {
    (function() {
      var t = {}.hasOwnProperty;
      function r() {
        for (var o = "", i = 0; i < arguments.length; i++) {
          var c = arguments[i];
          c && (o = n(o, a(c)));
        }
        return o;
      }
      function a(o) {
        if (typeof o == "string" || typeof o == "number")
          return o;
        if (typeof o != "object")
          return "";
        if (Array.isArray(o))
          return r.apply(null, o);
        if (o.toString !== Object.prototype.toString && !o.toString.toString().includes("[native code]"))
          return o.toString();
        var i = "";
        for (var c in o)
          t.call(o, c) && o[c] && (i = n(i, c));
        return i;
      }
      function n(o, i) {
        return i ? o ? o + " " + i : o + i : o;
      }
      e.exports ? (r.default = r, e.exports = r) : window.classNames = r;
    })();
  }(ir)), ir.exports;
}
var lr = {}, ne = {}, cr, cs;
function Pi() {
  if (cs)
    return cr;
  cs = 1;
  function e(t) {
    return t;
  }
  return cr = e, cr;
}
var dr, ds;
function Em() {
  if (ds)
    return dr;
  ds = 1;
  var e = typeof rt == "object" && rt && rt.Object === Object && rt;
  return dr = e, dr;
}
var mr, ms;
function Te() {
  if (ms)
    return mr;
  ms = 1;
  var e = Em(), t = typeof self == "object" && self && self.Object === Object && self, r = e || t || Function("return this")();
  return mr = r, mr;
}
var ur, us;
function Ai() {
  if (us)
    return ur;
  us = 1;
  var e = Te(), t = e.Symbol;
  return ur = t, ur;
}
var fr, fs;
function vm() {
  if (fs)
    return fr;
  fs = 1;
  var e = Ai(), t = Object.prototype, r = t.hasOwnProperty, a = t.toString, n = e ? e.toStringTag : void 0;
  function o(i) {
    var c = r.call(i, n), u = i[n];
    try {
      i[n] = void 0;
      var d = !0;
    } catch {
    }
    var m = a.call(i);
    return d && (c ? i[n] = u : delete i[n]), m;
  }
  return fr = o, fr;
}
var pr, ps;
function wm() {
  if (ps)
    return pr;
  ps = 1;
  var e = Object.prototype, t = e.toString;
  function r(a) {
    return t.call(a);
  }
  return pr = r, pr;
}
var gr, gs;
function Ii() {
  if (gs)
    return gr;
  gs = 1;
  var e = Ai(), t = vm(), r = wm(), a = "[object Null]", n = "[object Undefined]", o = e ? e.toStringTag : void 0;
  function i(c) {
    return c == null ? c === void 0 ? n : a : o && o in Object(c) ? t(c) : r(c);
  }
  return gr = i, gr;
}
var hr, hs;
function et() {
  if (hs)
    return hr;
  hs = 1;
  function e(t) {
    var r = typeof t;
    return t != null && (r == "object" || r == "function");
  }
  return hr = e, hr;
}
var yr, ys;
function bm() {
  if (ys)
    return yr;
  ys = 1;
  var e = Ii(), t = et(), r = "[object AsyncFunction]", a = "[object Function]", n = "[object GeneratorFunction]", o = "[object Proxy]";
  function i(c) {
    if (!t(c))
      return !1;
    var u = e(c);
    return u == a || u == n || u == r || u == o;
  }
  return yr = i, yr;
}
var Er, Es;
function xm() {
  if (Es)
    return Er;
  Es = 1;
  var e = Te(), t = e["__core-js_shared__"];
  return Er = t, Er;
}
var vr, vs;
function Nm() {
  if (vs)
    return vr;
  vs = 1;
  var e = xm(), t = function() {
    var a = /[^.]+$/.exec(e && e.keys && e.keys.IE_PROTO || "");
    return a ? "Symbol(src)_1." + a : "";
  }();
  function r(a) {
    return !!t && t in a;
  }
  return vr = r, vr;
}
var wr, ws;
function _m() {
  if (ws)
    return wr;
  ws = 1;
  var e = Function.prototype, t = e.toString;
  function r(a) {
    if (a != null) {
      try {
        return t.call(a);
      } catch {
      }
      try {
        return a + "";
      } catch {
      }
    }
    return "";
  }
  return wr = r, wr;
}
var br, bs;
function Cm() {
  if (bs)
    return br;
  bs = 1;
  var e = bm(), t = Nm(), r = et(), a = _m(), n = /[\\^$.*+?()[\]{}|]/g, o = /^\[object .+?Constructor\]$/, i = Function.prototype, c = Object.prototype, u = i.toString, d = c.hasOwnProperty, m = RegExp(
    "^" + u.call(d).replace(n, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  );
  function p(g) {
    if (!r(g) || t(g))
      return !1;
    var f = e(g) ? m : o;
    return f.test(a(g));
  }
  return br = p, br;
}
var xr, xs;
function Sm() {
  if (xs)
    return xr;
  xs = 1;
  function e(t, r) {
    return t == null ? void 0 : t[r];
  }
  return xr = e, xr;
}
var Nr, Ns;
function Fi() {
  if (Ns)
    return Nr;
  Ns = 1;
  var e = Cm(), t = Sm();
  function r(a, n) {
    var o = t(a, n);
    return e(o) ? o : void 0;
  }
  return Nr = r, Nr;
}
var _r, _s;
function Rm() {
  if (_s)
    return _r;
  _s = 1;
  var e = Fi(), t = Te(), r = e(t, "WeakMap");
  return _r = r, _r;
}
var Cr, Cs;
function Oi() {
  if (Cs)
    return Cr;
  Cs = 1;
  var e = Rm(), t = e && new e();
  return Cr = t, Cr;
}
var Sr, Ss;
function Di() {
  if (Ss)
    return Sr;
  Ss = 1;
  var e = Pi(), t = Oi(), r = t ? function(a, n) {
    return t.set(a, n), a;
  } : e;
  return Sr = r, Sr;
}
var Rr, Rs;
function Ea() {
  if (Rs)
    return Rr;
  Rs = 1;
  var e = et(), t = Object.create, r = function() {
    function a() {
    }
    return function(n) {
      if (!e(n))
        return {};
      if (t)
        return t(n);
      a.prototype = n;
      var o = new a();
      return a.prototype = void 0, o;
    };
  }();
  return Rr = r, Rr;
}
var Tr, Ts;
function Dt() {
  if (Ts)
    return Tr;
  Ts = 1;
  var e = Ea(), t = et();
  function r(a) {
    return function() {
      var n = arguments;
      switch (n.length) {
        case 0:
          return new a();
        case 1:
          return new a(n[0]);
        case 2:
          return new a(n[0], n[1]);
        case 3:
          return new a(n[0], n[1], n[2]);
        case 4:
          return new a(n[0], n[1], n[2], n[3]);
        case 5:
          return new a(n[0], n[1], n[2], n[3], n[4]);
        case 6:
          return new a(n[0], n[1], n[2], n[3], n[4], n[5]);
        case 7:
          return new a(n[0], n[1], n[2], n[3], n[4], n[5], n[6]);
      }
      var o = e(a.prototype), i = a.apply(o, n);
      return t(i) ? i : o;
    };
  }
  return Tr = r, Tr;
}
var Pr, Ps;
function Tm() {
  if (Ps)
    return Pr;
  Ps = 1;
  var e = Dt(), t = Te(), r = 1;
  function a(n, o, i) {
    var c = o & r, u = e(n);
    function d() {
      var m = this && this !== t && this instanceof d ? u : n;
      return m.apply(c ? i : this, arguments);
    }
    return d;
  }
  return Pr = a, Pr;
}
var Ar, As;
function Li() {
  if (As)
    return Ar;
  As = 1;
  function e(t, r, a) {
    switch (a.length) {
      case 0:
        return t.call(r);
      case 1:
        return t.call(r, a[0]);
      case 2:
        return t.call(r, a[0], a[1]);
      case 3:
        return t.call(r, a[0], a[1], a[2]);
    }
    return t.apply(r, a);
  }
  return Ar = e, Ar;
}
var Ir, Is;
function ki() {
  if (Is)
    return Ir;
  Is = 1;
  var e = Math.max;
  function t(r, a, n, o) {
    for (var i = -1, c = r.length, u = n.length, d = -1, m = a.length, p = e(c - u, 0), g = Array(m + p), f = !o; ++d < m; )
      g[d] = a[d];
    for (; ++i < u; )
      (f || i < c) && (g[n[i]] = r[i]);
    for (; p--; )
      g[d++] = r[i++];
    return g;
  }
  return Ir = t, Ir;
}
var Fr, Fs;
function qi() {
  if (Fs)
    return Fr;
  Fs = 1;
  var e = Math.max;
  function t(r, a, n, o) {
    for (var i = -1, c = r.length, u = -1, d = n.length, m = -1, p = a.length, g = e(c - d, 0), f = Array(g + p), h = !o; ++i < g; )
      f[i] = r[i];
    for (var E = i; ++m < p; )
      f[E + m] = a[m];
    for (; ++u < d; )
      (h || i < c) && (f[E + n[u]] = r[i++]);
    return f;
  }
  return Fr = t, Fr;
}
var Or, Os;
function Pm() {
  if (Os)
    return Or;
  Os = 1;
  function e(t, r) {
    for (var a = t.length, n = 0; a--; )
      t[a] === r && ++n;
    return n;
  }
  return Or = e, Or;
}
var Dr, Ds;
function va() {
  if (Ds)
    return Dr;
  Ds = 1;
  function e() {
  }
  return Dr = e, Dr;
}
var Lr, Ls;
function wa() {
  if (Ls)
    return Lr;
  Ls = 1;
  var e = Ea(), t = va(), r = 4294967295;
  function a(n) {
    this.__wrapped__ = n, this.__actions__ = [], this.__dir__ = 1, this.__filtered__ = !1, this.__iteratees__ = [], this.__takeCount__ = r, this.__views__ = [];
  }
  return a.prototype = e(t.prototype), a.prototype.constructor = a, Lr = a, Lr;
}
var kr, ks;
function Am() {
  if (ks)
    return kr;
  ks = 1;
  function e() {
  }
  return kr = e, kr;
}
var qr, qs;
function zi() {
  if (qs)
    return qr;
  qs = 1;
  var e = Oi(), t = Am(), r = e ? function(a) {
    return e.get(a);
  } : t;
  return qr = r, qr;
}
var zr, zs;
function Im() {
  if (zs)
    return zr;
  zs = 1;
  var e = {};
  return zr = e, zr;
}
var Mr, Ms;
function Fm() {
  if (Ms)
    return Mr;
  Ms = 1;
  var e = Im(), t = Object.prototype, r = t.hasOwnProperty;
  function a(n) {
    for (var o = n.name + "", i = e[o], c = r.call(e, o) ? i.length : 0; c--; ) {
      var u = i[c], d = u.func;
      if (d == null || d == n)
        return u.name;
    }
    return o;
  }
  return Mr = a, Mr;
}
var jr, js;
function Mi() {
  if (js)
    return jr;
  js = 1;
  var e = Ea(), t = va();
  function r(a, n) {
    this.__wrapped__ = a, this.__actions__ = [], this.__chain__ = !!n, this.__index__ = 0, this.__values__ = void 0;
  }
  return r.prototype = e(t.prototype), r.prototype.constructor = r, jr = r, jr;
}
var Br, Bs;
function Om() {
  if (Bs)
    return Br;
  Bs = 1;
  var e = Array.isArray;
  return Br = e, Br;
}
var Ur, Us;
function ji() {
  if (Us)
    return Ur;
  Us = 1;
  function e(t) {
    return t != null && typeof t == "object";
  }
  return Ur = e, Ur;
}
var Hr, Hs;
function Bi() {
  if (Hs)
    return Hr;
  Hs = 1;
  function e(t, r) {
    var a = -1, n = t.length;
    for (r || (r = Array(n)); ++a < n; )
      r[a] = t[a];
    return r;
  }
  return Hr = e, Hr;
}
var $r, $s;
function Dm() {
  if ($s)
    return $r;
  $s = 1;
  var e = wa(), t = Mi(), r = Bi();
  function a(n) {
    if (n instanceof e)
      return n.clone();
    var o = new t(n.__wrapped__, n.__chain__);
    return o.__actions__ = r(n.__actions__), o.__index__ = n.__index__, o.__values__ = n.__values__, o;
  }
  return $r = a, $r;
}
var Wr, Ws;
function Lm() {
  if (Ws)
    return Wr;
  Ws = 1;
  var e = wa(), t = Mi(), r = va(), a = Om(), n = ji(), o = Dm(), i = Object.prototype, c = i.hasOwnProperty;
  function u(d) {
    if (n(d) && !a(d) && !(d instanceof e)) {
      if (d instanceof t)
        return d;
      if (c.call(d, "__wrapped__"))
        return o(d);
    }
    return new t(d);
  }
  return u.prototype = r.prototype, u.prototype.constructor = u, Wr = u, Wr;
}
var Gr, Gs;
function km() {
  if (Gs)
    return Gr;
  Gs = 1;
  var e = wa(), t = zi(), r = Fm(), a = Lm();
  function n(o) {
    var i = r(o), c = a[i];
    if (typeof c != "function" || !(i in e.prototype))
      return !1;
    if (o === c)
      return !0;
    var u = t(c);
    return !!u && o === u[0];
  }
  return Gr = n, Gr;
}
var Yr, Ys;
function Ui() {
  if (Ys)
    return Yr;
  Ys = 1;
  var e = 800, t = 16, r = Date.now;
  function a(n) {
    var o = 0, i = 0;
    return function() {
      var c = r(), u = t - (c - i);
      if (i = c, u > 0) {
        if (++o >= e)
          return arguments[0];
      } else
        o = 0;
      return n.apply(void 0, arguments);
    };
  }
  return Yr = a, Yr;
}
var Kr, Ks;
function Hi() {
  if (Ks)
    return Kr;
  Ks = 1;
  var e = Di(), t = Ui(), r = t(e);
  return Kr = r, Kr;
}
var Jr, Js;
function qm() {
  if (Js)
    return Jr;
  Js = 1;
  var e = /\{\n\/\* \[wrapped with (.+)\] \*/, t = /,? & /;
  function r(a) {
    var n = a.match(e);
    return n ? n[1].split(t) : [];
  }
  return Jr = r, Jr;
}
var Zr, Zs;
function zm() {
  if (Zs)
    return Zr;
  Zs = 1;
  var e = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/;
  function t(r, a) {
    var n = a.length;
    if (!n)
      return r;
    var o = n - 1;
    return a[o] = (n > 1 ? "& " : "") + a[o], a = a.join(n > 2 ? ", " : " "), r.replace(e, `{
/* [wrapped with ` + a + `] */
`);
  }
  return Zr = t, Zr;
}
var Vr, Vs;
function Mm() {
  if (Vs)
    return Vr;
  Vs = 1;
  function e(t) {
    return function() {
      return t;
    };
  }
  return Vr = e, Vr;
}
var Xr, Xs;
function jm() {
  if (Xs)
    return Xr;
  Xs = 1;
  var e = Fi(), t = function() {
    try {
      var r = e(Object, "defineProperty");
      return r({}, "", {}), r;
    } catch {
    }
  }();
  return Xr = t, Xr;
}
var Qr, Qs;
function Bm() {
  if (Qs)
    return Qr;
  Qs = 1;
  var e = Mm(), t = jm(), r = Pi(), a = t ? function(n, o) {
    return t(n, "toString", {
      configurable: !0,
      enumerable: !1,
      value: e(o),
      writable: !0
    });
  } : r;
  return Qr = a, Qr;
}
var en, eo;
function Um() {
  if (eo)
    return en;
  eo = 1;
  var e = Bm(), t = Ui(), r = t(e);
  return en = r, en;
}
var tn, to;
function Hm() {
  if (to)
    return tn;
  to = 1;
  function e(t, r) {
    for (var a = -1, n = t == null ? 0 : t.length; ++a < n && r(t[a], a, t) !== !1; )
      ;
    return t;
  }
  return tn = e, tn;
}
var rn, ro;
function $m() {
  if (ro)
    return rn;
  ro = 1;
  function e(t, r, a, n) {
    for (var o = t.length, i = a + (n ? 1 : -1); n ? i-- : ++i < o; )
      if (r(t[i], i, t))
        return i;
    return -1;
  }
  return rn = e, rn;
}
var nn, no;
function Wm() {
  if (no)
    return nn;
  no = 1;
  function e(t) {
    return t !== t;
  }
  return nn = e, nn;
}
var an, ao;
function Gm() {
  if (ao)
    return an;
  ao = 1;
  function e(t, r, a) {
    for (var n = a - 1, o = t.length; ++n < o; )
      if (t[n] === r)
        return n;
    return -1;
  }
  return an = e, an;
}
var sn, so;
function Ym() {
  if (so)
    return sn;
  so = 1;
  var e = $m(), t = Wm(), r = Gm();
  function a(n, o, i) {
    return o === o ? r(n, o, i) : e(n, t, i);
  }
  return sn = a, sn;
}
var on, oo;
function Km() {
  if (oo)
    return on;
  oo = 1;
  var e = Ym();
  function t(r, a) {
    var n = r == null ? 0 : r.length;
    return !!n && e(r, a, 0) > -1;
  }
  return on = t, on;
}
var ln, io;
function Jm() {
  if (io)
    return ln;
  io = 1;
  var e = Hm(), t = Km(), r = 1, a = 2, n = 8, o = 16, i = 32, c = 64, u = 128, d = 256, m = 512, p = [
    ["ary", u],
    ["bind", r],
    ["bindKey", a],
    ["curry", n],
    ["curryRight", o],
    ["flip", m],
    ["partial", i],
    ["partialRight", c],
    ["rearg", d]
  ];
  function g(f, h) {
    return e(p, function(E) {
      var x = "_." + E[0];
      h & E[1] && !t(f, x) && f.push(x);
    }), f.sort();
  }
  return ln = g, ln;
}
var cn, lo;
function $i() {
  if (lo)
    return cn;
  lo = 1;
  var e = qm(), t = zm(), r = Um(), a = Jm();
  function n(o, i, c) {
    var u = i + "";
    return r(o, t(u, a(e(u), c)));
  }
  return cn = n, cn;
}
var dn, co;
function Wi() {
  if (co)
    return dn;
  co = 1;
  var e = km(), t = Hi(), r = $i(), a = 1, n = 2, o = 4, i = 8, c = 32, u = 64;
  function d(m, p, g, f, h, E, x, b, _, y) {
    var v = p & i, C = v ? x : void 0, S = v ? void 0 : x, P = v ? E : void 0, O = v ? void 0 : E;
    p |= v ? c : u, p &= ~(v ? u : c), p & o || (p &= ~(a | n));
    var I = [
      m,
      p,
      h,
      P,
      C,
      O,
      S,
      b,
      _,
      y
    ], A = g.apply(void 0, I);
    return e(m) && t(A, I), A.placeholder = f, r(A, m, p);
  }
  return dn = d, dn;
}
var mn, mo;
function Gi() {
  if (mo)
    return mn;
  mo = 1;
  function e(t) {
    var r = t;
    return r.placeholder;
  }
  return mn = e, mn;
}
var un, uo;
function Zm() {
  if (uo)
    return un;
  uo = 1;
  var e = 9007199254740991, t = /^(?:0|[1-9]\d*)$/;
  function r(a, n) {
    var o = typeof a;
    return n = n ?? e, !!n && (o == "number" || o != "symbol" && t.test(a)) && a > -1 && a % 1 == 0 && a < n;
  }
  return un = r, un;
}
var fn, fo;
function Vm() {
  if (fo)
    return fn;
  fo = 1;
  var e = Bi(), t = Zm(), r = Math.min;
  function a(n, o) {
    for (var i = n.length, c = r(o.length, i), u = e(n); c--; ) {
      var d = o[c];
      n[c] = t(d, i) ? u[d] : void 0;
    }
    return n;
  }
  return fn = a, fn;
}
var pn, po;
function ba() {
  if (po)
    return pn;
  po = 1;
  var e = "__lodash_placeholder__";
  function t(r, a) {
    for (var n = -1, o = r.length, i = 0, c = []; ++n < o; ) {
      var u = r[n];
      (u === a || u === e) && (r[n] = e, c[i++] = n);
    }
    return c;
  }
  return pn = t, pn;
}
var gn, go;
function Yi() {
  if (go)
    return gn;
  go = 1;
  var e = ki(), t = qi(), r = Pm(), a = Dt(), n = Wi(), o = Gi(), i = Vm(), c = ba(), u = Te(), d = 1, m = 2, p = 8, g = 16, f = 128, h = 512;
  function E(x, b, _, y, v, C, S, P, O, I) {
    var A = b & f, L = b & d, F = b & m, j = b & (p | g), te = b & h, V = F ? void 0 : a(x);
    function M() {
      for (var k = arguments.length, B = Array(k), Pe = k; Pe--; )
        B[Pe] = arguments[Pe];
      if (j)
        var Ue = o(M), Vt = r(B, Ue);
      if (y && (B = e(B, y, v, j)), C && (B = t(B, C, S, j)), k -= Vt, j && k < I) {
        var Xt = c(B, Ue);
        return n(
          x,
          b,
          E,
          M.placeholder,
          _,
          B,
          Xt,
          P,
          O,
          I - k
        );
      }
      var He = L ? _ : this, Qt = F ? He[x] : x;
      return k = B.length, P ? B = i(B, P) : te && k > 1 && B.reverse(), A && O < k && (B.length = O), this && this !== u && this instanceof M && (Qt = V || a(Qt)), Qt.apply(He, B);
    }
    return M;
  }
  return gn = E, gn;
}
var hn, ho;
function Xm() {
  if (ho)
    return hn;
  ho = 1;
  var e = Li(), t = Dt(), r = Yi(), a = Wi(), n = Gi(), o = ba(), i = Te();
  function c(u, d, m) {
    var p = t(u);
    function g() {
      for (var f = arguments.length, h = Array(f), E = f, x = n(g); E--; )
        h[E] = arguments[E];
      var b = f < 3 && h[0] !== x && h[f - 1] !== x ? [] : o(h, x);
      if (f -= b.length, f < m)
        return a(
          u,
          d,
          r,
          g.placeholder,
          void 0,
          h,
          b,
          void 0,
          void 0,
          m - f
        );
      var _ = this && this !== i && this instanceof g ? p : u;
      return e(_, this, h);
    }
    return g;
  }
  return hn = c, hn;
}
var yn, yo;
function Qm() {
  if (yo)
    return yn;
  yo = 1;
  var e = Li(), t = Dt(), r = Te(), a = 1;
  function n(o, i, c, u) {
    var d = i & a, m = t(o);
    function p() {
      for (var g = -1, f = arguments.length, h = -1, E = u.length, x = Array(E + f), b = this && this !== r && this instanceof p ? m : o; ++h < E; )
        x[h] = u[h];
      for (; f--; )
        x[h++] = arguments[++g];
      return e(b, d ? c : this, x);
    }
    return p;
  }
  return yn = n, yn;
}
var En, Eo;
function eu() {
  if (Eo)
    return En;
  Eo = 1;
  var e = ki(), t = qi(), r = ba(), a = "__lodash_placeholder__", n = 1, o = 2, i = 4, c = 8, u = 128, d = 256, m = Math.min;
  function p(g, f) {
    var h = g[1], E = f[1], x = h | E, b = x < (n | o | u), _ = E == u && h == c || E == u && h == d && g[7].length <= f[8] || E == (u | d) && f[7].length <= f[8] && h == c;
    if (!(b || _))
      return g;
    E & n && (g[2] = f[2], x |= h & n ? 0 : i);
    var y = f[3];
    if (y) {
      var v = g[3];
      g[3] = v ? e(v, y, f[4]) : y, g[4] = v ? r(g[3], a) : f[4];
    }
    return y = f[5], y && (v = g[5], g[5] = v ? t(v, y, f[6]) : y, g[6] = v ? r(g[5], a) : f[6]), y = f[7], y && (g[7] = y), E & u && (g[8] = g[8] == null ? f[8] : m(g[8], f[8])), g[9] == null && (g[9] = f[9]), g[0] = f[0], g[1] = x, g;
  }
  return En = p, En;
}
var vn, vo;
function tu() {
  if (vo)
    return vn;
  vo = 1;
  var e = /\s/;
  function t(r) {
    for (var a = r.length; a-- && e.test(r.charAt(a)); )
      ;
    return a;
  }
  return vn = t, vn;
}
var wn, wo;
function ru() {
  if (wo)
    return wn;
  wo = 1;
  var e = tu(), t = /^\s+/;
  function r(a) {
    return a && a.slice(0, e(a) + 1).replace(t, "");
  }
  return wn = r, wn;
}
var bn, bo;
function nu() {
  if (bo)
    return bn;
  bo = 1;
  var e = Ii(), t = ji(), r = "[object Symbol]";
  function a(n) {
    return typeof n == "symbol" || t(n) && e(n) == r;
  }
  return bn = a, bn;
}
var xn, xo;
function au() {
  if (xo)
    return xn;
  xo = 1;
  var e = ru(), t = et(), r = nu(), a = 0 / 0, n = /^[-+]0x[0-9a-f]+$/i, o = /^0b[01]+$/i, i = /^0o[0-7]+$/i, c = parseInt;
  function u(d) {
    if (typeof d == "number")
      return d;
    if (r(d))
      return a;
    if (t(d)) {
      var m = typeof d.valueOf == "function" ? d.valueOf() : d;
      d = t(m) ? m + "" : m;
    }
    if (typeof d != "string")
      return d === 0 ? d : +d;
    d = e(d);
    var p = o.test(d);
    return p || i.test(d) ? c(d.slice(2), p ? 2 : 8) : n.test(d) ? a : +d;
  }
  return xn = u, xn;
}
var Nn, No;
function su() {
  if (No)
    return Nn;
  No = 1;
  var e = au(), t = 1 / 0, r = 17976931348623157e292;
  function a(n) {
    if (!n)
      return n === 0 ? n : 0;
    if (n = e(n), n === t || n === -t) {
      var o = n < 0 ? -1 : 1;
      return o * r;
    }
    return n === n ? n : 0;
  }
  return Nn = a, Nn;
}
var _n, _o;
function ou() {
  if (_o)
    return _n;
  _o = 1;
  var e = su();
  function t(r) {
    var a = e(r), n = a % 1;
    return a === a ? n ? a - n : a : 0;
  }
  return _n = t, _n;
}
var Cn, Co;
function iu() {
  if (Co)
    return Cn;
  Co = 1;
  var e = Di(), t = Tm(), r = Xm(), a = Yi(), n = Qm(), o = zi(), i = eu(), c = Hi(), u = $i(), d = ou(), m = "Expected a function", p = 1, g = 2, f = 8, h = 16, E = 32, x = 64, b = Math.max;
  function _(y, v, C, S, P, O, I, A) {
    var L = v & g;
    if (!L && typeof y != "function")
      throw new TypeError(m);
    var F = S ? S.length : 0;
    if (F || (v &= ~(E | x), S = P = void 0), I = I === void 0 ? I : b(d(I), 0), A = A === void 0 ? A : d(A), F -= P ? P.length : 0, v & x) {
      var j = S, te = P;
      S = P = void 0;
    }
    var V = L ? void 0 : o(y), M = [
      y,
      v,
      C,
      S,
      P,
      j,
      te,
      O,
      I,
      A
    ];
    if (V && i(M, V), y = M[0], v = M[1], C = M[2], S = M[3], P = M[4], A = M[9] = M[9] === void 0 ? L ? 0 : y.length : b(M[9] - F, 0), !A && v & (f | h) && (v &= ~(f | h)), !v || v == p)
      var k = t(y, v, C);
    else
      v == f || v == h ? k = r(y, v, A) : (v == E || v == (p | E)) && !P.length ? k = n(y, v, C, S) : k = a.apply(void 0, M);
    var B = V ? e : c;
    return u(B(k, M), y, v);
  }
  return Cn = _, Cn;
}
var Sn, So;
function lu() {
  if (So)
    return Sn;
  So = 1;
  var e = iu(), t = 8;
  function r(a, n, o) {
    n = o ? void 0 : n;
    var i = e(a, t, void 0, void 0, void 0, void 0, void 0, n);
    return i.placeholder = r.placeholder, i;
  }
  return r.placeholder = {}, Sn = r, Sn;
}
var Ro;
function xa() {
  if (Ro)
    return ne;
  Ro = 1;
  var e = Be;
  ne.__esModule = !0, ne.prefix = ne.defaultClassPrefix = ne.getClassNamePrefix = ne.globalKey = void 0;
  var t = e(lu()), r = e(ya()), a = "rs-";
  ne.globalKey = a;
  var n = function() {
    return a;
  };
  ne.getClassNamePrefix = n;
  var o = function(u) {
    return u ? "" + n() + u : void 0;
  };
  ne.defaultClassPrefix = o;
  var i = (0, t.default)(function(c, u) {
    return !c || !u ? "" : Array.isArray(u) ? (0, r.default)(u.filter(function(d) {
      return !!d;
    }).map(function(d) {
      return c + "-" + d;
    })) : c + "-" + u;
  });
  return ne.prefix = i, ne;
}
var st = { exports: {} }, To;
function cu() {
  return To || (To = 1, function(e, t) {
    var r = Be;
    t.__esModule = !0, t.default = i;
    var a = xa(), n = r(ya()), o = s;
    function i(c) {
      var u = (0, a.defaultClassPrefix)("icon"), d = (0, o.useCallback)(function(m) {
        return (0, a.prefix)(u, m);
      }, []);
      return [(0, n.default)(u, (0, a.defaultClassPrefix)(c)), d];
    }
    e.exports = t.default;
  }(st, st.exports)), st.exports;
}
var ot = { exports: {} }, Po;
function du() {
  return Po || (Po = 1, function(e, t) {
    t.__esModule = !0, t.default = r;
    function r() {
      return typeof document < "u" && typeof window < "u" && typeof document.createElement == "function";
    }
    e.exports = t.default;
  }(ot, ot.exports)), ot.exports;
}
var it = { exports: {} }, lt = { exports: {} }, Ao;
function mu() {
  if (Ao)
    return lt.exports;
  Ao = 1;
  var e = [], t = [], r = "insert-css: You need to provide a CSS string. Usage: insertCss(cssString[, options]).";
  function a(o, i) {
    if (i = i || {}, o === void 0)
      throw new Error(r);
    var c = i.prepend === !0 ? "prepend" : "append", u = i.container !== void 0 ? i.container : document.querySelector("head"), d = e.indexOf(u);
    d === -1 && (d = e.push(u) - 1, t[d] = {});
    var m;
    return t[d] !== void 0 && t[d][c] !== void 0 ? m = t[d][c] : (m = t[d][c] = n(), c === "prepend" ? u.insertBefore(m, u.childNodes[0]) : u.appendChild(m)), o.charCodeAt(0) === 65279 && (o = o.substr(1, o.length)), m.styleSheet ? m.styleSheet.cssText += o : m.textContent += o, m;
  }
  function n() {
    var o = document.createElement("style");
    return o.setAttribute("type", "text/css"), o;
  }
  return lt.exports = a, lt.exports.insertCss = a, lt.exports;
}
var Io;
function uu() {
  return Io || (Io = 1, function(e, t) {
    t.__esModule = !0, t.default = void 0;
    var r = mu(), a = xa(), n = s, o = (0, a.getClassNamePrefix)(), i = "." + o + `icon {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  vertical-align: middle;
}
.` + o + `icon[tabindex] {
  cursor: pointer;
}
.` + o + `icon-spin {
  -webkit-animation: icon-spin 2s infinite linear;
          animation: icon-spin 2s infinite linear;
}
.` + o + `icon-pulse {
  -webkit-animation: icon-spin 1s infinite steps(8);
          animation: icon-spin 1s infinite steps(8);
}
.` + o + `icon-flip-horizontal {
  -webkit-transform: scaleX(-1);
      -ms-transform: scaleX(-1);
          transform: scaleX(-1);
}
.` + o + `icon-flip-vertical {
  -webkit-transform: scaleY(-1);
      -ms-transform: scaleY(-1);
          transform: scaleY(-1);
}
@-webkit-keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}
@keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}`, c = !1, u = function(p) {
      p === void 0 && (p = i), (0, n.useEffect)(function() {
        c || ((0, r.insertCss)(p, {
          prepend: !0
        }), c = !0);
      }, []);
    }, d = u;
    t.default = d, e.exports = t.default;
  }(it, it.exports)), it.exports;
}
var Fo;
function fu() {
  return Fo || (Fo = 1, function(e) {
    var t = Be;
    e.__esModule = !0;
    var r = {
      useClassNames: !0,
      inBrowserEnv: !0,
      useInsertStyles: !0
    };
    e.useInsertStyles = e.inBrowserEnv = e.useClassNames = void 0;
    var a = xa();
    Object.keys(a).forEach(function(c) {
      c === "default" || c === "__esModule" || Object.prototype.hasOwnProperty.call(r, c) || c in e && e[c] === a[c] || (e[c] = a[c]);
    });
    var n = t(cu());
    e.useClassNames = n.default;
    var o = t(du());
    e.inBrowserEnv = o.default;
    var i = t(uu());
    e.useInsertStyles = i.default;
  }(lr)), lr;
}
var Oo;
function pu() {
  return Oo || (Oo = 1, function(e, t) {
    var r = Be;
    t.__esModule = !0, t.default = void 0;
    var a = r(Ti()), n = r(ym()), o = r(s), i = r(ya()), c = r(Fl), u = fu(), d = {
      as: "svg",
      fill: "currentColor",
      width: "1em",
      height: "1em"
    };
    function m(f) {
      var h = {};
      return Object.entries(f).forEach(function(E) {
        var x = E[0], b = E[1];
        typeof b < "u" && (h[x] = b);
      }), h;
    }
    var p = /* @__PURE__ */ o.default.forwardRef(function(f, h) {
      var E, x = f.as, b = f.spin, _ = f.pulse, y = f.flip, v = f.fill, C = f.className, S = f.rotate, P = f.children, O = f.viewBox, I = f.width, A = f.height, L = f.style, F = (0, n.default)(f, ["as", "spin", "pulse", "flip", "fill", "className", "rotate", "children", "viewBox", "width", "height", "style"]), j = (0, u.useClassNames)(), te = j[0], V = j[1], M = (0, i.default)(C, te, (E = {}, E[V("spin")] = b, E[V("pulse")] = _, E[V("flip-" + y)] = !!y, E)), k = {
        msTransform: "rotate(" + S + "deg)",
        transform: "rotate(" + S + "deg)"
      };
      (0, u.useInsertStyles)();
      var B = m({
        width: I,
        height: A,
        fill: v,
        viewBox: O,
        className: M,
        style: S ? (0, a.default)({}, k, L) : L
      });
      return /* @__PURE__ */ o.default.createElement(x, (0, a.default)({
        "aria-hidden": !0,
        focusable: !1,
        ref: h
      }, B, F), P);
    });
    p.displayName = "Icon", p.defaultProps = d, p.propTypes = {
      spin: c.default.bool,
      pulse: c.default.bool,
      rotate: c.default.number,
      viewBox: c.default.string,
      as: c.default.oneOfType([c.default.elementType, c.default.string]),
      flip: c.default.oneOf(["horizontal", "vertical"]),
      fill: c.default.string
    };
    var g = p;
    t.default = g, e.exports = t.default;
  }(at, at.exports)), at.exports;
}
var Do;
function gu() {
  return Do || (Do = 1, function(e, t) {
    var r = Be;
    t.__esModule = !0, t.default = void 0;
    var a = r(Ti()), n = r(s), o = r(pu());
    function i(u) {
      var d = u.as, m = u.ariaLabel, p = u.displayName, g = u.category, f = /* @__PURE__ */ n.default.forwardRef(function(h, E) {
        return /* @__PURE__ */ n.default.createElement(o.default, (0, a.default)({
          "aria-label": m,
          "data-category": g,
          ref: E,
          as: d
        }, h));
      });
      return f.displayName = p, f;
    }
    var c = i;
    t.default = c, e.exports = t.default;
  }(nt, nt.exports)), nt.exports;
}
var Rn = {}, Lo;
function hu() {
  return Lo || (Lo = 1, function(e) {
    function t(d) {
      "@babel/helpers - typeof";
      return typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? t = function(p) {
        return typeof p;
      } : t = function(p) {
        return p && typeof Symbol == "function" && p.constructor === Symbol && p !== Symbol.prototype ? "symbol" : typeof p;
      }, t(d);
    }
    Object.defineProperty(e, "__esModule", {
      value: !0
    }), e.default = void 0;
    var r = n(s);
    function a() {
      if (typeof WeakMap != "function")
        return null;
      var d = /* @__PURE__ */ new WeakMap();
      return a = function() {
        return d;
      }, d;
    }
    function n(d) {
      if (d && d.__esModule)
        return d;
      if (d === null || t(d) !== "object" && typeof d != "function")
        return { default: d };
      var m = a();
      if (m && m.has(d))
        return m.get(d);
      var p = {}, g = Object.defineProperty && Object.getOwnPropertyDescriptor;
      for (var f in d)
        if (Object.prototype.hasOwnProperty.call(d, f)) {
          var h = g ? Object.getOwnPropertyDescriptor(d, f) : null;
          h && (h.get || h.set) ? Object.defineProperty(p, f, h) : p[f] = d[f];
        }
      return p.default = d, m && m.set(d, p), p;
    }
    function o() {
      return o = Object.assign || function(d) {
        for (var m = 1; m < arguments.length; m++) {
          var p = arguments[m];
          for (var g in p)
            Object.prototype.hasOwnProperty.call(p, g) && (d[g] = p[g]);
        }
        return d;
      }, o.apply(this, arguments);
    }
    function i(d, m) {
      return /* @__PURE__ */ r.createElement("svg", o({
        width: "1em",
        height: "1em",
        viewBox: "0 0 16 16",
        fill: "currentColor",
        ref: m
      }, d), /* @__PURE__ */ r.createElement("path", {
        d: "M8 15A7 7 0 108 1a7 7 0 000 14zm0 1A8 8 0 118 0a8 8 0 010 16z"
      }), /* @__PURE__ */ r.createElement("path", {
        d: "M9 5a1 1 0 11-2 0 1 1 0 012 0zM8 7a1 1 0 011 1v3a1 1 0 01-2 0V8a1 1 0 011-1z"
      }));
    }
    var c = /* @__PURE__ */ r.forwardRef(i), u = c;
    e.default = u;
  }(Rn)), Rn;
}
(function(e, t) {
  var r = Be;
  t.__esModule = !0, t.default = void 0;
  var a = r(gu()), n = r(hu()), o = (0, a.default)({
    as: n.default,
    ariaLabel: "info outline",
    category: "status",
    displayName: "InfoOutline"
  }), i = o;
  t.default = i, e.exports = t.default;
})(Mn, Mn.exports);
var yu = Mn.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return t.default;
    }
  });
  var t = r(yu);
  function r(a) {
    return a && a.__esModule ? a : { default: a };
  }
})(Si);
const Eu = /* @__PURE__ */ hm(Si), Ki = ({ className: e, info: t }) => /* @__PURE__ */ s.createElement(fm, null, /* @__PURE__ */ s.createElement(pm, null, /* @__PURE__ */ s.createElement(gm, { asChild: !0 }, /* @__PURE__ */ s.createElement("span", { className: T("icon", e) }, /* @__PURE__ */ s.createElement(Eu, { style: { fontSize: "0.9rem", marginLeft: "8px", cursor: "pointer" } }))), /* @__PURE__ */ s.createElement(Ci, null, /* @__PURE__ */ s.createElement("p", null, t))));
Ki.displayName = "TooltipViwer";
const vu = Ki, Na = jn, Ji = l.createContext(
  {}
), _a = ({
  ...e
}) => /* @__PURE__ */ l.createElement(Ji.Provider, { value: { name: e.name } }, /* @__PURE__ */ l.createElement(xl, { ...e })), Lt = () => {
  const e = l.useContext(Ji), t = l.useContext(Zi), { getFieldState: r, formState: a } = jo(), n = r(e.name, a);
  if (!e)
    throw new Error("useFormField should be used within <FormField>");
  const { id: o } = t;
  return {
    id: o,
    name: e.name,
    formItemId: `${o}-form-item`,
    formDescriptionId: `${o}-form-item-description`,
    formMessageId: `${o}-form-item-message`,
    ...n
  };
}, Zi = l.createContext(
  {}
), kt = l.forwardRef(({ className: e, ...t }, r) => {
  const a = l.useId();
  return /* @__PURE__ */ l.createElement(Zi.Provider, { value: { id: a } }, /* @__PURE__ */ l.createElement("div", { ref: r, className: T("space-y-2", e), ...t }));
});
kt.displayName = "FormItem";
const qt = l.forwardRef(({ className: e, info: t, required: r, ...a }, n) => {
  const { error: o, formItemId: i } = Lt();
  return /* @__PURE__ */ l.createElement("div", { className: "flex items-center" }, /* @__PURE__ */ l.createElement(
    _i,
    {
      ref: n,
      className: T(o && "text-destructive", e),
      htmlFor: i,
      ...a
    }
  ), r && /* @__PURE__ */ l.createElement("p", { className: "text-red-500 ml-1" }, "*"), t && /* @__PURE__ */ l.createElement(vu, { info: t }));
});
qt.displayName = "FormLabel";
const Vi = l.forwardRef(({ ...e }, t) => {
  const { error: r, formItemId: a, formDescriptionId: n, formMessageId: o } = Lt();
  return /* @__PURE__ */ l.createElement(
    Ho,
    {
      ref: t,
      id: a,
      "aria-describedby": r ? `${n} ${o}` : `${n}`,
      "aria-invalid": !!r,
      ...e
    }
  );
});
Vi.displayName = "FormControl";
const Xi = l.forwardRef(({ className: e, ...t }, r) => {
  const { formDescriptionId: a } = Lt();
  return /* @__PURE__ */ l.createElement(
    "p",
    {
      ref: r,
      id: a,
      className: T("text-sm text-muted-foreground", e),
      ...t
    }
  );
});
Xi.displayName = "FormDescription";
const zt = l.forwardRef(({ className: e, children: t, ...r }, a) => {
  const { error: n, formMessageId: o } = Lt(), i = n ? String(n == null ? void 0 : n.message) : t;
  return i ? /* @__PURE__ */ l.createElement(
    "p",
    {
      ref: a,
      id: o,
      className: T("text-sm font-medium text-destructive", e),
      ...r
    },
    i
  ) : null;
});
zt.displayName = "FormMessage";
function Ca({ children: e, className: t, onSubmit: r }) {
  return /* @__PURE__ */ s.createElement("form", { onSubmit: r, className: t }, e);
}
const tt = s.forwardRef(
  ({ className: e, type: t = "text", pattern: r, minLength: a, maxLength: n, info: o, ...i }, c) => {
    const [u, d] = R(!1), m = (p) => {
      const g = p.target.value;
      let f = g;
      switch (r) {
        case "Text":
          f = g.replace(/^\s+|[^A-Za-z]+/g, "");
          break;
        case "Email":
          f = g.replace(/[^A-Za-z0-9@._-]/g, "").toLowerCase();
          break;
        case "Number":
          f = g.replace(/[^\d]/g, "");
          break;
        case "GST":
          f = g.replace(/[^A-Za-z0-9]/g, "").toUpperCase();
          break;
        case "URL":
          f = g.replace(/[^A-Za-z0-9!@#$%^&*_+\-=;:'",./?]/g, "");
          break;
        case "Decimal": {
          f = g.replace(/[^\d.]/g, "");
          const h = f.split(".");
          if (h.length > 2) {
            const E = h.shift(), x = h.join("");
            f = E + "." + x;
          } else
            h[0] = h[0].slice(0, 9), h[1] && (h[1] = h[1].slice(0, 2)), f = h.join(".");
          break;
        }
        case "Text With Space":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "");
          break;
        case "Text Number":
          f = g.replace(/[^A-Za-z0-9]/g, "");
          break;
        case "Upper Case":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "").toUpperCase();
          break;
        case "Lower Case":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "").toLowerCase();
          break;
        case "Init Caps":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "").charAt(0).toUpperCase() + g.replace(/^\s+|[^A-Za-z\s]+/g, "").slice(1).toLowerCase();
          break;
        default:
          f = g;
          break;
      }
      p.target.value = f;
    };
    return /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2 relative" }, /* @__PURE__ */ s.createElement(
      "input",
      {
        type: t === "password" ? u ? "text" : "password" : t,
        minLength: a,
        maxLength: n,
        className: T(
          "flex-1 h-10 w-full rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background file:border-0 file:bg-transparent file:text-sm file:font-medium placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50",
          e
        ),
        ref: c,
        onInput: m,
        ...i
      }
    ), t === "password" && /* @__PURE__ */ s.createElement(
      "span",
      {
        onClick: () => d((p) => !p),
        className: "absolute top-1/2 transform -translate-y-1/2 right-14 cursor-pointer",
        style: { marginRight: "-35px" }
      },
      u ? /* @__PURE__ */ s.createElement(ja, { icon: Ol }) : /* @__PURE__ */ s.createElement(ja, { icon: Dl })
    ));
  }
);
tt.displayName = "Input";
function fe({
  label: e,
  name: t,
  description: r,
  form: a,
  pattern: n,
  maxLength: o,
  minLength: i,
  type: c,
  info: u,
  placeholder: d,
  required: m
}) {
  return /* @__PURE__ */ s.createElement(
    _a,
    {
      control: a.control,
      name: t,
      rules: {
        required: `${r} is required`,
        minLength: i ? {
          value: i,
          message: `${r} must be at least ${i} characters`
        } : void 0,
        maxLength: o ? {
          value: o,
          message: `${r} must not exceed ${o} characters`
        } : void 0
      },
      render: ({ field: p }) => /* @__PURE__ */ s.createElement(kt, null, /* @__PURE__ */ s.createElement(qt, { info: u, required: m }, e), /* @__PURE__ */ s.createElement(Vi, null, /* @__PURE__ */ s.createElement(
        tt,
        {
          info: u,
          type: c,
          placeholder: d,
          minLength: i,
          maxLength: o,
          pattern: n,
          ...p
        }
      )), /* @__PURE__ */ s.createElement(zt, null))
    }
  );
}
function wu({ placeholder: e, info: t, label: r, required: a, name: n, description: o, options: i, returnLabel: c, displayLabel: u }) {
  const { control: d } = jo(), m = i.map((g) => ({
    ...g,
    value: g && c ? g[c] : g,
    label: g && u ? g[u] : g
  })), p = (g) => m.find((f) => f.value === g);
  return /* @__PURE__ */ s.createElement(
    _a,
    {
      control: d,
      name: n,
      render: ({ field: g }) => /* @__PURE__ */ s.createElement(kt, null, /* @__PURE__ */ s.createElement(qt, { info: t, required: a }, r), /* @__PURE__ */ s.createElement(
        Wo,
        {
          options: m,
          onChange: (f) => g.onChange(f ? f.value : ""),
          value: p(g.value),
          placeholder: e,
          className: "react-select-container",
          classNamePrefix: "react-select"
        }
      ), /* @__PURE__ */ s.createElement(Xi, null, o), /* @__PURE__ */ s.createElement(zt, null))
    }
  );
}
function bu({ displayLabel: e, name: t, options: r, form: a, info: n, required: o, label: i }) {
  const c = r.map((d) => !d.hasOwnProperty("label") || !d.hasOwnProperty("value") ? {
    ...d,
    label: e && d.hasOwnProperty(e) ? d[e] : "Select",
    value: e && d.hasOwnProperty(e) ? d[e] : "Select"
  } : d), u = (d) => !d || typeof d != "object" || !d.hasOwnProperty("label") || !d.hasOwnProperty("value") ? {
    ...d,
    label: e && (d != null && d.hasOwnProperty(e)) ? d[e] : "Select",
    value: e && (d != null && d.hasOwnProperty(e)) ? d[e] : "Select"
  } : d;
  return /* @__PURE__ */ s.createElement(
    _a,
    {
      control: a.control,
      name: t,
      render: ({ field: d }) => /* @__PURE__ */ s.createElement(kt, null, /* @__PURE__ */ s.createElement(qt, { info: n, required: o }, i), /* @__PURE__ */ s.createElement(
        Wo,
        {
          value: u(d.value),
          onChange: d.onChange,
          options: c
        }
      ), /* @__PURE__ */ s.createElement(zt, null))
    }
  );
}
function Sa({ returnLabel: e, displayLabel: t, name: r, options: a, form: n, info: o, required: i, label: c, placeholder: u }) {
  return !!(t && !e) ? /* @__PURE__ */ s.createElement(
    bu,
    {
      name: r,
      options: a,
      form: n,
      displayLabel: t,
      returnLabel: e,
      info: o,
      label: c,
      placeholder: u,
      required: i
    }
  ) : /* @__PURE__ */ s.createElement(
    wu,
    {
      name: r,
      options: a,
      form: n,
      displayLabel: t,
      returnLabel: e,
      info: o,
      label: c,
      placeholder: u,
      required: i
    }
  );
}
const xu = ({
  submitType: e,
  // submitVariant,
  // clearVariant,
  submitlabel: t,
  clearlabel: r,
  loader: a,
  clearAction: n
}) => /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement("div", { style: { display: "flex", flexDirection: "row", gap: "10px", justifyContent: "end" } }, r && /* @__PURE__ */ s.createElement(q, { type: "button", onClick: n }, r), t && /* @__PURE__ */ s.createElement(q, { type: e }, a ? /* @__PURE__ */ s.createElement(Rl, { className: "h-6 w-6 animate-spin" }) : t))), Ra = xu, Nu = 1, _u = 1e6;
let Tn = 0;
function Cu() {
  return Tn = (Tn + 1) % Number.MAX_SAFE_INTEGER, Tn.toString();
}
const Pn = /* @__PURE__ */ new Map(), ko = (e) => {
  if (Pn.has(e))
    return;
  const t = setTimeout(() => {
    Pn.delete(e), Ye({
      type: "REMOVE_TOAST",
      toastId: e
    });
  }, _u);
  Pn.set(e, t);
}, Su = (e, t) => {
  switch (t.type) {
    case "ADD_TOAST":
      return {
        ...e,
        toasts: [t.toast, ...e.toasts].slice(0, Nu)
      };
    case "UPDATE_TOAST":
      return {
        ...e,
        toasts: e.toasts.map(
          (r) => r.id === t.toast.id ? { ...r, ...t.toast } : r
        )
      };
    case "DISMISS_TOAST": {
      const { toastId: r } = t;
      return r ? ko(r) : e.toasts.forEach((a) => {
        ko(a.id);
      }), {
        ...e,
        toasts: e.toasts.map(
          (a) => a.id === r || r === void 0 ? {
            ...a,
            open: !1
          } : a
        )
      };
    }
    case "REMOVE_TOAST":
      return t.toastId === void 0 ? {
        ...e,
        toasts: []
      } : {
        ...e,
        toasts: e.toasts.filter((r) => r.id !== t.toastId)
      };
  }
}, ft = [];
let pt = { toasts: [] };
function Ye(e) {
  pt = Su(pt, e), ft.forEach((t) => {
    t(pt);
  });
}
function z({ ...e }) {
  const t = Cu(), r = (n) => Ye({
    type: "UPDATE_TOAST",
    toast: { ...n, id: t }
  }), a = () => Ye({ type: "DISMISS_TOAST", toastId: t });
  return Ye({
    type: "ADD_TOAST",
    toast: {
      ...e,
      id: t,
      open: !0,
      onOpenChange: (n) => {
        n || a();
      }
    }
  }), {
    id: t,
    dismiss: a,
    update: r
  };
}
function Ru() {
  const [e, t] = l.useState(pt);
  return l.useEffect(() => (ft.push(t), () => {
    const r = ft.indexOf(t);
    r > -1 && ft.splice(r, 1);
  }), [e]), {
    ...e,
    toast: z,
    dismiss: (r) => Ye({ type: "DISMISS_TOAST", toastId: r })
  };
}
const Tu = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, Pu = N.object({
  name: N.string().min(1, "Name is required."),
  // other fields...
  subscription_details: N.object({
    plan_id: N.string(),
    plan_name: N.string(),
    plan_validity: N.string()
  }).refine((e) => Object.values(e).every((t) => t !== ""), { message: "Subscription details are required" }),
  // status: z.string().min(1, 'required'),
  email: N.string().min(1, { message: "Email is required" }).refine((e) => Tu.test(e), { message: "Invalid email format" }),
  phone: N.string().min(1, { message: "Phone number is required" }).min(8, { message: "Phone number must be at least 8 digits long" })
});
function qo({ defaultValue: e, isEdit: t, onRefresh: r, setShowSideNav: a, supabase: n }) {
  var g, f;
  R(null);
  const [o, i] = R(!1), [c, u] = R([{
    plan_id: "1",
    plan_name: "Standard",
    plan_validity: "2024-06-02"
  }, {
    plan_id: "2",
    plan_name: "Enterprice",
    plan_validity: "2024-06-02"
  }]), d = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    email: (e == null ? void 0 : e.email) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    country_code: "+91",
    plan_id: ((g = e == null ? void 0 : e.subscription_details) == null ? void 0 : g.plan_id) || "",
    plan_name: ((f = e == null ? void 0 : e.subscription_details) == null ? void 0 : f.plan_name) || "",
    subscription_details: (e == null ? void 0 : e.subscription_details) || {
      plan_id: "",
      plan_name: "",
      plan_validity: ""
    },
    status: (e == null ? void 0 : e.status) || "",
    default_user_id: (e == null ? void 0 : e.default_user_id) || "00000000-0000-0000-0000-000000000000",
    default_user_name: (e == null ? void 0 : e.default_user_name) || "",
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date()
  };
  console.log("defaultValues");
  const m = Ze({
    resolver: Le(Pu),
    defaultValues: d
  });
  W(() => {
    (async () => {
      try {
        const { data: { session: E }, error: x } = await n.auth.getSession();
        if (x)
          throw x;
        const b = E == null ? void 0 : E.access_token, _ = await pa.get(`${process.env.NEXT_PUBLIC_SUPABASE_URL}/auth/v1/plan/`, {
          headers: {
            Authorization: `Bearer ${b}`
          }
        });
        console.log("plan list ", _.data);
        const y = _.data.plan.map((v) => ({
          plan_id: v.plan_id ?? "",
          plan_name: v.plan_name ?? "-",
          plan_validity: v.plan_validity ?? "-"
        }));
        u(y), console.log("plan list data ", y);
      } catch (E) {
        console.error("error plan", E);
      }
    })();
  }, []), W(() => {
    console.log(e, "phonephonephonephone");
    async function h(E, x) {
      try {
        const { data: b, error: _ } = await n.from("tenant").select("*");
        _ ? console.error(`Error fetching data from ${E}:`, _.message) : x(b || []);
      } catch (b) {
        console.error(`Error fetching data from ${E}:`, b);
      }
    }
    h("roles", u);
  }, []);
  async function p(h) {
    console.log("ff", h);
    const E = {
      ...m.getValues(),
      plan_id: h.subscription_details.plan_id,
      plan_name: h.subscription_details.plan_name,
      plan_validity: h.subscription_details.plan_validity
    };
    try {
      if (t) {
        i(!0);
        const { error: x } = await n.auth.updateTenant(E);
        x ? setTimeout(() => {
          z({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, x.message))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), m.reset(), z({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3), r(), a(!1));
      } else {
        i(!0), console.log("Create Request Data :", m.getValues);
        const x = {
          ...m.getValues(),
          plan_id: h.subscription_details.plan_id,
          plan_name: h.subscription_details.plan_name,
          plan_validity: h.subscription_details.plan_validity
        }, { error: b } = await n.auth.createTenant(x);
        b ? setTimeout(() => {
          z({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, b.message))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), m.reset(), z({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3), r(), a(!1));
      }
    } catch (x) {
      console.error("Error fetching customers:", x);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { style: { height: "80vh", overflowY: "auto" } }, " ", /* @__PURE__ */ s.createElement("div", { style: { marginLeft: "4px", marginRight: "4px" } }, /* @__PURE__ */ s.createElement(Na, { ...m }, /* @__PURE__ */ s.createElement(Ca, { onSubmit: m.handleSubmit(p), className: "space-y-8" }, /* @__PURE__ */ s.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ s.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Name",
      form: m,
      maxLength: 15
    }
  ), /* @__PURE__ */ s.createElement(
    Sa,
    {
      label: "Subscription Details",
      placeholder: "Subscription Details",
      required: !0,
      name: "subscription_details",
      options: c,
      form: m,
      displayLabel: "plan_name"
    }
  ), /* @__PURE__ */ s.createElement(
    fe,
    {
      required: !0,
      label: "Phone Number",
      name: "phone",
      form: m,
      type: "number",
      placeholder: "Phone Number"
    }
  ), t ? "" : /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      required: !0,
      form: m,
      pattern: "Email"
    }
  )), /* @__PURE__ */ s.createElement(
    Ra,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: t === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => m.reset({ ...d, phone: "" }),
      loader: o
    }
  )))));
}
function Qi({ showSideNav: e, onRefresh: t, data: r, onClose: a, isEdit: n = !1, setShowSideNav: o, supabase: i }) {
  const [c, u] = l.useState([]);
  async function d(p) {
    const { data: g, error: f } = await i.auth.getTenantById({ id: p });
    return f ? (console.error("Error fetching tenant details:", f.message), []) : g.role.Tenant;
  }
  l.useEffect(() => {
    e && (r != null && r.id) && (async () => {
      const p = await d(r.id);
      u(p);
    })();
  }, [e, r == null ? void 0 : r.id]), l.useEffect(() => {
    console.log("tenantDetail", c);
  }, [c]);
  const m = () => {
    a();
  };
  return /* @__PURE__ */ l.createElement(ha, { open: e, onOpenChange: m }, /* @__PURE__ */ l.createElement(At, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(It, { className: "px-2" }, /* @__PURE__ */ l.createElement(Ft, null, "TENANT"), /* @__PURE__ */ l.createElement(Ot, null, `${n ? "Update a tenant" : "Create a tenant"}`)), n && (c == null ? void 0 : c.length) > 0 ? /* @__PURE__ */ l.createElement(qo, { supabase: i, onRefresh: t, setShowSideNav: o, isEdit: n, defaultValue: c[0] }) : n ? "Loading" : /* @__PURE__ */ l.createElement(qo, { setShowSideNav: o, onRefresh: t, isEdit: n, defaultValue: void 0, supabase: i })));
}
const Au = ({
  onRefresh: e,
  onCallDelete: t,
  oncallStatus: r,
  supabase: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ s.createElement(
      we,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement(
      we,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(We, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(We, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "country_code",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(We, { column: n, title: "" }),
    cell: ({ row: n }) => {
      console.log("Country Code:", n.getValue("country_code"));
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "phone",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(We, { column: n, title: "Phone" }),
    cell: ({ row: n }) => (
      // <div className="w-[125px]" style={{ width: '' }}>
      //   {(row.getValue("country_code") as string) +"-"+ (row.getValue("phone") as string)}
      // </div>
      /* @__PURE__ */ s.createElement("div", { className: "w-[125px]", style: { width: "" } }, (() => {
        let o = n.getValue("country_code"), i = n.getValue("phone");
        return `${o}${i}`;
      })())
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "default_user_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Default UserName" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = labels.find((label) => label.value === row.original.default_user_name)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("default_user_name")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(We, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = sm.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ s.createElement(o.icon, null), /* @__PURE__ */ s.createElement("span", null, o.value)) : null;
    }
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = R(!1), [c, u] = R(null), d = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), u(f), i(!0);
      }, m = () => {
        i(!1);
      }, p = (f) => {
        console.log("Tenant", f), r(f);
      }, g = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), t(f);
      };
      return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(cm, { row: n, onEdit: d, onDelete: g, onStatus: p }), c && /* @__PURE__ */ s.createElement(Qi, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: c, onClose: m, supabase: a }));
    }
  }
], Mt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement("div", { className: "relative w-full overflow-auto" }, /* @__PURE__ */ l.createElement(
  "table",
  {
    ref: r,
    className: T("w-full caption-bottom text-sm", e),
    ...t
  }
)));
Mt.displayName = "Table";
const jt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement("thead", { ref: r, className: T("[&_tr]:border-b", e), ...t }));
jt.displayName = "TableHeader";
const _e = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  "tbody",
  {
    ref: r,
    className: T("[&_tr:last-child]:border-0", e),
    ...t
  }
));
_e.displayName = "TableBody";
const Iu = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  "tfoot",
  {
    ref: r,
    className: T(
      "border-t bg-muted/50 font-medium [&>tr]:last:border-b-0",
      e
    ),
    ...t
  }
));
Iu.displayName = "TableFooter";
const K = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  "tr",
  {
    ref: r,
    className: T(
      "border-b transition-colors hover:bg-muted/50 data-[state=selected]:bg-muted",
      e
    ),
    ...t
  }
));
K.displayName = "TableRow";
const Bt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  "th",
  {
    ref: r,
    className: T(
      "h-12 px-4 text-left align-middle font-medium text-muted-foreground [&:has([role=checkbox])]:pr-0",
      e
    ),
    ...t
  }
));
Bt.displayName = "TableHead";
const Q = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  "td",
  {
    ref: r,
    className: T("p-4 align-middle [&:has([role=checkbox])]:pr-0", e),
    ...t
  }
));
Q.displayName = "TableCell";
const Fu = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  "caption",
  {
    ref: r,
    className: T("mt-4 text-sm text-muted-foreground", e),
    ...t
  }
));
Fu.displayName = "TableCaption";
const Ta = U.Root, Pa = U.Value, Ut = l.forwardRef(({ className: e, children: t, ...r }, a) => /* @__PURE__ */ l.createElement(
  U.Trigger,
  {
    ref: a,
    className: T(
      "flex h-10 w-full items-center justify-between rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",
      e
    ),
    ...r
  },
  t,
  /* @__PURE__ */ l.createElement(U.Icon, { asChild: !0 }, /* @__PURE__ */ l.createElement(Uo, { className: "h-4 w-4 opacity-50" }))
));
Ut.displayName = U.Trigger.displayName;
const el = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  U.ScrollUpButton,
  {
    ref: r,
    className: T(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...t
  },
  /* @__PURE__ */ l.createElement(Tl, { className: "h-4 w-4" })
));
el.displayName = U.ScrollUpButton.displayName;
const tl = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  U.ScrollDownButton,
  {
    ref: r,
    className: T(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...t
  },
  /* @__PURE__ */ l.createElement(Uo, { className: "h-4 w-4" })
));
tl.displayName = U.ScrollDownButton.displayName;
const Ht = l.forwardRef(({ className: e, children: t, position: r = "popper", ...a }, n) => /* @__PURE__ */ l.createElement(U.Portal, null, /* @__PURE__ */ l.createElement(
  U.Content,
  {
    ref: n,
    className: T(
      "relative z-50 max-h-96 min-w-[8rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      r === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
      e
    ),
    position: r,
    ...a
  },
  /* @__PURE__ */ l.createElement(el, null),
  /* @__PURE__ */ l.createElement(
    U.Viewport,
    {
      className: T(
        "p-1",
        r === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
      )
    },
    t
  ),
  /* @__PURE__ */ l.createElement(tl, null)
)));
Ht.displayName = U.Content.displayName;
const Ou = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  U.Label,
  {
    ref: r,
    className: T("py-1.5 pl-8 pr-2 text-sm font-semibold", e),
    ...t
  }
));
Ou.displayName = U.Label.displayName;
const $t = l.forwardRef(({ className: e, children: t, ...r }, a) => /* @__PURE__ */ l.createElement(
  U.Item,
  {
    ref: a,
    className: T(
      "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(U.ItemIndicator, null, /* @__PURE__ */ l.createElement(Bn, { className: "h-4 w-4" }))),
  /* @__PURE__ */ l.createElement(U.ItemText, null, t)
));
$t.displayName = U.Item.displayName;
const Du = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  U.Separator,
  {
    ref: r,
    className: T("-mx-1 my-1 h-px bg-muted", e),
    ...t
  }
));
Du.displayName = U.Separator.displayName;
function Lu({
  table: e,
  pageSizeArray: t
}) {
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ s.createElement(
    Ta,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (r) => {
        e.setPageSize(Number(r));
      }
    },
    /* @__PURE__ */ s.createElement(Ut, { className: "h-8 w-[70px]" }, /* @__PURE__ */ s.createElement(Pa, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ s.createElement(Ht, { side: "top" }, t.map((r) => /* @__PURE__ */ s.createElement($t, { key: r, value: `${r}` }, r)))
  )), /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ s.createElement($n, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ s.createElement(Wn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ s.createElement(Gn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ s.createElement(Yn, { className: "h-4 w-4" })
  ))));
}
function ku({
  table: e
}) {
  return /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(Qn, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ s.createElement(Kn, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ s.createElement(Pt, null, "Toggle columns"), /* @__PURE__ */ s.createElement(me, null), e.getAllColumns().filter(
    (t) => typeof t.accessorFn < "u" && t.getCanHide()
  ).map((t) => /* @__PURE__ */ s.createElement(
    Tt,
    {
      key: t.id,
      className: "capitalize",
      checked: t.getIsVisible(),
      onCheckedChange: (r) => t.toggleVisibility(!!r)
    },
    t.id
  ))));
}
const qu = bt(
  "inline-flex items-center rounded-full border px-2.5 py-0.5 text-xs font-semibold transition-colors focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2",
  {
    variants: {
      variant: {
        default: "border-transparent bg-primary text-primary-foreground hover:bg-primary/80",
        secondary: "border-transparent bg-secondary text-secondary-foreground hover:bg-secondary/80",
        destructive: "border-transparent bg-destructive text-destructive-foreground hover:bg-destructive/80",
        outline: "text-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
);
function pe({ className: e, variant: t, ...r }) {
  return /* @__PURE__ */ l.createElement("div", { className: T(qu({ variant: t }), e), ...r });
}
const Wt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  X,
  {
    ref: r,
    className: T(
      "flex h-full w-full flex-col overflow-hidden rounded-md bg-popover text-popover-foreground",
      e
    ),
    ...t
  }
));
Wt.displayName = X.displayName;
const Gt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement("div", { className: "flex items-center border-b px-3", "cmdk-input-wrapper": "" }, /* @__PURE__ */ l.createElement(Pl, { className: "mr-2 h-4 w-4 shrink-0 opacity-50" }), /* @__PURE__ */ l.createElement(
  X.Input,
  {
    ref: r,
    className: T(
      "flex h-11 w-full rounded-md bg-transparent py-3 text-sm outline-none placeholder:text-muted-foreground disabled:cursor-not-allowed disabled:opacity-50",
      e
    ),
    ...t
  }
)));
Gt.displayName = X.Input.displayName;
const Yt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  X.List,
  {
    ref: r,
    className: T("max-h-[300px] overflow-y-auto overflow-x-hidden", e),
    ...t
  }
));
Yt.displayName = X.List.displayName;
const Kt = l.forwardRef((e, t) => /* @__PURE__ */ l.createElement(
  X.Empty,
  {
    ref: t,
    className: "py-6 text-center text-sm",
    ...e
  }
));
Kt.displayName = X.Empty.displayName;
const Ce = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  X.Group,
  {
    ref: r,
    className: T(
      "overflow-hidden p-1 text-foreground [&_[cmdk-group-heading]]:px-2 [&_[cmdk-group-heading]]:py-1.5 [&_[cmdk-group-heading]]:text-xs [&_[cmdk-group-heading]]:font-medium [&_[cmdk-group-heading]]:text-muted-foreground",
      e
    ),
    ...t
  }
));
Ce.displayName = X.Group.displayName;
const Jt = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  X.Separator,
  {
    ref: r,
    className: T("-mx-1 h-px bg-border", e),
    ...t
  }
));
Jt.displayName = X.Separator.displayName;
const Se = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  X.Item,
  {
    ref: r,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none aria-selected:bg-accent aria-selected:text-accent-foreground data-[disabled='true']:pointer-events-none data-[disabled='true']:opacity-50",
      e
    ),
    ...t
  }
));
Se.displayName = X.Item.displayName;
const Aa = Ke.Root, Ia = Ke.Trigger, Zt = l.forwardRef(({ className: e, align: t = "center", sideOffset: r = 4, ...a }, n) => /* @__PURE__ */ l.createElement(Ke.Portal, null, /* @__PURE__ */ l.createElement(
  Ke.Content,
  {
    ref: n,
    align: t,
    sideOffset: r,
    className: T(
      "z-50 w-72 rounded-md border bg-popover p-4 text-popover-foreground shadow-md outline-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...a
  }
)));
Zt.displayName = Ke.Content.displayName;
const ke = l.forwardRef(
  ({ className: e, orientation: t = "horizontal", decorative: r = !0, ...a }, n) => /* @__PURE__ */ l.createElement(
    Go.Root,
    {
      ref: n,
      decorative: r,
      orientation: t,
      className: T(
        "shrink-0 bg-border",
        t === "horizontal" ? "h-[1px] w-full" : "h-full w-[1px]",
        e
      ),
      ...a
    }
  )
);
ke.displayName = Go.Root.displayName;
function zu({
  column: e,
  title: t,
  options: r
}) {
  const a = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Aa, null, /* @__PURE__ */ l.createElement(Ia, { asChild: !0 }, /* @__PURE__ */ l.createElement(q, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(Jn, { className: "mr-2 h-4 w-4" }), t, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(ke, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : r.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(Zt, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(Wt, null, /* @__PURE__ */ l.createElement(Gt, { placeholder: t }), /* @__PURE__ */ l.createElement(Yt, null, /* @__PURE__ */ l.createElement(Kt, null, "No results found."), /* @__PURE__ */ l.createElement(Ce, null, r.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ l.createElement(
      Se,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const c = Array.from(n);
          e == null || e.setFilterValue(
            c.length ? c : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: T(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(Zn, { className: T("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (a == null ? void 0 : a.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, a.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(Jt, null), /* @__PURE__ */ l.createElement(Ce, null, /* @__PURE__ */ l.createElement(
    Se,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function Mu({
  table: e,
  onRefresh: t,
  supabase: r
}) {
  const [a, n] = R(""), [o, i] = R(!1), c = () => {
    i(!1);
  }, u = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, d = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, m = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ], p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("tt", e.getColumn("status")), /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ s.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    tt,
    {
      placeholder: "Search...",
      value: a,
      onChange: d,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ s.createElement(
    zu,
    {
      column: e.getColumn("status"),
      title: "status",
      options: m
    }
  ), u && /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ s.createElement(Vn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ku, { table: e }), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ s.createElement(Xn, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(Qi, { onRefresh: t, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: c, supabase: r }));
}
function ge({
  className: e,
  ...t
}) {
  return /* @__PURE__ */ s.createElement(
    "div",
    {
      className: T("animate-pulse rounded-md bg-muted", e),
      ...t
    }
  );
}
function ju({
  columns: e,
  data: t,
  isLoading: r,
  onRefresh: a,
  errorMessage: n,
  message: o,
  supabase: i,
  dataLoader: c
}) {
  var _;
  const [u, d] = l.useState({}), [m, p] = l.useState({}), [g, f] = l.useState(
    []
  ), [h, E] = l.useState([]), x = [10, 20, 30, 50, 100], b = ea({
    data: t,
    columns: e,
    state: {
      sorting: h,
      columnVisibility: m,
      rowSelection: u,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: d,
    onSortingChange: E,
    onColumnFiltersChange: f,
    onColumnVisibilityChange: p,
    getCoreRowModel: ta(),
    getFilteredRowModel: ra(),
    getPaginationRowModel: na(),
    getSortedRowModel: aa(),
    getFacetedRowModel: sa(),
    getFacetedUniqueValues: oa(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(Mu, { table: b, onRefresh: a, supabase: i }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(Mt, null, /* @__PURE__ */ l.createElement(jt, null, b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id }, y.headers.map((v) => /* @__PURE__ */ l.createElement(Bt, { key: v.id, colSpan: v.colSpan }, v.isPlaceholder ? null : De(
    v.column.columnDef.header,
    v.getContext()
  )))))), n || c && t.length === 0 ? /* @__PURE__ */ l.createElement(_e, { style: { height: "100px" } }, /* @__PURE__ */ l.createElement(
    "p",
    {
      style: { textAlign: "center", marginLeft: "350px", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    o || "Data Not Found"
  )) : /* @__PURE__ */ l.createElement(_e, null, r ? /* @__PURE__ */ l.createElement(l.Fragment, null, b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id }, y.headers.map((v) => /* @__PURE__ */ l.createElement(
    Q,
    {
      key: v.id,
      colSpan: v.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  )))), b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id + "-2" }, y.headers.map((v) => /* @__PURE__ */ l.createElement(
    Q,
    {
      key: v.id + "-2",
      colSpan: v.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (_ = b.getRowModel().rows) != null && _.length ? b.getRowModel().rows.map((y) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: y.id,
      "data-state": y.getIsSelected() && "selected"
    },
    y.getVisibleCells().map((v) => /* @__PURE__ */ l.createElement(Q, { key: v.id }, De(
      v.column.columnDef.cell,
      v.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(K, null, /* @__PURE__ */ l.createElement(
    Q,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, b.getFilteredSelectedRowModel().rows.length, " of", " ", b.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(Lu, { table: b, pageSizeArray: n ? [0] : x })));
}
const Bu = N.object({
  plan_id: N.string().optional(),
  plan_name: N.string().optional(),
  plan_validity: N.string().optional()
}), Uu = N.object({
  id: N.string().optional(),
  name: N.string().optional(),
  default_user_name: N.string().optional(),
  created_at: N.string().optional(),
  updated_at: N.string().optional(),
  created_by: N.string().optional(),
  modified_by: N.string().optional(),
  default_user_id: N.string().optional(),
  email: N.string().optional(),
  phone: N.string().optional(),
  status: N.string().optional(),
  country_code: N.string().optional(),
  subscription_details: Bu.optional()
});
function Of({ supabase: e }) {
  const [t, r] = R([]), [a, n] = R(!1), [o, i] = R(!1), [c, u] = R(null), d = (v) => {
    console.log("done", v);
  }, m = (v) => {
    y(v.id, v.status);
  }, p = (v) => {
    console.log("done", v), _(v.id ?? "");
  }, g = async () => {
    n(!0);
    try {
      const v = await b();
      r(v);
    } catch (v) {
      console.error("Error refreshing data:", v);
    } finally {
      n(!1);
    }
  }, [f, h] = R(!1);
  W(() => {
    g(), h(!1);
  }, [f]);
  const [E, x] = R(!1), b = async () => {
    let { data: v, error: C } = await e.auth.tenantsList();
    return console.log(v, "datadatadata"), C ? (console.error("Error fetching tenants:", C.message), x(!1), i(!0), u(C.message), []) : (i(!1), u(null), x(!0), N.array(Uu).parse(v.tenant.tenants));
  }, _ = async (v) => {
    let { data: C, error: S } = await e.auth.deleteTenant({
      id: v
    });
    S ? (console.error("Error fetching tenants:", S.message), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, S.message))
    })) : (g(), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, C.message))
    }));
  }, y = async (v, C) => {
    C === "Active" ? C = "Inactive" : C = "Active";
    let { data: S, error: P } = await e.auth.changeTenantStatus({ status: C, id: [v] });
    console.log(S, "datadatadata"), P ? (console.error("Error fetching tenants:", P.message), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, P.message))
    })) : (z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Updated"))
    }), h(!0));
  };
  return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(
    ju,
    {
      columns: Au({ onEdit: d, onRefresh: g, onCallDelete: p, oncallStatus: m, supabase: e }),
      data: t,
      supabase: e,
      isLoading: a,
      errorMessage: o,
      onRefresh: g,
      message: c,
      dataLoader: E
    }
  ));
}
const Hu = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ s.createElement(Ie, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ s.createElement(Ie, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
];
function An({
  column: e,
  title: t,
  className: r
}) {
  return e.getCanSort() ? /* @__PURE__ */ s.createElement("div", { className: T("flex items-center space-x-2", r) }, /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(je, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ s.createElement("span", null, t),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ s.createElement(Fe, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ s.createElement(Oe, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ s.createElement(Un, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ue, { align: "start" }, /* @__PURE__ */ s.createElement(J, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ s.createElement(Oe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ s.createElement(J, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ s.createElement(Fe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ s.createElement("div", { className: T(r) }, t);
}
const rl = Z.Root, nl = Z.Trigger, $u = Z.Portal, al = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Z.Overlay,
  {
    className: T(
      "fixed inset-0 z-50 bg-black/80  data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...t,
    ref: r
  }
));
al.displayName = Z.Overlay.displayName;
const Fa = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement($u, null, /* @__PURE__ */ l.createElement(al, null), /* @__PURE__ */ l.createElement(
  Z.Content,
  {
    ref: r,
    className: T(
      "fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg translate-x-[-50%] translate-y-[-50%] gap-4 border bg-background p-6 shadow-lg duration-200 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%] data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%] sm:rounded-lg",
      e
    ),
    ...t
  }
)));
Fa.displayName = Z.Content.displayName;
const Oa = ({
  className: e,
  ...t
}) => /* @__PURE__ */ l.createElement(
  "div",
  {
    className: T(
      "flex flex-col space-y-2 text-center sm:text-left",
      e
    ),
    ...t
  }
);
Oa.displayName = "AlertDialogHeader";
const Da = ({
  className: e,
  ...t
}) => /* @__PURE__ */ l.createElement(
  "div",
  {
    className: T(
      "flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2",
      e
    ),
    ...t
  }
);
Da.displayName = "AlertDialogFooter";
const La = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Z.Title,
  {
    ref: r,
    className: T("text-lg font-semibold", e),
    ...t
  }
));
La.displayName = Z.Title.displayName;
const ka = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Z.Description,
  {
    ref: r,
    className: T("text-sm text-muted-foreground", e),
    ...t
  }
));
ka.displayName = Z.Description.displayName;
const qa = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Z.Action,
  {
    ref: r,
    className: T(ga(), e),
    ...t
  }
));
qa.displayName = Z.Action.displayName;
const za = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  Z.Cancel,
  {
    ref: r,
    className: T(
      ga({ variant: "outline" }),
      "mt-2 sm:mt-0",
      e
    ),
    ...t
  }
));
za.displayName = Z.Cancel.displayName;
function Wu({
  row: e,
  onEdit: t,
  onDelete: r,
  onStatus: a
}) {
  return console.log("row", e.original.status), /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(rl, null, /* @__PURE__ */ s.createElement(Fa, null, /* @__PURE__ */ s.createElement(Oa, null, /* @__PURE__ */ s.createElement(La, null, "Are you absolutely sure?"), /* @__PURE__ */ s.createElement(ka, null)), /* @__PURE__ */ s.createElement(Da, null, /* @__PURE__ */ s.createElement(za, null, "Cancel"), /* @__PURE__ */ s.createElement(qa, { onClick: () => r(e.original) }, "Delete"))), /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(je, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ s.createElement(Hn, { className: "h-4 w-4" }),
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ s.createElement(J, { onClick: () => t(e.original) }, "Edit"), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(nl, { asChild: !0 }, /* @__PURE__ */ s.createElement(J, null, "Delete")), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(J, { onClick: () => a(e.original) }, e.original.status === "Active" ? "Inactive" : "Active")))));
}
const wt = N.object({
  id: N.string().default(""),
  name: N.string().default(""),
  type: N.string().default(""),
  description: N.string().default(""),
  status: N.string().default(""),
  access_level: N.record(N.string()).default({}),
  // Dynamic access_level
  is_default: N.boolean().default(!1),
  created_by: N.string().default(""),
  modified_by: N.string().default(""),
  tenant_id: N.string().default(""),
  created_at: N.string().default(""),
  updated_at: N.string().default(""),
  role_type: N.string().default("")
});
function zo({ defaultValue: e, isEdit: t, setShowSideNav: r, onRefresh: a, supabase: n }) {
  const [o, i] = R(!1), [, c] = R(["SA", "A", "S"]), [u, d] = R({}), [m, p] = R([]), [g, f] = R({}), h = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    type: (e == null ? void 0 : e.type) || "",
    description: (e == null ? void 0 : e.description) || "",
    access_level: (e == null ? void 0 : e.access_level) || {},
    status: (e == null ? void 0 : e.status) || "",
    is_default: (e == null ? void 0 : e.is_default) || !1,
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    tenant_id: (e == null ? void 0 : e.tenant_id) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date(),
    permissionType: void 0
  }, E = N.object({
    name: N.string().min(1, "Name is required"),
    permissionType: N.object({}),
    access_level: N.record(N.string())
  }), x = N.object({
    name: N.string().min(5, "Name must be at least 5 characters long").min(1, "Name is required"),
    access_level: N.record(N.string())
  }), _ = Ze({
    resolver: Le(t === !0 ? x : E),
    defaultValues: h
  }), { setValue: y, watch: v, getValues: C } = _, S = C(), P = v();
  console.log("values", S), W(() => {
    if (console.log("permissionType", S.permissionType, P == null ? void 0 : P.permissionType), S != null && S.permissionType) {
      let I = P == null ? void 0 : P.permissionType;
      d(I);
    }
  }, [P.permissionType]), W(() => {
    const I = P.permissionType;
    if (console.log("mytype", P.permissionType), console.log("mytype", m), I && m.length > 0) {
      const A = m.filter((L) => typeof L == "object" && L !== null && "access_level" in L ? L.access_level === I : !1);
      console.log("mytype", A), A.length > 0 ? y("type", A[0].type || "") : y("type", "");
    } else
      y("type", "");
  }, [P.permissionType, m]), W(() => {
    y("access_level", u);
  }, [u]), console.log("permission", u), W(() => {
    async function I(A, L) {
      try {
        const { data: F, error: j } = await n.from("tenant").select("*");
        j ? console.error(`Error fetching data from ${A}:`, j.message) : L(F || []);
      } catch (F) {
        console.error(`Error fetching data from ${A}:`, F);
      }
    }
    I("roles", c);
  }, []), W(() => {
    async function I() {
      let { data: A, error: L } = await n.auth.rolesList();
      L ? (console.error("Error fetching tenants:", L.message), p([])) : (console.log("rolesList", N.array(wt).parse(A.role.roles)), p(N.array(wt).parse(A.role.roles)));
    }
    I();
  }, []), console.log("rolesList", m), W(() => {
    var I, A;
    if (t) {
      let L = e == null ? void 0 : e.access_level;
      d(L);
    } else {
      console.log("test", (I = m[0]) == null ? void 0 : I.access_level);
      let L = m && ((A = m[0]) == null ? void 0 : A.access_level);
      console.log("tempAcc", L);
    }
  }, [e, m]);
  async function O(I) {
    try {
      if (t) {
        i(!0), console.log("datas", S);
        const A = {
          ...I,
          id: S.id,
          description: S.description
        }, { error: L } = await n.auth.updateRole(A);
        L ? setTimeout(() => {
          z({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, " ", /* @__PURE__ */ s.createElement("div", null, JSON.stringify(L, null, 2))))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), _.reset(), z({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3), a(), r(!1));
      } else {
        i(!0), console.log("datas", g);
        const A = {
          ...I,
          type: S.type,
          description: S.description,
          is_default: !0
        }, { error: L } = await n.auth.createRole(A);
        L ? setTimeout(() => {
          z({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Unable to create role"))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), _.reset(), z({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3), a(), r(!1));
      }
    } catch (A) {
      console.error("Error fetching customers:", A);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { style: { height: "80vh", overflowY: "auto" }, className: "px-2" }, " ", /* @__PURE__ */ s.createElement(Na, { ..._ }, /* @__PURE__ */ s.createElement(Ca, { onSubmit: _.handleSubmit(O), className: "space-y-8" }, /* @__PURE__ */ s.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ s.createElement("div", { style: { display: "grid", gap: "20px" } }, /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Enter Role name",
      form: _,
      maxLength: 15
    }
  ), /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Description",
      name: "description",
      type: "character varying",
      placeholder: "Enter Description",
      form: _,
      maxLength: 50
    }
  )), /* @__PURE__ */ s.createElement(ke, null), t === !1 ? /* @__PURE__ */ s.createElement(
    Sa,
    {
      label: "Role Type",
      placeholder: "Select Role",
      required: !0,
      name: "permissionType",
      options: m,
      form: _,
      displayLabel: "name",
      returnLabel: "access_level"
    }
  ) : null, /* @__PURE__ */ s.createElement("div", null, u && Object.entries(u).map(([I, A], L) => /* @__PURE__ */ s.createElement(s.Fragment, null, console.log("index", L, "Key:", I, "Value:", typeof A), L === 0 && /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-6 items-center" }, " ", /* @__PURE__ */ s.createElement("div", { className: "col-span-1" }), /* @__PURE__ */ s.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-5 gap-4" }, ["Read", "Write", "Delete", "Import", "Export"].map((F, j) => /* @__PURE__ */ s.createElement("div", { key: j, className: "px-3 py-2" }, /* @__PURE__ */ s.createElement("div", { className: "px-3 py-3 flex items-center gap-x-2 capitalize" }, F)))))), /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-6 items-center", key: I }, /* @__PURE__ */ s.createElement("div", { className: "col-span-1" }, /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-1 gap-1" }, /* @__PURE__ */ s.createElement("div", { className: "text-md cursor-pointer capitalize" }, I))), /* @__PURE__ */ s.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-5 gap-4" }, [...A].map((F, j) => /* @__PURE__ */ s.createElement("div", { key: j, className: "px-3 py-2" }, /* @__PURE__ */ s.createElement("div", { className: "px-5 py-3 flex items-center gap-x-2" }, /* @__PURE__ */ s.createElement(
    we,
    {
      id: `${I}-${j}`,
      name: `${I}-${j}`,
      checked: F === "1",
      onCheckedChange: (te) => {
        console.log("inside", te);
        const V = te ? "1" : "0", M = A.substring(0, j) + V + A.substring(j + 1);
        console.log("click", M);
        const k = { ...u, [I]: M };
        console.log("inside", te), d(k);
      }
    }
  )))))))))), /* @__PURE__ */ s.createElement(ke, null), /* @__PURE__ */ s.createElement(
    Ra,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: t === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        const I = _.getValues("type");
        console.log("currentType", I), f({ ...h, type: I, name: "", description: "", permissionType: S.permissionType }), _.reset({ ...h, type: I, name: "", description: "", permissionType: S.permissionType });
      },
      loader: o
    }
  ))));
}
function sl({ showSideNav: e, onRefresh: t, data: r, onClose: a, isEdit: n = !1, setShowSideNav: o, supabase: i }) {
  const [c, u] = l.useState([]);
  async function d(p) {
    const { data: g, error: f } = await i.auth.getRoleById({ id: p });
    return f ? (console.error("Error fetching tenant details:", f.message), []) : N.array(wt).parse([g.role]);
  }
  l.useEffect(() => {
    e && (r != null && r.id) && (async () => {
      const p = await d(r.id);
      u(p);
    })();
  }, [e, r == null ? void 0 : r.id]), l.useEffect(() => {
    console.log("tenantDetail", c);
  }, [c]);
  const m = () => {
    a();
  };
  return /* @__PURE__ */ l.createElement(ha, { open: e, onOpenChange: m }, /* @__PURE__ */ l.createElement(At, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(It, { className: "px-2" }, /* @__PURE__ */ l.createElement(Ft, null, "ROLE"), /* @__PURE__ */ l.createElement(Ot, null, `${n ? "Update a role" : "Create a new role"} `)), n && (c == null ? void 0 : c.length) > 0 ? /* @__PURE__ */ l.createElement(zo, { supabase: i, onRefresh: t, setShowSideNav: o, isEdit: n, defaultValue: c[0] }) : n ? "Loading" : /* @__PURE__ */ l.createElement(zo, { onRefresh: t, setShowSideNav: o, isEdit: n, defaultValue: void 0, supabase: i })));
}
const Gu = ({
  onRefresh: e,
  onCallDelete: t,
  onCallStatus: r,
  supabase: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ s.createElement(
      we,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement(
      we,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(An, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "type",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(An, { column: n, title: "Type" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("type")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "role_type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Privilege" />
  //   ),
  //   cell: ({ row }) => (
  //     <div className="w-[80px]">{row.getValue("role_type")}</div>
  //   ),
  //   enableSorting: false,
  //   enableHiding: false,
  // },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(An, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = Hu.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ s.createElement(o.icon, null), /* @__PURE__ */ s.createElement("span", null, o.label)) : null;
    },
    filterFn: (n, o, i) => i.includes(n.getValue(o))
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = R(!1), [c, u] = R(null), d = (f) => {
        r(f);
      }, m = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), u(f), i(!0);
      }, p = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), t(f);
      }, g = () => {
        i(!1);
      };
      return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(Wu, { row: n, onEdit: m, onDelete: p, onStatus: d }), c && o && /* @__PURE__ */ s.createElement(sl, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: c, onClose: g, supabase: a }));
    }
  }
];
function Yu({
  table: e,
  pageSizeArray: t
}) {
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ s.createElement(
    Ta,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (r) => {
        e.setPageSize(Number(r));
      }
    },
    /* @__PURE__ */ s.createElement(Ut, { className: "h-8 w-[70px]" }, /* @__PURE__ */ s.createElement(Pa, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ s.createElement(Ht, { side: "top" }, t.map((r) => /* @__PURE__ */ s.createElement($t, { key: r, value: `${r}` }, r)))
  )), /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ s.createElement($n, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ s.createElement(Wn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ s.createElement(Gn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ s.createElement(Yn, { className: "h-4 w-4" })
  ))));
}
function Ku({
  table: e
}) {
  return /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(Qn, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ s.createElement(Kn, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ s.createElement(Pt, null, "Toggle columns"), /* @__PURE__ */ s.createElement(me, null), e.getAllColumns().filter(
    (t) => typeof t.accessorFn < "u" && t.getCanHide()
  ).map((t) => /* @__PURE__ */ s.createElement(
    Tt,
    {
      key: t.id,
      className: "capitalize",
      checked: t.getIsVisible(),
      onCheckedChange: (r) => t.toggleVisibility(!!r)
    },
    t.id
  ))));
}
function Ju({
  column: e,
  title: t,
  options: r
}) {
  const a = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Aa, null, /* @__PURE__ */ l.createElement(Ia, { asChild: !0 }, /* @__PURE__ */ l.createElement(q, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(Jn, { className: "mr-2 h-4 w-4" }), t, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(ke, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : r.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(Zt, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(Wt, null, /* @__PURE__ */ l.createElement(Gt, { placeholder: t }), /* @__PURE__ */ l.createElement(Yt, null, /* @__PURE__ */ l.createElement(Kt, null, "No results found."), /* @__PURE__ */ l.createElement(Ce, null, r.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ l.createElement(
      Se,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const c = Array.from(n);
          e == null || e.setFilterValue(
            c.length ? c : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: T(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(Zn, { className: T("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (a == null ? void 0 : a.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, a.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(Jt, null), /* @__PURE__ */ l.createElement(Ce, null, /* @__PURE__ */ l.createElement(
    Se,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function Zu({
  table: e,
  onRefresh: t,
  supabase: r
}) {
  const [a, n] = R(""), [o, i] = R(!1), c = () => {
    i(!1);
  }, u = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, d = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, m = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ];
  console.log("table", e.getColumn("status"));
  const p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ s.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    tt,
    {
      placeholder: "Search...",
      value: a,
      onChange: d,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ s.createElement(
    Ju,
    {
      column: e.getColumn("status"),
      title: "status",
      options: m
    }
  ), u && /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ s.createElement(Vn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(Ku, { table: e }), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ s.createElement(Xn, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(sl, { onRefresh: t, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: c, supabase: r }));
}
function Vu({
  columns: e,
  data: t,
  isLoading: r,
  onRefresh: a,
  errorMessage: n,
  message: o,
  supabase: i,
  dataLoader: c
}) {
  var _;
  const [u, d] = l.useState({}), [m, p] = l.useState({}), [g, f] = l.useState(
    []
  ), [h, E] = l.useState([]), x = [10, 20, 30, 50, 100], b = ea({
    data: t,
    columns: e,
    state: {
      sorting: h,
      columnVisibility: m,
      rowSelection: u,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: d,
    onSortingChange: E,
    onColumnFiltersChange: f,
    onColumnVisibilityChange: p,
    getCoreRowModel: ta(),
    getFilteredRowModel: ra(),
    getPaginationRowModel: na(),
    getSortedRowModel: aa(),
    getFacetedRowModel: sa(),
    getFacetedUniqueValues: oa(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(Zu, { table: b, onRefresh: a, supabase: i }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(Mt, null, /* @__PURE__ */ l.createElement(jt, null, b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id }, y.headers.map((v) => /* @__PURE__ */ l.createElement(Bt, { key: v.id, colSpan: v.colSpan }, v.isPlaceholder ? null : De(
    v.column.columnDef.header,
    v.getContext()
  )))))), n || c && t.length === 0 ? /* @__PURE__ */ l.createElement(_e, { style: { height: "100px" } }, /* @__PURE__ */ l.createElement(
    "p",
    {
      style: { position: "absolute", zIndex: "4", width: "90%", textAlign: "center", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    o || "Data Not Found"
  )) : /* @__PURE__ */ l.createElement(_e, null, r ? /* @__PURE__ */ l.createElement(l.Fragment, null, b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id }, y.headers.map((v) => /* @__PURE__ */ l.createElement(
    Q,
    {
      key: v.id,
      colSpan: v.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  )))), b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id + "-2" }, y.headers.map((v) => /* @__PURE__ */ l.createElement(
    Q,
    {
      key: v.id + "-2",
      colSpan: v.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (_ = b.getRowModel().rows) != null && _.length ? b.getRowModel().rows.map((y) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: y.id,
      "data-state": y.getIsSelected() && "selected"
    },
    y.getVisibleCells().map((v) => /* @__PURE__ */ l.createElement(Q, { key: v.id }, De(
      v.column.columnDef.cell,
      v.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(K, null, /* @__PURE__ */ l.createElement(
    Q,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, b.getFilteredSelectedRowModel().rows.length, " of", " ", b.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(
    Yu,
    {
      table: b,
      pageSizeArray: n ? [0] : x
    }
  )));
}
function Df({ supabase: e }) {
  const [t, r] = R([]), [a, n] = R(!1), [o, i] = R(!1), [c, u] = R(null), d = (v) => {
    _(v.id, v.status);
  }, m = (v) => {
    console.log("done", v);
  }, p = (v) => {
    console.log("done", v), y(v.id);
  }, g = async () => {
    i(!0);
    try {
      const v = await b();
      r(v);
    } catch (v) {
      console.error("Error refreshing data:", v);
    } finally {
      i(!1);
    }
  }, [f, h] = R(!1);
  W(() => {
    g(), h(!1);
  }, [f]);
  const [E, x] = R(!1), b = async () => {
    let { data: v, error: C } = await e.auth.rolesList();
    return console.log("hiii2"), C ? (console.error("Error fetching tenants:", C.message), x(!1), n(!0), u(C.message), []) : (n(!1), u(null), x(!0), N.array(wt).parse(v.role.roles));
  }, _ = async (v, C) => {
    C === "Active" ? C = "Inactive" : C = "Active";
    let { error: S } = await e.auth.changeRoleStatus({
      status: C,
      id: [v]
    });
    S ? (console.error("Error fetching tenants:", S.message), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, S.message))
    })) : (z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Updated"))
    }), h(!0));
  }, y = async (v) => {
    let { error: C } = await e.auth.deleteRole({
      id: v,
      tenant_id: ""
    });
    C ? (console.error("Error fetching tenants:", C.message), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, C.message))
    })) : (z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Deleted"))
    }), h(!0));
  };
  return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(
    Vu,
    {
      columns: Gu({ onEdit: m, onRefresh: g, onCallDelete: p, onCallStatus: d, supabase: e }),
      data: t,
      supabase: e,
      errorMessage: a,
      isLoading: o,
      onRefresh: g,
      message: c,
      dataLoader: E
    }
  ));
}
const Xu = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ s.createElement(Ie, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ s.createElement(Ie, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
];
function ct({
  column: e,
  title: t,
  className: r
}) {
  return e.getCanSort() ? /* @__PURE__ */ s.createElement("div", { className: T("flex items-center space-x-2", r) }, /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(je, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ s.createElement("span", null, t),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ s.createElement(Fe, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ s.createElement(Oe, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ s.createElement(Un, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ue, { align: "start" }, /* @__PURE__ */ s.createElement(J, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ s.createElement(Oe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ s.createElement(J, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ s.createElement(Fe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ s.createElement("div", { className: "w-[165px]", style: {} }, t);
}
function Qu({
  row: e,
  onEdit: t,
  onDelete: r,
  onStatus: a
}) {
  return /* @__PURE__ */ s.createElement(rl, null, /* @__PURE__ */ s.createElement(Fa, null, /* @__PURE__ */ s.createElement(Oa, null, /* @__PURE__ */ s.createElement(La, null, "Are you want to delete?"), /* @__PURE__ */ s.createElement(ka, null)), /* @__PURE__ */ s.createElement(Da, null, /* @__PURE__ */ s.createElement(za, null, "Cancel"), /* @__PURE__ */ s.createElement(qa, { onClick: () => r(e.original) }, "Delete"))), /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(je, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ s.createElement(Hn, { className: "h-4 w-4" }),
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ s.createElement(J, { onClick: () => t(e.original) }, "Edit"), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(nl, { asChild: !0 }, /* @__PURE__ */ s.createElement(J, null, "Delete")), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(J, { onClick: () => a(e.original) }, e.original.status === "Active" ? "Inactive" : "Active"))));
}
const ol = N.object({
  id: N.any(),
  name: N.any(),
  aud: N.any(),
  phone: N.any(),
  role: N.any(),
  email: N.any(),
  password: N.any(),
  email_confirmed_at: N.any(),
  confirmed_at: N.any(),
  last_sign_in_at: N.any(),
  app_metadata: N.any(),
  user_metadata: N.any(),
  identities: N.any(),
  created_at: N.any(),
  updated_at: N.any(),
  is_anonymous: N.any(),
  tenant_id: N.any(),
  role_id: N.any(),
  role_type: N.any(),
  privilege_type: N.any(),
  role_name: N.any(),
  status: N.any()
}), il = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, ef = N.object({
  name: N.string().min(1, "Name is required"),
  email: N.string().min(1, { message: "Email is required" }).refine((e) => il.test(e), { message: "Invalid email format" }),
  password: N.string().min(0, "Password is required").min(6, "Password must be at least 6 characters long"),
  role_id: N.string().min(1, "Role ID is required"),
  phone: N.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
}), tf = N.object({
  name: N.string().min(1, "Name is required"),
  email: N.string().min(1, { message: "Email is required" }).refine((e) => il.test(e), { message: "Invalid email format" }),
  role_id: N.string().min(1, "Role ID is required"),
  phone: N.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
});
function Mo({ defaultValue: e, isEdit: t, onReferesh: r, setShowSideNav: a, supabaseAuthAdmin: n }) {
  const [o, i] = R(!1), [c, u] = R([]), d = {
    id: (e == null ? void 0 : e.id) || "",
    email: (e == null ? void 0 : e.email) || "",
    password: (e == null ? void 0 : e.password) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    role_id: (e == null ? void 0 : e.role_id) || "",
    name: (e == null ? void 0 : e.name) || ""
  }, m = Ze({
    resolver: Le(t ? tf : ef),
    defaultValues: d
  });
  console.log("defaultValues", d), W(() => {
    async function g(f, h) {
      try {
        const { data: E, error: x } = await n.auth.rolesList();
        x ? (console.error(`Error fetching data from ${f}:`, x.message), h([])) : h(E.role.roles);
      } catch (E) {
        console.error(`Error fetching data from ${f}:`, E);
      }
    }
    g("roles", u);
  }, []);
  async function p(g) {
    try {
      if (t) {
        i(!0);
        const f = m.getValues(), { password: h, name: E, ...x } = f, b = {
          ...x,
          user_metadata: {
            name: f.name
          }
        };
        let { error: _ } = await n.auth.admin.updateUserById(b.id, b);
        _ ? setTimeout(() => {
          z({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Something Went Wrong"))
          }), i(!1);
        }, 2e3) : (r(), a(!1), setTimeout(() => {
          i(!1), m.reset(), z({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3));
      } else {
        i(!0);
        const f = m.getValues(), { name: h, ...E } = f, x = {
          ...E,
          country_code: "+91",
          user_metadata: {
            name: f.name
          }
        };
        let { error: b } = await n.auth.admin.createUser(x);
        setTimeout(b ? () => {
          z({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Something Went Wrong"))
          }), i(!1);
        } : () => {
          r(), i(!1), a(!1), m.reset(), z({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3);
      }
    } catch (f) {
      console.error("Error fetching customers:", f);
    }
  }
  return W(() => {
    c && c.length > 0 && console.log(c, "role_idData");
  }, [c]), /* @__PURE__ */ s.createElement(Na, { ...m }, /* @__PURE__ */ s.createElement(Ca, { onSubmit: m.handleSubmit(p), className: "space-y-8" }, /* @__PURE__ */ s.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ s.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Name",
      name: "name",
      type: "text",
      placeholder: "Name",
      form: m,
      required: !0,
      maxLength: 15
    }
  ), /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      form: m,
      required: !0,
      maxLength: 25
    }
  ), /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Phone Number",
      name: "phone",
      type: "character varying",
      placeholder: "Phone Number",
      form: m,
      required: !0,
      maxLength: 10
    }
  ), t ? "" : /* @__PURE__ */ s.createElement(
    fe,
    {
      label: "Password",
      name: "password",
      type: "password",
      required: !0,
      placeholder: "Password",
      maxLength: 10,
      form: m,
      pattern: "Password"
    }
  ), /* @__PURE__ */ s.createElement(
    Sa,
    {
      label: "Role",
      placeholder: "Select Role",
      required: !0,
      name: "role_id",
      options: c,
      form: m,
      displayLabel: "name",
      returnLabel: "id"
    }
  )), /* @__PURE__ */ s.createElement(
    Ra,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: t === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        console.log("form", m), m.reset({ ...d, email: "", phone: "" });
      },
      loader: o
    }
  )));
}
function ll({ showSideNav: e, onRefresh: t, data: r, onClose: a, isEdit: n = !1, setShowSideNav: o, supabaseAuthAdmin: i }) {
  const [c, u] = l.useState([]);
  async function d(p) {
    let { data: { user: g }, error: f } = await i.auth.admin.getUserById(p);
    return f ? (console.error("Error fetching tenant details:", f.message), []) : N.array(ol).parse([g]);
  }
  l.useEffect(() => {
    console.error("USER ID", r == null ? void 0 : r.id), e && (r != null && r.id) && (async () => {
      const p = await d(r.id);
      u(p);
    })();
  }, [e, r == null ? void 0 : r.id]), l.useEffect(() => {
    console.log("tenantDetail", c);
  }, [c]);
  const m = () => {
    a();
  };
  return /* @__PURE__ */ l.createElement(ha, { open: e, onOpenChange: m }, /* @__PURE__ */ l.createElement(At, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(It, null, /* @__PURE__ */ l.createElement(Ft, null, "USER"), /* @__PURE__ */ l.createElement(Ot, null, `${n ? "Update a user" : "Create a new user"} `, n && (c == null ? void 0 : c.length) > 0 ? /* @__PURE__ */ l.createElement(Mo, { supabaseAuthAdmin: i, onReferesh: t, setShowSideNav: o, isEdit: n, defaultValue: c[0] }) : n ? "Loading" : /* @__PURE__ */ l.createElement(Mo, { supabaseAuthAdmin: i, onReferesh: t, setShowSideNav: o, isEdit: n, defaultValue: void 0 })))));
}
const rf = ({
  onRefresh: e,
  onCallDelete: t,
  oncallStatus: r,
  supabaseAuthAdmin: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ s.createElement(
      we,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement(
      we,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ct, { column: n, title: "Name" }),
    cell: ({ row: n }) => {
      const o = n.getValue("name");
      return console.log("name:", n.getValue("name")), /* @__PURE__ */ s.createElement("div", { className: "w-[85px]" }, o);
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ct, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "role_name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ct, { column: n, title: "Role" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[85px]", style: {} }, n.getValue("role_name")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "privilege_type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Privilage" />
  //   ),
  //   cell: ({ row }) => <div className="w-[80px]">{row.getValue("privilege_type")}</div>,
  //   enableSorting: false,
  //   enableHiding: false,
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ct, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = Xu.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ s.createElement(o.icon, null), /* @__PURE__ */ s.createElement("span", null, o.label)) : null;
    }
  },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.role_type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  // {
  //   accessorKey: "status",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Status" />
  //   ),
  //   cell: ({ row }) => {
  //     const status = statusNew.find(
  //       (status) => status.value === row.getValue("status")
  //     )
  //     if (!status) {
  //       return null
  //     }
  //     return (
  //       <div className="flex w-[100px] items-center">
  //         {status.icon && (
  //           <status.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )}
  //         <span>{status.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = R(!1), [c, u] = R(null), d = (f) => {
        console.log("Tenant", f), r(f);
      }, m = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), u(f), i(!0);
      }, p = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), t(f);
      }, g = () => {
        i(!1);
      };
      return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(Qu, { row: n, onEdit: m, onDelete: p, onStatus: d }), c && o && /* @__PURE__ */ s.createElement(ll, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: c, onClose: g, supabaseAuthAdmin: a }));
    }
  }
];
function nf({
  table: e,
  pageSizeArray: t
}) {
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ s.createElement(
    Ta,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (r) => {
        e.setPageSize(Number(r));
      }
    },
    /* @__PURE__ */ s.createElement(Ut, { className: "h-8 w-[70px]" }, /* @__PURE__ */ s.createElement(Pa, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ s.createElement(Ht, { side: "top" }, t.map((r) => /* @__PURE__ */ s.createElement($t, { key: r, value: `${r}` }, r)))
  )), /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ s.createElement($n, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ s.createElement(Wn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ s.createElement(Gn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ s.createElement(Yn, { className: "h-4 w-4" })
  ))));
}
function af({
  table: e
}) {
  return /* @__PURE__ */ s.createElement(he, null, /* @__PURE__ */ s.createElement(Qn, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ s.createElement(Kn, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ s.createElement(Pt, null, "Toggle columns"), /* @__PURE__ */ s.createElement(me, null), e.getAllColumns().filter(
    (t) => typeof t.accessorFn < "u" && t.getCanHide()
  ).map((t) => /* @__PURE__ */ s.createElement(
    Tt,
    {
      key: t.id,
      className: "capitalize",
      checked: t.getIsVisible(),
      onCheckedChange: (r) => t.toggleVisibility(!!r)
    },
    t.id
  ))));
}
function sf({
  column: e,
  title: t,
  options: r
}) {
  const a = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Aa, null, /* @__PURE__ */ l.createElement(Ia, { asChild: !0 }, /* @__PURE__ */ l.createElement(q, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(Jn, { className: "mr-2 h-4 w-4" }), t, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(ke, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : r.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    pe,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(Zt, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(Wt, null, /* @__PURE__ */ l.createElement(Gt, { placeholder: t }), /* @__PURE__ */ l.createElement(Yt, null, /* @__PURE__ */ l.createElement(Kt, null, "No results found."), /* @__PURE__ */ l.createElement(Ce, null, r.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ l.createElement(
      Se,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const c = Array.from(n);
          e == null || e.setFilterValue(
            c.length ? c : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: T(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(Zn, { className: T("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (a == null ? void 0 : a.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, a.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(Jt, null), /* @__PURE__ */ l.createElement(Ce, null, /* @__PURE__ */ l.createElement(
    Se,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function of({
  table: e,
  onRefresh: t,
  supabaseAuthAdmin: r
}) {
  const [a, n] = R(""), [o, i] = R(!1), c = () => {
    i(!1);
  }, u = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, d = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, m = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ], p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("table", e.getColumn("status")), /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ s.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    tt,
    {
      placeholder: "Search...",
      value: a,
      onChange: d,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), /* @__PURE__ */ s.createElement(
    sf,
    {
      column: e.getColumn("status"),
      title: "status",
      options: m
    }
  ), u && /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ s.createElement(Vn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(af, { table: e }), /* @__PURE__ */ s.createElement(
    q,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ s.createElement(Xn, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(ll, { onRefresh: t, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: c, supabaseAuthAdmin: r }));
}
function lf({
  columns: e,
  data: t,
  isLoading: r,
  onRefresh: a,
  supabaseAuthAdmin: n,
  errorMessage: o,
  message: i,
  dataLoader: c
}) {
  var _;
  const [u, d] = l.useState({}), [m, p] = l.useState({}), [g, f] = l.useState(
    []
  ), [h, E] = l.useState([]), x = [10, 20, 30, 50, 100], b = ea({
    data: t,
    columns: e,
    state: {
      sorting: h,
      columnVisibility: m,
      rowSelection: u,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: d,
    onSortingChange: E,
    onColumnFiltersChange: f,
    onColumnVisibilityChange: p,
    getCoreRowModel: ta(),
    getFilteredRowModel: ra(),
    getPaginationRowModel: na(),
    getSortedRowModel: aa(),
    getFacetedRowModel: sa(),
    getFacetedUniqueValues: oa(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(of, { table: b, onRefresh: a, supabaseAuthAdmin: n }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(Mt, null, /* @__PURE__ */ l.createElement(jt, null, b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id }, y.headers.map((v) => /* @__PURE__ */ l.createElement(Bt, { key: v.id, colSpan: v.colSpan }, v.isPlaceholder ? null : De(
    v.column.columnDef.header,
    v.getContext()
  )))))), o || c && t.length === 0 ? /* @__PURE__ */ l.createElement(_e, { style: { height: "100px" } }, /* @__PURE__ */ l.createElement(
    "p",
    {
      style: { position: "absolute", zIndex: "4", width: "90%", textAlign: "center", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    i || "Data Not Found"
  )) : /* @__PURE__ */ l.createElement(_e, null, r ? /* @__PURE__ */ l.createElement(l.Fragment, null, b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id }, y.headers.map((v) => /* @__PURE__ */ l.createElement(
    Q,
    {
      key: v.id,
      colSpan: v.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  )))), b.getHeaderGroups().map((y) => /* @__PURE__ */ l.createElement(K, { key: y.id + "-2" }, y.headers.map((v) => /* @__PURE__ */ l.createElement(
    Q,
    {
      key: v.id + "-2",
      colSpan: v.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (_ = b.getRowModel().rows) != null && _.length ? b.getRowModel().rows.map((y) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: y.id,
      "data-state": y.getIsSelected() && "selected"
    },
    y.getVisibleCells().map((v) => /* @__PURE__ */ l.createElement(Q, { key: v.id }, De(
      v.column.columnDef.cell,
      v.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(K, null, /* @__PURE__ */ l.createElement(
    Q,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(ge, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, b.getFilteredSelectedRowModel().rows.length, " of", " ", b.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(nf, { table: b, pageSizeArray: o ? [0] : x })));
}
function Lf({ supabase: e, supabaseAuthAdmin: t }) {
  const [r, a] = R([]), [n, o] = R(!1), [i, c] = R(!1), [u, d] = R(null), m = (C) => {
    console.log("done", C);
  }, p = async () => {
    o(!0);
    try {
      const C = await x();
      a(C);
    } catch (C) {
      console.error("Error refreshing data:", C);
    } finally {
      o(!1);
    }
  }, [g, f] = R(!1);
  W(() => {
    p(), f(!1);
  }, [g]);
  const [h, E] = R(!1), x = async () => {
    let { data: { users: C }, error: S } = await t.auth.admin.listUsers();
    return console.log("tenants", C), S ? (console.error("Error fetching tenants:", S.message), c(!0), d(S.message), E(!1), []) : (c(!1), d(null), E(!0), N.array(ol).parse(C));
  }, b = (C) => {
    console.log("done", C), _(C.id);
  }, _ = async (C) => {
    let { error: S } = await e.auth.admin.deleteUser(C);
    S ? (console.error("Error fetching tenants:", S.message), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, S.message))
    })) : (p(), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, "Successfully Deleted"))
    }), f(!0));
  }, y = (C) => {
    v(C.id, C.status);
  }, v = async (C, S) => {
    S === "Active" ? S = "Inactive" : S = "Active";
    let { data: P, error: O } = await e.auth.admin.changeUserStatus({ status: S, id: [C] });
    console.log(P, "datadatadata"), O ? (console.error("Error fetching tenants:", O.message), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, O.message))
    })) : (p(), z({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ s.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ s.createElement("code", { className: "text-white" }, P.message))
    }));
  };
  return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(
    lf,
    {
      columns: rf({ onEdit: m, onRefresh: p, onCallDelete: b, oncallStatus: y, supabaseAuthAdmin: t }),
      data: r,
      supabaseAuthAdmin: t,
      isLoading: n,
      onRefresh: p,
      errorMessage: i,
      message: u,
      dataLoader: h
    }
  ));
}
const cf = ee.Provider, cl = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  ee.Viewport,
  {
    ref: r,
    className: T(
      "fixed top-0 z-[100] flex max-h-screen w-full flex-col-reverse p-4 sm:bottom-0 sm:right-0 sm:top-auto sm:flex-col md:max-w-[420px]",
      e
    ),
    ...t
  }
));
cl.displayName = ee.Viewport.displayName;
const df = bt(
  "group pointer-events-auto relative flex w-full items-center justify-between space-x-4 overflow-hidden rounded-md border p-6 pr-8 shadow-lg transition-all data-[swipe=cancel]:translate-x-0 data-[swipe=end]:translate-x-[var(--radix-toast-swipe-end-x)] data-[swipe=move]:translate-x-[var(--radix-toast-swipe-move-x)] data-[swipe=move]:transition-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[swipe=end]:animate-out data-[state=closed]:fade-out-80 data-[state=closed]:slide-out-to-right-full data-[state=open]:slide-in-from-top-full data-[state=open]:sm:slide-in-from-bottom-full",
  {
    variants: {
      variant: {
        default: "border bg-background text-foreground",
        destructive: "destructive group border-destructive bg-destructive text-destructive-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
), dl = l.forwardRef(({ className: e, variant: t, ...r }, a) => /* @__PURE__ */ l.createElement(
  ee.Root,
  {
    ref: a,
    className: T(df({ variant: t }), e),
    ...r
  }
));
dl.displayName = ee.Root.displayName;
const mf = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  ee.Action,
  {
    ref: r,
    className: T(
      "inline-flex h-8 shrink-0 items-center justify-center rounded-md border bg-transparent px-3 text-sm font-medium ring-offset-background transition-colors hover:bg-secondary focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 group-[.destructive]:border-muted/40 group-[.destructive]:hover:border-destructive/30 group-[.destructive]:hover:bg-destructive group-[.destructive]:hover:text-destructive-foreground group-[.destructive]:focus:ring-destructive",
      e
    ),
    ...t
  }
));
mf.displayName = ee.Action.displayName;
const ml = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  ee.Close,
  {
    ref: r,
    className: T(
      "absolute right-2 top-2 rounded-md p-1 text-foreground/50 opacity-0 transition-opacity hover:text-foreground focus:opacity-100 focus:outline-none focus:ring-2 group-hover:opacity-100 group-[.destructive]:text-red-300 group-[.destructive]:hover:text-red-50 group-[.destructive]:focus:ring-red-400 group-[.destructive]:focus:ring-offset-red-600",
      e
    ),
    "toast-close": "",
    ...t
  },
  /* @__PURE__ */ l.createElement(Bo, { className: "h-4 w-4" })
));
ml.displayName = ee.Close.displayName;
const ul = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  ee.Title,
  {
    ref: r,
    className: T("text-sm font-semibold", e),
    ...t
  }
));
ul.displayName = ee.Title.displayName;
const fl = l.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ l.createElement(
  ee.Description,
  {
    ref: r,
    className: T("text-sm opacity-90", e),
    ...t
  }
));
fl.displayName = ee.Description.displayName;
function kf() {
  const { toasts: e } = Ru();
  return /* @__PURE__ */ s.createElement(cf, null, e.map(function({ id: t, title: r, description: a, action: n, ...o }) {
    return /* @__PURE__ */ s.createElement(dl, { key: t, ...o }, /* @__PURE__ */ s.createElement("div", { className: "grid gap-1" }, r && /* @__PURE__ */ s.createElement(ul, null, r), a && /* @__PURE__ */ s.createElement(fl, null, a)), n, /* @__PURE__ */ s.createElement(ml, null));
  }), /* @__PURE__ */ s.createElement(cl, null));
}
export {
  xe as Anchor,
  Xe as Auth,
  Ff as AutheticationPage,
  qe as Button,
  ce as Container,
  Ml as Divider,
  Ee as Input,
  ve as Label,
  de as Message,
  kf as PasubotToaster,
  Df as Role,
  Of as Tenent,
  Lf as User
};
